Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dioscuri.module.cpu32
Class UCodeStaticMethods

    java.lang.Object
      dioscuri.module.cpu32.UCodeStaticMethods

    public class UCodeStaticMethods

extends java.lang.Object

Author:
  Bram Lohman, Bart Kiers

Field Summary
`protected static boolean[]` | `parityMap`

Constructor Summary
`UCodeStaticMethods()`

Method Summary
`static int` | `addr0_nef_ADDR_2EAX_addr0_eax(int addr0, int eax)`
`static int` | `addr0_nef_ADDR_2EBP_addr0_ebp(int addr0, int ebp)`
`static int` | `addr0_nef_ADDR_2EBX_addr0_ebx(int addr0, int ebx)`
`static int` | `addr0_nef_ADDR_2ECX_addr0_ecx(int addr0, int ecx)`
`static int` | `addr0_nef_ADDR_2EDI_addr0_edi(int addr0, int edi)`
`static int` | `addr0_nef_ADDR_2EDX_addr0_edx(int addr0, int edx)`
`static int` | `addr0_nef_ADDR_2ESI_addr0_esi(int addr0, int esi)`
`static int` | `addr0_nef_ADDR_2ESP_addr0_esp(int addr0, int esp)`
`static int` | `addr0_nef_ADDR_4EAX_addr0_eax(int addr0, int eax)`
`static int` | `addr0_nef_ADDR_4EBP_addr0_ebp(int addr0, int ebp)`
`static int` | `addr0_nef_ADDR_4EBX_addr0_ebx(int addr0, int ebx)`
`static int` | `addr0_nef_ADDR_4ECX_addr0_ecx(int addr0, int ecx)`
`static int` | `addr0_nef_ADDR_4EDI_addr0_edi(int addr0, int edi)`
`static int` | `addr0_nef_ADDR_4EDX_addr0_edx(int addr0, int edx)`
`static int` | `addr0_nef_ADDR_4ESI_addr0_esi(int addr0, int esi)`
`static int` | `addr0_nef_ADDR_4ESP_addr0_esp(int addr0, int esp)`
`static int` | `addr0_nef_ADDR_8EAX_addr0_eax(int addr0, int eax)`
`static int` | `addr0_nef_ADDR_8EBP_addr0_ebp(int addr0, int ebp)`
`static int` | `addr0_nef_ADDR_8EBX_addr0_ebx(int addr0, int ebx)`
`static int` | `addr0_nef_ADDR_8ECX_addr0_ecx(int addr0, int ecx)`
`static int` | `addr0_nef_ADDR_8EDI_addr0_edi(int addr0, int edi)`
`static int` | `addr0_nef_ADDR_8EDX_addr0_edx(int addr0, int edx)`
`static int` | `addr0_nef_ADDR_8ESI_addr0_esi(int addr0, int esi)`
`static int` | `addr0_nef_ADDR_8ESP_addr0_esp(int addr0, int esp)`
`static int` | `addr0_nef_ADDR_AX_addr0_eax(int addr0, int eax)`
`static int` | `addr0_nef_ADDR_BP_addr0_ebp(int addr0, int ebp)`
`static int` | `addr0_nef_ADDR_BX_addr0_ebx(int addr0, int ebx)`
`static int` | `addr0_nef_ADDR_CX_addr0_ecx(int addr0, int ecx)`
`static int` | `addr0_nef_ADDR_DI_addr0_edi(int addr0, int edi)`
`static int` | `addr0_nef_ADDR_DX_addr0_edx(int addr0, int edx)`
`static int` | `addr0_nef_ADDR_EAX_addr0_eax(int addr0, int eax)`
`static int` | `addr0_nef_ADDR_EBP_addr0_ebp(int addr0, int ebp)`
`static int` | `addr0_nef_ADDR_EBX_addr0_ebx(int addr0, int ebx)`
`static int` | `addr0_nef_ADDR_ECX_addr0_ecx(int addr0, int ecx)`
`static int` | `addr0_nef_ADDR_EDI_addr0_edi(int addr0, int edi)`
`static int` | `addr0_nef_ADDR_EDX_addr0_edx(int addr0, int edx)`
`static int` | `addr0_nef_ADDR_ESI_addr0_esi(int addr0, int esi)`
`static int` | `addr0_nef_ADDR_ESP_addr0_esp(int addr0, int esp)`
`static int` | `addr0_nef_ADDR_IB_addr0_immediate(int addr0, int immediate)`
`static int` | `addr0_nef_ADDR_ID_addr0_immediate(int addr0, int immediate)`
`static int` | `addr0_nef_ADDR_IW_addr0_immediate(int addr0, int immediate)`
`static int` | `addr0_nef_ADDR_MASK16_addr0(int addr0)`
`static int` | `addr0_nef_ADDR_REG1_addr0_reg1(int addr0, int reg1)`
`static int` | `addr0_nef_ADDR_SI_addr0_esi(int addr0, int esi)`
`static int` | `addr0_nef_ADDR_SP_addr0_esp(int addr0, int esp)`
`static int` | `addr0_nef_ADDR_uAL_addr0_eax(int addr0, int eax)`
`static int` | `addr0_nef_MEM_RESET()`
`static boolean` | `aflag_nef_ADC_O16_FLAGS_reg0_reg1_reg2(int reg0, int reg1, int reg2)`
`static boolean` | `aflag_nef_ADC_O32_FLAGS_reg0_reg1_reg2(int reg0, int reg1, int reg2)`
`static boolean` | `aflag_nef_ADC_O8_FLAGS_reg0_reg1_reg2(int reg0, int reg1, int reg2)`
`static boolean` | `aflag_nef_ADD_O16_FLAGS_reg0_reg1_reg2(int reg0, int reg1, int reg2)`
`static boolean` | `aflag_nef_ADD_O32_FLAGS_reg0_reg1_reg2(int reg0, int reg1, int reg2)`
`static boolean` | `aflag_nef_ADD_O8_FLAGS_reg0_reg1_reg2(int reg0, int reg1, int reg2)`
`static boolean` | `aflag_nef_CMPXCHG_O16_FLAGS_reg1_reg2(int reg1, int reg2)`
`static boolean` | `aflag_nef_CMPXCHG_O32_FLAGS_reg1_reg2(int reg1, int reg2)`
`static boolean` | `aflag_nef_CMPXCHG_O8_FLAGS_reg1_reg2(int reg1, int reg2)`
`static boolean` | `aflag_nef_DEC_O16_FLAGS_reg0(int reg0)`
`static boolean` | `aflag_nef_DEC_O32_FLAGS_reg0(int reg0)`
`static boolean` | `aflag_nef_DEC_O8_FLAGS_reg0(int reg0)`
`static boolean` | `aflag_nef_INC_O16_FLAGS_reg0(int reg0)`
`static boolean` | `aflag_nef_INC_O32_FLAGS_reg0(int reg0)`
`static boolean` | `aflag_nef_INC_O8_FLAGS_reg0(int reg0)`
`static boolean` | `aflag_nef_NEG_O16_FLAGS_reg0(int reg0)`
`static boolean` | `aflag_nef_NEG_O32_FLAGS_reg0(int reg0)`
`static boolean` | `aflag_nef_NEG_O8_FLAGS_reg0(int reg0)`
`static boolean` | `aflag_nef_SBB_O16_FLAGS_reg0_reg1_reg2(int reg0, int reg1, int reg2)`
`static boolean` | `aflag_nef_SBB_O32_FLAGS_reg0_reg1_reg2(int reg0, int reg1, int reg2)`
`static boolean` | `aflag_nef_SBB_O8_FLAGS_reg0_reg1_reg2(int reg0, int reg1, int reg2)`
`static boolean` | `aflag_nef_STORE0_FLAGS_reg0(int reg0)`
`static boolean` | `aflag_nef_SUB_O16_FLAGS_reg0_reg1_reg2(int reg0, int reg1, int reg2)`
`static boolean` | `aflag_nef_SUB_O32_FLAGS_reg0_reg1_reg2(int reg0, int reg1, int reg2)`
`static boolean` | `aflag_nef_SUB_O8_FLAGS_reg0_reg1_reg2(int reg0, int reg1, int reg2)`
`static int` | `cflag_hef_BT_MEM_reg1_seg0_addr0(int reg1, Segment seg0, int addr0)`
`static int` | `cflag_hef_BTC_MEM_reg1_seg0_addr0(int reg1, Segment seg0, int addr0)`
`static int` | `cflag_hef_BTR_MEM_reg1_seg0_addr0(int reg1, Segment seg0, int addr0)`
`static int` | `cflag_hef_BTS_MEM_reg1_seg0_addr0(int reg1, Segment seg0, int addr0)`
`static boolean` | `cflag_nef_ADC_O16_FLAGS_cflag_reg1_reg0(boolean cflag, int reg1, int reg0)`
`static boolean` | `cflag_nef_ADC_O32_FLAGS_cflag_reg1_reg2(boolean cflag, int reg1, int reg2)`
`static boolean` | `cflag_nef_ADC_O8_FLAGS_cflag_reg1_reg0(boolean cflag, int reg1, int reg0)`
`static boolean` | `cflag_nef_ADD_O16_FLAGS_reg0(int reg0)`
`static boolean` | `cflag_nef_ADD_O32_FLAGS_reg1_reg2(int reg1, int reg2)`
`static boolean` | `cflag_nef_ADD_O8_FLAGS_reg0(int reg0)`
`static boolean` | `cflag_nef_BITWISE_FLAGS_O16()`
`static boolean` | `cflag_nef_BITWISE_FLAGS_O32()`
`static boolean` | `cflag_nef_BITWISE_FLAGS_O8()`
`static boolean` | `cflag_nef_CLC()`
`static boolean` | `cflag_nef_CMC_cflag(boolean cflag)`
`static boolean` | `cflag_nef_CMPXCHG_O16_FLAGS_reg1_reg2(int reg1, int reg2)`
`static boolean` | `cflag_nef_CMPXCHG_O32_FLAGS_reg1_reg2(int reg1, int reg2)`
`static boolean` | `cflag_nef_CMPXCHG_O8_FLAGS_reg1_reg2(int reg1, int reg2)`
`static boolean` | `cflag_nef_IMUL_O16_reg0_reg1(int reg0, int reg1)`
`static boolean` | `cflag_nef_IMUL_O32_reg0_reg1(int reg0, int reg1)`
`static boolean` | `cflag_nef_IMULA_O16_reg0_eax(int reg0, int eax)`
`static boolean` | `cflag_nef_IMULA_O32_reg0_eax(int reg0, int eax)`
`static boolean` | `cflag_nef_IMULA_O8_reg0_eax(int reg0, int eax)`
`static boolean` | `cflag_nef_MUL_O16_reg0_eax(int reg0, int eax)`
`static boolean` | `cflag_nef_MUL_O32_reg0_eax(int reg0, int eax)`
`static boolean` | `cflag_nef_MUL_O8_reg0_eax(int reg0, int eax)`
`static boolean` | `cflag_nef_NEG_O16_FLAGS_reg0(int reg0)`
`static boolean` | `cflag_nef_NEG_O32_FLAGS_reg0(int reg0)`
`static boolean` | `cflag_nef_NEG_O8_FLAGS_reg0(int reg0)`
`static boolean` | `cflag_nef_RCL_O16_FLAGS_cflag_reg0_reg1(boolean cflag, int reg0, int reg1)`
`static boolean` | `cflag_nef_RCL_O8_FLAGS_cflag_reg0_reg1(boolean cflag, int reg0, int reg1)`
`static boolean` | `cflag_nef_RCR_O16_FLAGS_cflag_reg0_reg1(boolean cflag, int reg0, int reg1)`
`static boolean` | `cflag_nef_RCR_O8_FLAGS_cflag_reg0_reg1(boolean cflag, int reg0, int reg1)`
`static boolean` | `cflag_nef_ROL_O16_FLAGS_cflag_reg0_reg1(boolean cflag, int reg0, int reg1)`
`static boolean` | `cflag_nef_ROL_O32_FLAGS_cflag_reg0_reg1(boolean cflag, int reg0, int reg1)`
`static boolean` | `cflag_nef_ROL_O8_FLAGS_cflag_reg0_reg1(boolean cflag, int reg0, int reg1)`
`static boolean` | `cflag_nef_ROR_O16_FLAGS_cflag_reg0_reg1(boolean cflag, int reg0, int reg1)`
`static boolean` | `cflag_nef_ROR_O32_FLAGS_cflag_reg0_reg1(boolean cflag, int reg0, int reg1)`
`static boolean` | `cflag_nef_ROR_O8_FLAGS_cflag_reg0_reg1(boolean cflag, int reg0, int reg1)`
`static boolean` | `cflag_nef_SAR_O16_FLAGS_cflag_reg2_reg1(boolean cflag, int reg2, int reg1)`
`static boolean` | `cflag_nef_SAR_O32_FLAGS_cflag_reg2_reg1(boolean cflag, int reg2, int reg1)`
`static boolean` | `cflag_nef_SAR_O8_FLAGS_cflag_reg2_reg1(boolean cflag, int reg2, int reg1)`
`static boolean` | `cflag_nef_SBB_O16_FLAGS_reg0(int reg0)`
`static boolean` | `cflag_nef_SBB_O32_FLAGS_reg1_reg2_cflag(int reg1, int reg2, int cflag)`
`static boolean` | `cflag_nef_SBB_O8_FLAGS_reg0(int reg0)`
`static boolean` | `cflag_nef_SHL_O16_FLAGS_cflag_reg0_reg1(boolean cflag, int reg0, int reg1)`
`static boolean` | `cflag_nef_SHL_O32_FLAGS_cflag_reg2_reg1(boolean cflag, int reg2, int reg1)`
`static boolean` | `cflag_nef_SHL_O8_FLAGS_cflag_reg0_reg1(boolean cflag, int reg0, int reg1)`
`static boolean` | `cflag_nef_SHR_O16_FLAGS_cflag_reg2_reg1(boolean cflag, int reg2, int reg1)`
`static boolean` | `cflag_nef_SHR_O32_FLAGS_cflag_reg2_reg1(boolean cflag, int reg2, int reg1)`
`static boolean` | `cflag_nef_SHR_O8_FLAGS_cflag_reg2_reg1(boolean cflag, int reg2, int reg1)`
`static boolean` | `cflag_nef_STC()`
`static boolean` | `cflag_nef_STORE0_FLAGS_reg0(int reg0)`
`static boolean` | `cflag_nef_SUB_O16_FLAGS_reg0(int reg0)`
`static boolean` | `cflag_nef_SUB_O32_FLAGS_reg2_reg1(int reg2, int reg1)`
`static boolean` | `cflag_nef_SUB_O8_FLAGS_reg0(int reg0)`
`static boolean` | `dflag_nef_CLD()`
`static boolean` | `dflag_nef_STD()`
`static boolean` | `dflag_nef_STORE0_FLAGS_reg0(int reg0)`
`static int` | `eax_hef_LODSB_A16_eax_seg0_esi(int eax, Segment seg0, int esi)`
`static int` | `eax_hef_LODSB_A32_eax_seg0_esi(int eax, Segment seg0, int esi)`
`static int` | `eax_hef_LODSD_A16_seg0_esi(Segment seg0, int esi)`
`static int` | `eax_hef_LODSD_A32_seg0_esi(Segment seg0, int esi)`
`static int` | `eax_hef_LODSW_A16_eax_seg0_esi(int eax, Segment seg0, int esi)`
`static int` | `eax_hef_LODSW_A32_eax_seg0_esi(int eax, Segment seg0, int esi)`
`static int` | `eax_hef_POPAD_A32_eax_ss_esp(int eax, Segment ss, int esp)`
`static int` | `eax_nef_DIV_O16_edx_eax_reg0(int edx, int eax, int reg0)`
`static int` | `eax_nef_DIV_O32_edx_eax_reg0(int edx, int eax, int reg0)`
`static int` | `eax_nef_DIV_O8_eax_reg0(int eax, int reg0)`
`static int` | `eax_nef_IDIV_O16_reg0_eax_edx(int reg0, int eax, int edx)`
`static int` | `eax_nef_IDIV_O32_reg0_eax_edx(int reg0, int eax, int edx)`
`static int` | `eax_nef_IDIV_O8_reg0_eax(int reg0, int eax)`
`static int` | `eax_nef_IMULA_O16_reg0_eax(int reg0, int eax)`
`static int` | `eax_nef_IMULA_O32_reg0_eax(int reg0, int eax)`
`static int` | `eax_nef_IMULA_O8_reg0_eax(int reg0, int eax)`
`static int` | `eax_nef_LAHF_eax_cflag_pflag_aflag_zflag_sflag(int eax, boolean cflag, boolean pflag, boolean aflag, boolean zflag, boolean sflag)`
`static int` | `eax_nef_MUL_O16_reg0_eax(int reg0, int eax)`
`static int` | `eax_nef_MUL_O32_reg0_eax(int reg0, int eax)`
`static int` | `eax_nef_MUL_O8_reg0_eax(int reg0, int eax)`
`static int` | `eax_nef_STORE0_AH_eax_reg0(int eax, int reg0)`
`static int` | `eax_nef_STORE0_AL_eax_reg0(int eax, int reg0)`
`static int` | `eax_nef_STORE0_AX_eax_reg0(int eax, int reg0)`
`static int` | `eax_nef_STORE0_EAX_reg0(int reg0)`
`static int` | `eax_nef_STORE1_AH_eax_reg1(int eax, int reg1)`
`static int` | `eax_nef_STORE1_AL_eax_reg1(int eax, int reg1)`
`static int` | `eax_nef_STORE1_AX_eax_reg1(int eax, int reg1)`
`static int` | `eax_nef_STORE1_EAX_reg1(int reg1)`
`static int` | `ebp_hef_LEAVE_O32_A32_ss_ebp(Segment ss, int ebp)`
`static int` | `ebp_hef_POPAD_A32_ebp_ss_esp(int ebp, Segment ss, int esp)`
`static int` | `ebp_nef_STORE0_BP_ebp_reg0(int ebp, int reg0)`
`static int` | `ebp_nef_STORE0_EBP_reg0(int reg0)`
`static int` | `ebp_nef_STORE1_BP_ebp_reg1(int ebp, int reg1)`
`static int` | `ebp_nef_STORE1_EBP_reg1(int reg1)`
`static int` | `ebx_hef_POPAD_A32_ebx_ss_esp(int ebx, Segment ss, int esp)`
`static int` | `ebx_nef_STORE0_BH_ebx_reg0(int ebx, int reg0)`
`static int` | `ebx_nef_STORE0_BL_ebx_reg0(int ebx, int reg0)`
`static int` | `ebx_nef_STORE0_BX_ebx_reg0(int ebx, int reg0)`
`static int` | `ebx_nef_STORE0_EBX_reg0(int reg0)`
`static int` | `ebx_nef_STORE1_BH_ebx_reg1(int ebx, int reg1)`
`static int` | `ebx_nef_STORE1_BL_ebx_reg1(int ebx, int reg1)`
`static int` | `ebx_nef_STORE1_BX_ebx_reg1(int ebx, int reg1)`
`static int` | `ebx_nef_STORE1_EBX_reg1(int reg1)`
`static int` | `ecx_hef_POPAD_A32_ecx_ss_esp(int ecx, Segment ss, int esp)`
`static int` | `ecx_nef_LOOP_CX_ecx(int ecx)`
`static int` | `ecx_nef_LOOP_ECX_ecx(int ecx)`
`static int` | `ecx_nef_STORE0_CH_ecx_reg0(int ecx, int reg0)`
`static int` | `ecx_nef_STORE0_CL_ecx_reg0(int ecx, int reg0)`
`static int` | `ecx_nef_STORE0_CX_ecx_reg0(int ecx, int reg0)`
`static int` | `ecx_nef_STORE0_ECX_reg0(int reg0)`
`static int` | `ecx_nef_STORE1_CH_ecx_reg1(int ecx, int reg1)`
`static int` | `ecx_nef_STORE1_CL_ecx_reg1(int ecx, int reg1)`
`static int` | `ecx_nef_STORE1_CX_ecx_reg1(int ecx, int reg1)`
`static int` | `ecx_nef_STORE1_ECX_reg1(int reg1)`
`static int` | `edi_hef_POPAD_A32_edi_ss_esp(int edi, Segment ss, int esp)`
`static int` | `edi_nef_MOVSB_A16_dflag_edi(boolean dflag, int edi)`
`static int` | `edi_nef_MOVSB_A32_dflag_edi(boolean dflag, int edi)`
`static int` | `edi_nef_MOVSD_A16_dflag_edi(boolean dflag, int edi)`
`static int` | `edi_nef_MOVSD_A32_dflag_edi(boolean dflag, int edi)`
`static int` | `edi_nef_MOVSW_A16_dflag_edi(boolean dflag, int edi)`
`static int` | `edi_nef_MOVSW_A32_dflag_edi(boolean dflag, int edi)`
`static int` | `edi_nef_STORE0_DI_edi_reg0(int edi, int reg0)`
`static int` | `edi_nef_STORE0_EDI_reg0(int reg0)`
`static int` | `edi_nef_STORE1_DI_edi_reg1(int edi, int reg1)`
`static int` | `edi_nef_STORE1_EDI_reg1(int reg1)`
`static int` | `edi_nef_STOSB_A16_edi_dflag(int edi, boolean dflag)`
`static int` | `edi_nef_STOSB_A32_edi_dflag(int edi, boolean dflag)`
`static int` | `edi_nef_STOSD_A16_edi_dflag(int edi, boolean dflag)`
`static int` | `edi_nef_STOSD_A32_edi_dflag(int edi, boolean dflag)`
`static int` | `edi_nef_STOSW_A16_edi_dflag(int edi, boolean dflag)`
`static int` | `edi_nef_STOSW_A32_edi_dflag(int edi, boolean dflag)`
`static int` | `edx_hef_POPAD_A32_edx_ss_esp(int edx, Segment ss, int esp)`
`static int` | `edx_nef_CDQ_eax(int eax)`
`static int` | `edx_nef_CWD_edx_eax(int edx, int eax)`
`static int` | `edx_nef_DIV_O16_reg0_eax_edx(int reg0, int eax, int edx)`
`static int` | `edx_nef_DIV_O32_reg0_eax_edx(int reg0, int eax, int edx)`
`static int` | `edx_nef_IDIV_O16_reg0_eax_edx(int reg0, int eax, int edx)`
`static int` | `edx_nef_IDIV_O32_reg0_eax_edx(int reg0, int eax, int edx)`
`static int` | `edx_nef_IMULA_O16_edx_reg0_eax(int edx, int reg0, int eax)`
`static int` | `edx_nef_IMULA_O32_edx_reg0_eax(int edx, int reg0, int eax)`
`static int` | `edx_nef_MUL_O16_edx_reg0_eax(int edx, int reg0, int eax)`
`static int` | `edx_nef_MUL_O32_reg0_eax(int reg0, int eax)`
`static int` | `edx_nef_STORE0_DH_edx_reg0(int edx, int reg0)`
`static int` | `edx_nef_STORE0_DL_edx_reg0(int edx, int reg0)`
`static int` | `edx_nef_STORE0_DX_edx_reg0(int edx, int reg0)`
`static int` | `edx_nef_STORE0_EDX_reg0(int reg0)`
`static int` | `edx_nef_STORE1_DH_edx_reg1(int edx, int reg1)`
`static int` | `edx_nef_STORE1_DL_edx_reg1(int edx, int reg1)`
`static int` | `edx_nef_STORE1_DX_edx_reg1(int edx, int reg1)`
`static int` | `edx_nef_STORE1_EDX_reg1(int reg1)`
`static int` | `eip_hef_RET_IW_O32_A32_ss_esp(Segment ss, int esp)`
`static int` | `eip_hef_RET_O32_A32_ss_esp(Segment ss, int esp)`
`static int` | `eip_nef_CALL_ABS_O32_A32_cs_reg0(Segment cs, int reg0)`
`static int` | `eip_nef_CALL_O32_A32_cs_eip_reg0(Segment cs, int eip, int reg0)`
`static int` | `eip_nef_EIP_UPDATE_eip_x86length(int eip, int x86length)`
`static int` | `eip_nef_JA_O16_cs_eip_reg0_cflag_zflag(Segment cs, int eip, int reg0, boolean cflag, boolean zflag)`
`static int` | `eip_nef_JA_O32_cs_eip_reg0_cflag_zflag(Segment cs, int eip, int reg0, boolean cflag, boolean zflag)`
`static int` | `eip_nef_JA_O8_cs_eip_reg0_cflag_zflag(Segment cs, int eip, int reg0, boolean cflag, boolean zflag)`
`static int` | `eip_nef_JC_O16_cs_eip_reg0_cflag(Segment cs, int eip, int reg0, boolean cflag)`
`static int` | `eip_nef_JC_O32_cs_eip_reg0_cflag(Segment cs, int eip, int reg0, boolean cflag)`
`static int` | `eip_nef_JC_O8_cs_eip_reg0_cflag(Segment cs, int eip, int reg0, boolean cflag)`
`static int` | `eip_nef_JCXZ_cs_eip_reg0_ecx(Segment cs, int eip, int reg0, int ecx)`
`static int` | `eip_nef_JECXZ_cs_eip_reg0_ecx(Segment cs, int eip, int reg0, int ecx)`
`static int` | `eip_nef_JG_O16_cs_eip_reg0_zflag_sflag_oflag(Segment cs, int eip, int reg0, boolean zflag, boolean sflag, boolean oflag)`
`static int` | `eip_nef_JG_O32_cs_eip_reg0_zflag_sflag_oflag(Segment cs, int eip, int reg0, boolean zflag, boolean sflag, boolean oflag)`
`static int` | `eip_nef_JG_O8_cs_eip_reg0_zflag_sflag_oflag(Segment cs, int eip, int reg0, boolean zflag, boolean sflag, boolean oflag)`
`static int` | `eip_nef_JL_O16_cs_eip_reg0_oflag_sflag(Segment cs, int eip, int reg0, boolean oflag, boolean sflag)`
`static int` | `eip_nef_JL_O32_cs_eip_reg0_oflag_sflag(Segment cs, int eip, int reg0, boolean oflag, boolean sflag)`
`static int` | `eip_nef_JL_O8_cs_eip_reg0_oflag_sflag(Segment cs, int eip, int reg0, boolean oflag, boolean sflag)`
`static int` | `eip_nef_JNA_O16_cs_eip_reg0_cflag_zflag(Segment cs, int eip, int reg0, boolean cflag, boolean zflag)`
`static int` | `eip_nef_JNA_O32_cs_eip_reg0_cflag_zflag(Segment cs, int eip, int reg0, boolean cflag, boolean zflag)`
`static int` | `eip_nef_JNA_O8_cs_eip_reg0_cflag_zflag(Segment cs, int eip, int reg0, boolean cflag, boolean zflag)`
`static int` | `eip_nef_JNC_O16_cs_eip_reg0_cflag(Segment cs, int eip, int reg0, boolean cflag)`
`static int` | `eip_nef_JNC_O32_cs_eip_reg0_cflag(Segment cs, int eip, int reg0, boolean cflag)`
`static int` | `eip_nef_JNC_O8_cs_eip_reg0_cflag(Segment cs, int eip, int reg0, boolean cflag)`
`static int` | `eip_nef_JNG_O16_cs_eip_reg0_zflag_sflag_oflag(Segment cs, int eip, int reg0, boolean zflag, boolean sflag, boolean oflag)`
`static int` | `eip_nef_JNG_O32_cs_eip_reg0_zflag_sflag_oflag(Segment cs, int eip, int reg0, boolean zflag, boolean sflag, boolean oflag)`
`static int` | `eip_nef_JNG_O8_cs_eip_reg0_zflag_sflag_oflag(Segment cs, int eip, int reg0, boolean zflag, boolean sflag, boolean oflag)`
`static int` | `eip_nef_JNL_O16_cs_eip_reg0_oflag_sflag(Segment cs, int eip, int reg0, boolean oflag, boolean sflag)`
`static int` | `eip_nef_JNL_O32_cs_eip_reg0_oflag_sflag(Segment cs, int eip, int reg0, boolean oflag, boolean sflag)`
`static int` | `eip_nef_JNL_O8_cs_eip_reg0_oflag_sflag(Segment cs, int eip, int reg0, boolean oflag, boolean sflag)`
`static int` | `eip_nef_JNO_O16_cs_eip_reg0_oflag(Segment cs, int eip, int reg0, boolean oflag)`
`static int` | `eip_nef_JNO_O32_cs_eip_reg0_oflag(Segment cs, int eip, int reg0, boolean oflag)`
`static int` | `eip_nef_JNO_O8_cs_eip_reg0_oflag(Segment cs, int eip, int reg0, boolean oflag)`
`static int` | `eip_nef_JNP_O16_cs_eip_reg0_pflag(Segment cs, int eip, int reg0, boolean pflag)`
`static int` | `eip_nef_JNP_O32_cs_eip_reg0_pflag(Segment cs, int eip, int reg0, boolean pflag)`
`static int` | `eip_nef_JNP_O8_cs_eip_reg0_pflag(Segment cs, int eip, int reg0, boolean pflag)`
`static int` | `eip_nef_JNS_O16_cs_eip_reg0_sflag(Segment cs, int eip, int reg0, boolean sflag)`
`static int` | `eip_nef_JNS_O32_cs_eip_reg0_sflag(Segment cs, int eip, int reg0, boolean sflag)`
`static int` | `eip_nef_JNS_O8_cs_eip_reg0_sflag(Segment cs, int eip, int reg0, boolean sflag)`
`static int` | `eip_nef_JNZ_O16_cs_eip_reg0_zflag(Segment cs, int eip, int reg0, boolean zflag)`
`static int` | `eip_nef_JNZ_O32_cs_eip_reg0_zflag(Segment cs, int eip, int reg0, boolean zflag)`
`static int` | `eip_nef_JNZ_O8_cs_eip_reg0_zflag(Segment cs, int eip, int reg0, boolean zflag)`
`static int` | `eip_nef_JO_O16_cs_eip_reg0_oflag(Segment cs, int eip, int reg0, boolean oflag)`
`static int` | `eip_nef_JO_O32_cs_eip_reg0_oflag(Segment cs, int eip, int reg0, boolean oflag)`
`static int` | `eip_nef_JO_O8_cs_eip_reg0_oflag(Segment cs, int eip, int reg0, boolean oflag)`
`static int` | `eip_nef_JP_O16_cs_eip_reg0_pflag(Segment cs, int eip, int reg0, boolean pflag)`
`static int` | `eip_nef_JP_O32_cs_eip_reg0_pflag(Segment cs, int eip, int reg0, boolean pflag)`
`static int` | `eip_nef_JP_O8_cs_eip_reg0_pflag(Segment cs, int eip, int reg0, boolean pflag)`
`static int` | `eip_nef_JS_O16_cs_eip_reg0_sflag(Segment cs, int eip, int reg0, boolean sflag)`
`static int` | `eip_nef_JS_O32_cs_eip_reg0_sflag(Segment cs, int eip, int reg0, boolean sflag)`
`static int` | `eip_nef_JS_O8_cs_eip_reg0_sflag(Segment cs, int eip, int reg0, boolean sflag)`
`static int` | `eip_nef_JUMP_ABS_O32_cs_reg0(Segment cs, int reg0)`
`static int` | `eip_nef_JUMP_O16_cs_eip_reg0(Segment cs, int eip, int reg0)`
`static int` | `eip_nef_JUMP_O32_cs_eip_reg0(Segment cs, int eip, int reg0)`
`static int` | `eip_nef_JUMP_O8_cs_eip_reg0(Segment cs, int eip, int reg0)`
`static int` | `eip_nef_JZ_O16_cs_eip_reg0_zflag(Segment cs, int eip, int reg0, boolean zflag)`
`static int` | `eip_nef_JZ_O32_cs_eip_reg0_zflag(Segment cs, int eip, int reg0, boolean zflag)`
`static int` | `eip_nef_JZ_O8_cs_eip_reg0_zflag(Segment cs, int eip, int reg0, boolean zflag)`
`static int` | `eip_nef_LOOP_CX_cs_eip_reg0_ecx(Segment cs, int eip, int reg0, int ecx)`
`static int` | `eip_nef_LOOP_ECX_cs_eip_reg0_ecx(Segment cs, int eip, int reg0, int ecx)`
`static int` | `esi_hef_POPAD_A32_esi_ss_esp(int esi, Segment ss, int esp)`
`static int` | `esi_nef_LODSB_A16_esi_dflag(int esi, boolean dflag)`
`static int` | `esi_nef_LODSB_A32_esi_dflag(int esi, boolean dflag)`
`static int` | `esi_nef_LODSD_A16_esi_dflag(int esi, boolean dflag)`
`static int` | `esi_nef_LODSD_A32_esi_dflag(int esi, boolean dflag)`
`static int` | `esi_nef_LODSW_A16_esi_dflag(int esi, boolean dflag)`
`static int` | `esi_nef_LODSW_A32_esi_dflag(int esi, boolean dflag)`
`static int` | `esi_nef_MOVSB_A16_dflag_esi(boolean dflag, int esi)`
`static int` | `esi_nef_MOVSB_A32_dflag_esi(boolean dflag, int esi)`
`static int` | `esi_nef_MOVSD_A16_dflag_esi(boolean dflag, int esi)`
`static int` | `esi_nef_MOVSD_A32_dflag_esi(boolean dflag, int esi)`
`static int` | `esi_nef_MOVSW_A16_dflag_esi(boolean dflag, int esi)`
`static int` | `esi_nef_MOVSW_A32_dflag_esi(boolean dflag, int esi)`
`static int` | `esi_nef_STORE0_ESI_reg0(int reg0)`
`static int` | `esi_nef_STORE0_SI_esi_reg0(int esi, int reg0)`
`static int` | `esi_nef_STORE1_ESI_reg1(int reg1)`
`static int` | `esi_nef_STORE1_SI_esi_reg1(int esi, int reg1)`
`static int` | `esp_nef_CALL_ABS_O32_A32_ss_esp(Segment ss, int esp)`
`static int` | `esp_nef_CALL_O32_A32_ss_esp(Segment ss, int esp)`
`static int` | `esp_nef_LEAVE_O32_A32_ss_ebp_esp(Segment ss, int ebp, int esp)`
`static int` | `esp_nef_POPAD_A32_ss_esp(Segment ss, int esp)`
`static int` | `esp_nef_POPF_O32_A32_ss_esp(Segment ss, int esp)`
`static int` | `esp_nef_PUSH_O16_A32_ss_esp(Segment ss, int esp)`
`static int` | `esp_nef_PUSH_O32_A32_ss_esp(Segment ss, int esp)`
`static int` | `esp_nef_PUSHAD_A32_ss_esp(Segment ss, int esp)`
`static int` | `esp_nef_PUSHF_O32_A32_ss_esp(Segment ss, int esp)`
`static int` | `esp_nef_RET_IW_O32_A32_ss_esp_reg0(Segment ss, int esp, int reg0)`
`static int` | `esp_nef_RET_O32_A32_ss_esp(Segment ss, int esp)`
`static int` | `esp_nef_STORE0_ESP_reg0(int reg0)`
`static int` | `esp_nef_STORE0_SP_esp_reg0(int esp, int reg0)`
`static int` | `esp_nef_STORE1_ESP_reg1(int reg1)`
`static int` | `esp_nef_STORE1_SP_esp_reg1(int esp, int reg1)`
`static boolean` | `iflag_nef_CLI()`
`static boolean` | `iflag_nef_STI()`
`static boolean` | `iflag_nef_STORE0_FLAGS_reg0(int reg0)`
`static int` | `iopl_nef_STORE0_FLAGS_reg0(int reg0)`
`static void` | `ioportwrite_hef_OUT_O16_cpl_iopl_tss_reg0_reg1_ioports(int cpl, int iopl, Segment tss, int reg0, int reg1, IOPortHandler ioports)`
`static void` | `ioportwrite_hef_OUT_O32_cpl_iopl_tss_reg0_reg1_ioports(int cpl, int iopl, Segment tss, int reg0, int reg1, IOPortHandler ioports)`
`static void` | `ioportwrite_hef_OUT_O8_cpl_iopl_tss_reg0_reg1_ioports(int cpl, int iopl, Segment tss, int reg0, int reg1, IOPortHandler ioports)`
`static void` | `memorywrite_hef_CALL_ABS_O32_A32_ss_esp_eip(Segment ss, int esp, int eip)`
`static void` | `memorywrite_hef_CALL_O32_A32_ss_esp_eip(Segment ss, int esp, int eip)`
`static void` | `memorywrite_hef_MOVSB_A16_es_edi_seg0_esi(Segment es, int edi, Segment seg0, int esi)`
`static void` | `memorywrite_hef_MOVSB_A32_es_edi_seg0_esi(Segment es, int edi, Segment seg0, int esi)`
`static void` | `memorywrite_hef_MOVSD_A16_es_edi_seg0_esi(Segment es, int edi, Segment seg0, int esi)`
`static void` | `memorywrite_hef_MOVSD_A32_es_edi_seg0_esi(Segment es, int edi, Segment seg0, int esi)`
`static void` | `memorywrite_hef_MOVSW_A16_es_edi_seg0_esi(Segment es, int edi, Segment seg0, int esi)`
`static void` | `memorywrite_hef_MOVSW_A32_es_edi_seg0_esi(Segment es, int edi, Segment seg0, int esi)`
`static void` | `memorywrite_hef_PUSH_O16_A32_ss_reg0_esp(Segment ss, int reg0, int esp)`
`static void` | `memorywrite_hef_PUSH_O32_A32_ss_reg0_esp(Segment ss, int reg0, int esp)`
`static void` | `memorywrite_hef_PUSHAD_A32_edi_esi_ebp_ebx_edx_ecx_eax_ss_esp(int edi, int esi, int ebp, int ebx, int edx, int ecx, int eax, Segment ss, int esp)`
`static void` | `memorywrite_hef_PUSHF_O32_A32_ss_reg0_esp(Segment ss, int reg0, int esp)`
`static void` | `memorywrite_hef_STORE0_MEM_BYTE_seg0_addr0_reg0(Segment seg0, int addr0, int reg0)`
`static void` | `memorywrite_hef_STORE0_MEM_DWORD_seg0_addr0_reg0(Segment seg0, int addr0, int reg0)`
`static void` | `memorywrite_hef_STORE0_MEM_WORD_seg0_addr0_reg0(Segment seg0, int addr0, int reg0)`
`static void` | `memorywrite_hef_STORE1_MEM_BYTE_seg0_addr0_reg1(Segment seg0, int addr0, int reg1)`
`static void` | `memorywrite_hef_STORE1_MEM_DWORD_seg0_addr0_reg1(Segment seg0, int addr0, int reg1)`
`static void` | `memorywrite_hef_STORE1_MEM_WORD_seg0_addr0_reg1(Segment seg0, int addr0, int reg1)`
`static void` | `memorywrite_hef_STOSB_A16_es_reg0_edi(Segment es, int reg0, int edi)`
`static void` | `memorywrite_hef_STOSB_A32_es_reg0_edi(Segment es, int reg0, int edi)`
`static void` | `memorywrite_hef_STOSD_A16_es_reg0_edi(Segment es, int reg0, int edi)`
`static void` | `memorywrite_hef_STOSD_A32_es_reg0_edi(Segment es, int reg0, int edi)`
`static void` | `memorywrite_hef_STOSW_A16_es_reg0_edi(Segment es, int reg0, int edi)`
`static void` | `memorywrite_hef_STOSW_A32_es_reg0_edi(Segment es, int reg0, int edi)`
`static boolean` | `ntflag_nef_STORE0_FLAGS_reg0(int reg0)`
`static boolean` | `oflag_nef_ADC_O16_FLAGS_reg0_reg1_reg2(int reg0, int reg1, int reg2)`
`static boolean` | `oflag_nef_ADC_O32_FLAGS_reg0_reg1_reg2(int reg0, int reg1, int reg2)`
`static boolean` | `oflag_nef_ADC_O8_FLAGS_reg0_reg1_reg2(int reg0, int reg1, int reg2)`
`static boolean` | `oflag_nef_ADD_O16_FLAGS_reg0_reg1_reg2(int reg0, int reg1, int reg2)`
`static boolean` | `oflag_nef_ADD_O32_FLAGS_reg0_reg1_reg2(int reg0, int reg1, int reg2)`
`static boolean` | `oflag_nef_ADD_O8_FLAGS_reg0_reg1_reg2(int reg0, int reg1, int reg2)`
`static boolean` | `oflag_nef_BITWISE_FLAGS_O16()`
`static boolean` | `oflag_nef_BITWISE_FLAGS_O32()`
`static boolean` | `oflag_nef_BITWISE_FLAGS_O8()`
`static boolean` | `oflag_nef_CMPXCHG_O16_FLAGS_reg1_reg2(int reg1, int reg2)`
`static boolean` | `oflag_nef_CMPXCHG_O32_FLAGS_reg1_reg2(int reg1, int reg2)`
`static boolean` | `oflag_nef_CMPXCHG_O8_FLAGS_reg1_reg2(int reg1, int reg2)`
`static boolean` | `oflag_nef_DEC_O16_FLAGS_reg0(int reg0)`
`static boolean` | `oflag_nef_DEC_O32_FLAGS_reg0(int reg0)`
`static boolean` | `oflag_nef_DEC_O8_FLAGS_reg0(int reg0)`
`static boolean` | `oflag_nef_IMUL_O16_reg0_reg1(int reg0, int reg1)`
`static boolean` | `oflag_nef_IMUL_O32_reg0_reg1(int reg0, int reg1)`
`static boolean` | `oflag_nef_IMULA_O16_reg0_eax(int reg0, int eax)`
`static boolean` | `oflag_nef_IMULA_O32_reg0_eax(int reg0, int eax)`
`static boolean` | `oflag_nef_IMULA_O8_reg0_eax(int reg0, int eax)`
`static boolean` | `oflag_nef_INC_O16_FLAGS_reg0(int reg0)`
`static boolean` | `oflag_nef_INC_O32_FLAGS_reg0(int reg0)`
`static boolean` | `oflag_nef_INC_O8_FLAGS_reg0(int reg0)`
`static boolean` | `oflag_nef_MUL_O16_reg0_eax(int reg0, int eax)`
`static boolean` | `oflag_nef_MUL_O32_reg0_eax(int reg0, int eax)`
`static boolean` | `oflag_nef_MUL_O8_reg0_eax(int reg0, int eax)`
`static boolean` | `oflag_nef_NEG_O16_FLAGS_reg0(int reg0)`
`static boolean` | `oflag_nef_NEG_O32_FLAGS_reg0(int reg0)`
`static boolean` | `oflag_nef_NEG_O8_FLAGS_reg0(int reg0)`
`static boolean` | `oflag_nef_RCL_O16_FLAGS_oflag_reg0_reg1(boolean oflag, int reg0, int reg1)`
`static boolean` | `oflag_nef_RCL_O8_FLAGS_oflag_reg0_reg1(boolean oflag, int reg0, int reg1)`
`static boolean` | `oflag_nef_RCR_O16_FLAGS_oflag_reg0_reg1(boolean oflag, int reg0, int reg1)`
`static boolean` | `oflag_nef_RCR_O8_FLAGS_oflag_reg0_reg1(boolean oflag, int reg0, int reg1)`
`static boolean` | `oflag_nef_ROL_O16_FLAGS_oflag_reg0_reg1(boolean oflag, int reg0, int reg1)`
`static boolean` | `oflag_nef_ROL_O32_FLAGS_oflag_reg0_reg1(boolean oflag, int reg0, int reg1)`
`static boolean` | `oflag_nef_ROL_O8_FLAGS_oflag_reg0_reg1(boolean oflag, int reg0, int reg1)`
`static boolean` | `oflag_nef_ROR_O16_FLAGS_oflag_reg0_reg1(boolean oflag, int reg0, int reg1)`
`static boolean` | `oflag_nef_ROR_O32_FLAGS_oflag_reg0_reg1(boolean oflag, int reg0, int reg1)`
`static boolean` | `oflag_nef_ROR_O8_FLAGS_oflag_reg0_reg1(boolean oflag, int reg0, int reg1)`
`static boolean` | `oflag_nef_SAR_O16_FLAGS_oflag_reg1(boolean oflag, int reg1)`
`static boolean` | `oflag_nef_SAR_O32_FLAGS_oflag_reg1(boolean oflag, int reg1)`
`static boolean` | `oflag_nef_SAR_O8_FLAGS_oflag_reg1(boolean oflag, int reg1)`
`static boolean` | `oflag_nef_SBB_O16_FLAGS_reg0_reg1_reg2(int reg0, int reg1, int reg2)`
`static boolean` | `oflag_nef_SBB_O32_FLAGS_reg0_reg1_reg2(int reg0, int reg1, int reg2)`
`static boolean` | `oflag_nef_SBB_O8_FLAGS_reg0_reg1_reg2(int reg0, int reg1, int reg2)`
`static boolean` | `oflag_nef_SHL_O16_FLAGS_oflag_reg2_reg1(boolean oflag, int reg2, int reg1)`
`static boolean` | `oflag_nef_SHL_O32_FLAGS_oflag_reg2_reg1(boolean oflag, int reg2, int reg1)`
`static boolean` | `oflag_nef_SHL_O8_FLAGS_oflag_reg2_reg1(boolean oflag, int reg2, int reg1)`
`static boolean` | `oflag_nef_SHR_O16_FLAGS_oflag_reg2_reg1(boolean oflag, int reg2, int reg1)`
`static boolean` | `oflag_nef_SHR_O32_FLAGS_oflag_reg2_reg1(boolean oflag, int reg2, int reg1)`
`static boolean` | `oflag_nef_SHR_O8_FLAGS_oflag_reg2_reg1(boolean oflag, int reg2, int reg1)`
`static boolean` | `oflag_nef_STORE0_FLAGS_reg0(int reg0)`
`static boolean` | `oflag_nef_SUB_O16_FLAGS_reg0_reg1_reg2(int reg0, int reg1, int reg2)`
`static boolean` | `oflag_nef_SUB_O32_FLAGS_reg0_reg1_reg2(int reg0, int reg1, int reg2)`
`static boolean` | `oflag_nef_SUB_O8_FLAGS_reg0_reg1_reg2(int reg0, int reg1, int reg2)`
`static boolean` | `pflag_nef_ADC_O16_FLAGS_reg0(int reg0)`
`static boolean` | `pflag_nef_ADC_O32_FLAGS_reg0(int reg0)`
`static boolean` | `pflag_nef_ADC_O8_FLAGS_reg0(int reg0)`
`static boolean` | `pflag_nef_ADD_O16_FLAGS_reg0(int reg0)`
`static boolean` | `pflag_nef_ADD_O32_FLAGS_reg0(int reg0)`
`static boolean` | `pflag_nef_ADD_O8_FLAGS_reg0(int reg0)`
`static boolean` | `pflag_nef_BITWISE_FLAGS_O16_reg0(int reg0)`
`static boolean` | `pflag_nef_BITWISE_FLAGS_O32_reg0(int reg0)`
`static boolean` | `pflag_nef_BITWISE_FLAGS_O8_reg0(int reg0)`
`static boolean` | `pflag_nef_CMPXCHG_O16_FLAGS_reg1_reg2(int reg1, int reg2)`
`static boolean` | `pflag_nef_CMPXCHG_O32_FLAGS_reg1_reg2(int reg1, int reg2)`
`static boolean` | `pflag_nef_CMPXCHG_O8_FLAGS_reg1_reg2(int reg1, int reg2)`
`static boolean` | `pflag_nef_DEC_O16_FLAGS_reg0(int reg0)`
`static boolean` | `pflag_nef_DEC_O32_FLAGS_reg0(int reg0)`
`static boolean` | `pflag_nef_DEC_O8_FLAGS_reg0(int reg0)`
`static boolean` | `pflag_nef_INC_O16_FLAGS_reg0(int reg0)`
`static boolean` | `pflag_nef_INC_O32_FLAGS_reg0(int reg0)`
`static boolean` | `pflag_nef_INC_O8_FLAGS_reg0(int reg0)`
`static boolean` | `pflag_nef_NEG_O16_FLAGS_reg0(int reg0)`
`static boolean` | `pflag_nef_NEG_O32_FLAGS_reg0(int reg0)`
`static boolean` | `pflag_nef_NEG_O8_FLAGS_reg0(int reg0)`
`static boolean` | `pflag_nef_SAR_O16_FLAGS_pflag_reg0_reg1(boolean pflag, int reg0, int reg1)`
`static boolean` | `pflag_nef_SAR_O32_FLAGS_pflag_reg0_reg1(boolean pflag, int reg0, int reg1)`
`static boolean` | `pflag_nef_SAR_O8_FLAGS_pflag_reg0_reg1(boolean pflag, int reg0, int reg1)`
`static boolean` | `pflag_nef_SBB_O16_FLAGS_reg0(int reg0)`
`static boolean` | `pflag_nef_SBB_O32_FLAGS_reg0(int reg0)`
`static boolean` | `pflag_nef_SBB_O8_FLAGS_reg0(int reg0)`
`static boolean` | `pflag_nef_SHL_O16_FLAGS_pflag_reg0_reg1(boolean pflag, int reg0, int reg1)`
`static boolean` | `pflag_nef_SHL_O32_FLAGS_pflag_reg0_reg1(boolean pflag, int reg0, int reg1)`
`static boolean` | `pflag_nef_SHL_O8_FLAGS_pflag_reg0_reg1(boolean pflag, int reg0, int reg1)`
`static boolean` | `pflag_nef_SHR_O16_FLAGS_pflag_reg0_reg1(boolean pflag, int reg0, int reg1)`
`static boolean` | `pflag_nef_SHR_O32_FLAGS_pflag_reg0_reg1(boolean pflag, int reg0, int reg1)`
`static boolean` | `pflag_nef_SHR_O8_FLAGS_pflag_reg0_reg1(boolean pflag, int reg0, int reg1)`
`static boolean` | `pflag_nef_STORE0_FLAGS_reg0(int reg0)`
`static boolean` | `pflag_nef_SUB_O16_FLAGS_reg0(int reg0)`
`static boolean` | `pflag_nef_SUB_O32_FLAGS_reg0(int reg0)`
`static boolean` | `pflag_nef_SUB_O8_FLAGS_reg0(int reg0)`
`static int` | `reg0_hef_IN_O16_cpl_iopl_tss_reg0_ioports(int cpl, int iopl, Segment tss, int reg0, IOPortHandler ioports)`
`static int` | `reg0_hef_IN_O32_cpl_iopl_tss_reg0_ioports(int cpl, int iopl, Segment tss, int reg0, IOPortHandler ioports)`
`static int` | `reg0_hef_IN_O8_cpl_iopl_tss_reg0_ioports(int cpl, int iopl, Segment tss, int reg0, IOPortHandler ioports)`
`static int` | `reg0_hef_LOAD0_CS_cs(Segment cs)`
`static int` | `reg0_hef_LOAD0_DS_ds(Segment ds)`
`static int` | `reg0_hef_LOAD0_ES_es(Segment es)`
`static int` | `reg0_hef_LOAD0_FS_fs(Segment fs)`
`static int` | `reg0_hef_LOAD0_GS_gs(Segment gs)`
`static int` | `reg0_hef_LOAD0_MEM_BYTE_seg0_addr0(Segment seg0, int addr0)`
`static int` | `reg0_hef_LOAD0_MEM_DWORD_seg0_addr0(Segment seg0, int addr0)`
`static int` | `reg0_hef_LOAD0_MEM_WORD_seg0_addr0(Segment seg0, int addr0)`
`static int` | `reg0_hef_LOAD0_SS_ss(Segment ss)`
`static int` | `reg0_hef_POP_O32_A32_ss_esp(Segment ss, int esp)`
`static int` | `reg0_hef_POPF_O32_A32_ss_esp_cpl_iopl_vmflag_iflag(Segment ss, int esp, int cpl, int iopl, boolean vmflag, boolean iflag)`
`static int` | `reg0_nef_ADC_reg0_reg1_cflag(int reg0, int reg1, int cflag)`
`static int` | `reg0_nef_ADD_reg0_reg1(int reg0, int reg1)`
`static int` | `reg0_nef_AND_reg0_reg1(int reg0, int reg1)`
`static int` | `reg0_nef_BSF_reg1_reg0(int reg1, int reg0)`
`static int` | `reg0_nef_BSR_reg1_reg0(int reg1, int reg0)`
`static int` | `reg0_nef_CMOVA_reg0_reg1_cflag_zflag(int reg0, int reg1, boolean cflag, boolean zflag)`
`static int` | `reg0_nef_CMOVC_reg0_reg1_cflag(int reg0, int reg1, boolean cflag)`
`static int` | `reg0_nef_CMOVG_reg0_reg1_zflag_sflag_oflag(int reg0, int reg1, boolean zflag, boolean sflag, boolean oflag)`
`static int` | `reg0_nef_CMOVL_reg0_reg1_sflag_oflag(int reg0, int reg1, boolean sflag, boolean oflag)`
`static int` | `reg0_nef_CMOVNA_reg0_reg1_cflag_zflag(int reg0, int reg1, boolean cflag, boolean zflag)`
`static int` | `reg0_nef_CMOVNC_reg0_reg1_cflag(int reg0, int reg1, boolean cflag)`
`static int` | `reg0_nef_CMOVNG_reg0_reg1_zflag_sflag_oflag(int reg0, int reg1, boolean zflag, boolean sflag, boolean oflag)`
`static int` | `reg0_nef_CMOVNL_reg0_reg1_sflag_oflag(int reg0, int reg1, boolean sflag, boolean oflag)`
`static int` | `reg0_nef_CMOVNO_reg0_reg1_oflag(int reg0, int reg1, boolean oflag)`
`static int` | `reg0_nef_CMOVNP_reg0_reg1_pflag(int reg0, int reg1, boolean pflag)`
`static int` | `reg0_nef_CMOVNS_reg0_reg1_sflag(int reg0, int reg1, boolean sflag)`
`static int` | `reg0_nef_CMOVNZ_reg0_reg1_zflag(int reg0, int reg1, boolean zflag)`
`static int` | `reg0_nef_CMOVO_reg0_reg1_oflag(int reg0, int reg1, boolean oflag)`
`static int` | `reg0_nef_CMOVP_reg0_reg1_pflag(int reg0, int reg1, boolean pflag)`
`static int` | `reg0_nef_CMOVS_reg0_reg1_sflag(int reg0, int reg1, boolean sflag)`
`static int` | `reg0_nef_CMOVZ_reg0_reg1_zflag(int reg0, int reg1, boolean zflag)`
`static int` | `reg0_nef_CMPXCHG_reg0_reg1_reg2(int reg0, int reg1, int reg2)`
`static int` | `reg0_nef_DEC_reg0(int reg0)`
`static int` | `reg0_nef_IMUL_O16_reg0_reg1(int reg0, int reg1)`
`static int` | `reg0_nef_IMUL_O32_reg0_reg1(int reg0, int reg1)`
`static int` | `reg0_nef_INC_reg0(int reg0)`
`static int` | `reg0_nef_LOAD0_ADDR_addr0(int addr0)`
`static int` | `reg0_nef_LOAD0_AH_eax(int eax)`
`static int` | `reg0_nef_LOAD0_AL_eax(int eax)`
`static int` | `reg0_nef_LOAD0_AX_eax(int eax)`
`static int` | `reg0_nef_LOAD0_BH_ebx(int ebx)`
`static int` | `reg0_nef_LOAD0_BL_ebx(int ebx)`
`static int` | `reg0_nef_LOAD0_BP_ebp(int ebp)`
`static int` | `reg0_nef_LOAD0_BX_ebx(int ebx)`
`static int` | `reg0_nef_LOAD0_CH_ecx(int ecx)`
`static int` | `reg0_nef_LOAD0_CL_ecx(int ecx)`
`static int` | `reg0_nef_LOAD0_CX_ecx(int ecx)`
`static int` | `reg0_nef_LOAD0_DH_edx(int edx)`
`static int` | `reg0_nef_LOAD0_DI_edi(int edi)`
`static int` | `reg0_nef_LOAD0_DL_edx(int edx)`
`static int` | `reg0_nef_LOAD0_DX_edx(int edx)`
`static int` | `reg0_nef_LOAD0_EAX_eax(int eax)`
`static int` | `reg0_nef_LOAD0_EBP_ebp(int ebp)`
`static int` | `reg0_nef_LOAD0_EBX_ebx(int ebx)`
`static int` | `reg0_nef_LOAD0_ECX_ecx(int ecx)`
`static int` | `reg0_nef_LOAD0_EDI_edi(int edi)`
`static int` | `reg0_nef_LOAD0_EDX_edx(int edx)`
`static int` | `reg0_nef_LOAD0_EFLAGS_cflag_pflag_aflag_zflag_sflag_tflag_iflag_dflag_oflag_iopl_ntflag_rflag_vmflag_acflag_viflag_vipflag_idflag(int cflag, int pflag, int aflag, int zflag, int sflag, int tflag, int iflag, int dflag, int oflag, int iopl, int ntflag, int rflag, int vmflag, int acflag, int viflag, int vipflag, int idflag)`
`static int` | `reg0_nef_LOAD0_ESI_esi(int esi)`
`static int` | `reg0_nef_LOAD0_ESP_esp(int esp)`
`static int` | `reg0_nef_LOAD0_FLAGS_cflag_pflag_aflag_zflag_sflag_tflag_iflag_dflag_oflag_iopl_ntflag(int cflag, int pflag, int aflag, int zflag, int sflag, int tflag, int iflag, int dflag, int oflag, int iopl, int ntflag)`
`static int` | `reg0_nef_LOAD0_IB_immediate(int immediate)`
`static int` | `reg0_nef_LOAD0_ID_immediate(int immediate)`
`static int` | `reg0_nef_LOAD0_IW_immediate(int immediate)`
`static int` | `reg0_nef_LOAD0_SI_esi(int esi)`
`static int` | `reg0_nef_LOAD0_SP_esp(int esp)`
`static int` | `reg0_nef_NEG_reg0(int reg0)`
`static int` | `reg0_nef_NOT_reg0(int reg0)`
`static int` | `reg0_nef_OR_reg0_reg1(int reg0, int reg1)`
`static int` | `reg0_nef_RCL_O16_reg1_reg0_cflag(int reg1, int reg0, boolean cflag)`
`static int` | `reg0_nef_RCL_O8_reg1_reg0_cflag(int reg1, int reg0, boolean cflag)`
`static int` | `reg0_nef_RCR_O16_reg1_reg0_cflag(int reg1, int reg0, boolean cflag)`
`static int` | `reg0_nef_RCR_O8_reg1_reg0_cflag(int reg1, int reg0, boolean cflag)`
`static int` | `reg0_nef_ROL_O16_reg0_reg1(int reg0, int reg1)`
`static int` | `reg0_nef_ROL_O32_reg0_reg1(int reg0, int reg1)`
`static int` | `reg0_nef_ROL_O8_reg0_reg1(int reg0, int reg1)`
`static int` | `reg0_nef_ROR_O16_reg0_reg1(int reg0, int reg1)`
`static int` | `reg0_nef_ROR_O32_reg0_reg1(int reg0, int reg1)`
`static int` | `reg0_nef_ROR_O8_reg0_reg1(int reg0, int reg1)`
`static int` | `reg0_nef_SAR_O16_reg1_reg0(int reg1, int reg0)`
`static int` | `reg0_nef_SAR_O32_reg0_reg1(int reg0, int reg1)`
`static int` | `reg0_nef_SAR_O8_reg1_reg0(int reg1, int reg0)`
`static int` | `reg0_nef_SBB_reg0_reg1_cflag(int reg0, int reg1, int cflag)`
`static boolean` | `reg0_nef_SETA_cflag_zflag(boolean cflag, boolean zflag)`
`static boolean` | `reg0_nef_SETC_cflag(boolean cflag)`
`static boolean` | `reg0_nef_SETG_zflag_sflag_oflag(boolean zflag, boolean sflag, boolean oflag)`
`static boolean` | `reg0_nef_SETL_sflag_oflag(boolean sflag, boolean oflag)`
`static boolean` | `reg0_nef_SETNA_cflag_zflag(boolean cflag, boolean zflag)`
`static boolean` | `reg0_nef_SETNC_cflag(boolean cflag)`
`static boolean` | `reg0_nef_SETNG_zflag_sflag_oflag(boolean zflag, boolean sflag, boolean oflag)`
`static boolean` | `reg0_nef_SETNL_sflag_oflag(boolean sflag, boolean oflag)`
`static boolean` | `reg0_nef_SETNO_oflag(boolean oflag)`
`static boolean` | `reg0_nef_SETNP_pflag(boolean pflag)`
`static boolean` | `reg0_nef_SETNS_sflag(boolean sflag)`
`static boolean` | `reg0_nef_SETNZ_zflag(boolean zflag)`
`static boolean` | `reg0_nef_SETO_oflag(boolean oflag)`
`static boolean` | `reg0_nef_SETP_pflag(boolean pflag)`
`static boolean` | `reg0_nef_SETS_sflag(boolean sflag)`
`static boolean` | `reg0_nef_SETZ_zflag(boolean zflag)`
`static int` | `reg0_nef_SHL_reg0_reg1(int reg0, int reg1)`
`static int` | `reg0_nef_SHLD_O16_reg0_reg1_reg2(int reg0, int reg1, int reg2)`
`static int` | `reg0_nef_SHLD_O32_reg0_reg1_reg2(int reg0, int reg1, int reg2)`
`static int` | `reg0_nef_SHR_reg0_reg1(int reg0, int reg1)`
`static int` | `reg0_nef_SHRD_O16_reg0_reg1_reg2(int reg0, int reg1, int reg2)`
`static int` | `reg0_nef_SHRD_O32_reg0_reg1_reg2(int reg0, int reg1, int reg2)`
`static int` | `reg0_nef_SIGN_EXTEND_16_32_reg0(int reg0)`
`static int` | `reg0_nef_SIGN_EXTEND_8_16_reg0(int reg0)`
`static int` | `reg0_nef_SIGN_EXTEND_8_32_reg0(int reg0)`
`static int` | `reg0_nef_SUB_reg0_reg1(int reg0, int reg1)`
`static int` | `reg0_nef_XOR_reg0_reg1(int reg0, int reg1)`
`static int` | `reg1_hef_LOAD1_MEM_BYTE_seg0_addr0(Segment seg0, int addr0)`
`static int` | `reg1_hef_LOAD1_MEM_DWORD_seg0_addr0(Segment seg0, int addr0)`
`static int` | `reg1_hef_LOAD1_MEM_WORD_seg0_addr0(Segment seg0, int addr0)`
`static int` | `reg1_nef_CMPXCHG_reg0(int reg0)`
`static int` | `reg1_nef_LOAD1_AH_eax(int eax)`
`static int` | `reg1_nef_LOAD1_AL_eax(int eax)`
`static int` | `reg1_nef_LOAD1_AX_eax(int eax)`
`static int` | `reg1_nef_LOAD1_BH_ebx(int ebx)`
`static int` | `reg1_nef_LOAD1_BL_ebx(int ebx)`
`static int` | `reg1_nef_LOAD1_BP_ebp(int ebp)`
`static int` | `reg1_nef_LOAD1_BX_ebx(int ebx)`
`static int` | `reg1_nef_LOAD1_CH_ecx(int ecx)`
`static int` | `reg1_nef_LOAD1_CL_ecx(int ecx)`
`static int` | `reg1_nef_LOAD1_CX_ecx(int ecx)`
`static int` | `reg1_nef_LOAD1_DH_edx(int edx)`
`static int` | `reg1_nef_LOAD1_DI_edi(int edi)`
`static int` | `reg1_nef_LOAD1_DL_edx(int edx)`
`static int` | `reg1_nef_LOAD1_DX_edx(int edx)`
`static int` | `reg1_nef_LOAD1_EAX_eax(int eax)`
`static int` | `reg1_nef_LOAD1_EBP_ebp(int ebp)`
`static int` | `reg1_nef_LOAD1_EBX_ebx(int ebx)`
`static int` | `reg1_nef_LOAD1_ECX_ecx(int ecx)`
`static int` | `reg1_nef_LOAD1_EDI_edi(int edi)`
`static int` | `reg1_nef_LOAD1_EDX_edx(int edx)`
`static int` | `reg1_nef_LOAD1_ESI_esi(int esi)`
`static int` | `reg1_nef_LOAD1_ESP_esp(int esp)`
`static int` | `reg1_nef_LOAD1_IB_immediate(int immediate)`
`static int` | `reg1_nef_LOAD1_ID_immediate(int immediate)`
`static int` | `reg1_nef_LOAD1_IW_immediate(int immediate)`
`static int` | `reg1_nef_LOAD1_SI_esi(int esi)`
`static int` | `reg1_nef_LOAD1_SP_esp(int esp)`
`static int` | `reg1_nef_POP_O32_A32_ss_esp(Segment ss, int esp)`
`static int` | `reg1_nef_RCL_O16_reg1(int reg1)`
`static int` | `reg1_nef_RCL_O8_reg1(int reg1)`
`static int` | `reg1_nef_RCR_O16_reg1(int reg1)`
`static int` | `reg1_nef_RCR_O8_reg1(int reg1)`
`static int` | `reg1_nef_ROL_O16_reg1(int reg1)`
`static int` | `reg1_nef_ROL_O32_reg1(int reg1)`
`static int` | `reg1_nef_ROL_O8_reg1(int reg1)`
`static int` | `reg1_nef_ROR_O16_reg1(int reg1)`
`static int` | `reg1_nef_ROR_O32_reg1(int reg1)`
`static int` | `reg1_nef_ROR_O8_reg1(int reg1)`
`static int` | `reg1_nef_SAR_O16_reg1(int reg1)`
`static int` | `reg1_nef_SAR_O32_reg1(int reg1)`
`static int` | `reg1_nef_SAR_O8_reg1(int reg1)`
`static int` | `reg1_nef_SHL_reg1(int reg1)`
`static int` | `reg1_nef_SHLD_O16_reg2(int reg2)`
`static int` | `reg1_nef_SHLD_O32_reg2(int reg2)`
`static int` | `reg1_nef_SHR_reg1(int reg1)`
`static int` | `reg1_nef_SHRD_O16_reg2(int reg2)`
`static int` | `reg1_nef_SHRD_O32_reg2(int reg2)`
`static int` | `reg2_nef_ADC_reg0(int reg0)`
`static int` | `reg2_nef_ADD_reg0(int reg0)`
`static int` | `reg2_nef_LOAD2_AL_eax(int eax)`
`static int` | `reg2_nef_LOAD2_AX_eax(int eax)`
`static int` | `reg2_nef_LOAD2_CL_ecx(int ecx)`
`static int` | `reg2_nef_LOAD2_EAX_eax(int eax)`
`static int` | `reg2_nef_LOAD2_IB_immediate(int immediate)`
`static int` | `reg2_nef_SAR_O16_reg0(int reg0)`
`static int` | `reg2_nef_SAR_O32_reg0(int reg0)`
`static int` | `reg2_nef_SAR_O8_reg0(int reg0)`
`static int` | `reg2_nef_SBB_reg0(int reg0)`
`static int` | `reg2_nef_SHL_reg0(int reg0)`
`static int` | `reg2_nef_SHLD_O16_reg0(int reg0)`
`static int` | `reg2_nef_SHLD_O32_reg0(int reg0)`
`static int` | `reg2_nef_SHR_reg0(int reg0)`
`static int` | `reg2_nef_SHRD_O16_reg0(int reg0)`
`static int` | `reg2_nef_SHRD_O32_reg0(int reg0)`
`static int` | `reg2_nef_SUB_reg0(int reg0)`
`static Segment` | `seg0_nef_LOAD_SEG_CS_cs(Segment cs)`
`static Segment` | `seg0_nef_LOAD_SEG_DS_ds(Segment ds)`
`static Segment` | `seg0_nef_LOAD_SEG_ES_es(Segment es)`
`static Segment` | `seg0_nef_LOAD_SEG_FS_fs(Segment fs)`
`static Segment` | `seg0_nef_LOAD_SEG_GS_gs(Segment gs)`
`static Segment` | `seg0_nef_LOAD_SEG_SS_ss(Segment ss)`
`static Segment` | `seg0_nef_MEM_RESET()`
`static boolean` | `sflag_nef_ADC_O16_FLAGS_reg0(int reg0)`
`static boolean` | `sflag_nef_ADC_O32_FLAGS_reg0(int reg0)`
`static boolean` | `sflag_nef_ADC_O8_FLAGS_reg0(int reg0)`
`static boolean` | `sflag_nef_ADD_O16_FLAGS_reg0(int reg0)`
`static boolean` | `sflag_nef_ADD_O32_FLAGS_reg0(int reg0)`
`static boolean` | `sflag_nef_ADD_O8_FLAGS_reg0(int reg0)`
`static boolean` | `sflag_nef_BITWISE_FLAGS_O16_reg0(int reg0)`
`static boolean` | `sflag_nef_BITWISE_FLAGS_O32_reg0(int reg0)`
`static boolean` | `sflag_nef_BITWISE_FLAGS_O8_reg0(int reg0)`
`static boolean` | `sflag_nef_CMPXCHG_O16_FLAGS_reg1_reg2(int reg1, int reg2)`
`static boolean` | `sflag_nef_CMPXCHG_O32_FLAGS_reg1_reg2(int reg1, int reg2)`
`static boolean` | `sflag_nef_CMPXCHG_O8_FLAGS_reg1_reg2(int reg1, int reg2)`
`static boolean` | `sflag_nef_DEC_O16_FLAGS_reg0(int reg0)`
`static boolean` | `sflag_nef_DEC_O32_FLAGS_reg0(int reg0)`
`static boolean` | `sflag_nef_DEC_O8_FLAGS_reg0(int reg0)`
`static boolean` | `sflag_nef_INC_O16_FLAGS_reg0(int reg0)`
`static boolean` | `sflag_nef_INC_O32_FLAGS_reg0(int reg0)`
`static boolean` | `sflag_nef_INC_O8_FLAGS_reg0(int reg0)`
`static boolean` | `sflag_nef_NEG_O16_FLAGS_reg0(int reg0)`
`static boolean` | `sflag_nef_NEG_O32_FLAGS_reg0(int reg0)`
`static boolean` | `sflag_nef_NEG_O8_FLAGS_reg0(int reg0)`
`static boolean` | `sflag_nef_SAR_O16_FLAGS_sflag_reg0_reg1(boolean sflag, int reg0, int reg1)`
`static boolean` | `sflag_nef_SAR_O32_FLAGS_sflag_reg0_reg1(boolean sflag, int reg0, int reg1)`
`static boolean` | `sflag_nef_SAR_O8_FLAGS_sflag_reg0_reg1(boolean sflag, int reg0, int reg1)`
`static boolean` | `sflag_nef_SBB_O16_FLAGS_reg0(int reg0)`
`static boolean` | `sflag_nef_SBB_O32_FLAGS_reg0(int reg0)`
`static boolean` | `sflag_nef_SBB_O8_FLAGS_reg0(int reg0)`
`static boolean` | `sflag_nef_SHL_O16_FLAGS_sflag_reg0_reg1(boolean sflag, int reg0, int reg1)`
`static boolean` | `sflag_nef_SHL_O32_FLAGS_sflag_reg0_reg1(boolean sflag, int reg0, int reg1)`
`static boolean` | `sflag_nef_SHL_O8_FLAGS_sflag_reg0_reg1(boolean sflag, int reg0, int reg1)`
`static boolean` | `sflag_nef_SHR_O16_FLAGS_sflag_reg0_reg1(boolean sflag, int reg0, int reg1)`
`static boolean` | `sflag_nef_SHR_O32_FLAGS_sflag_reg0_reg1(boolean sflag, int reg0, int reg1)`
`static boolean` | `sflag_nef_SHR_O8_FLAGS_sflag_reg0_reg1(boolean sflag, int reg0, int reg1)`
`static boolean` | `sflag_nef_STORE0_FLAGS_reg0(int reg0)`
`static boolean` | `sflag_nef_SUB_O16_FLAGS_reg0(int reg0)`
`static boolean` | `sflag_nef_SUB_O32_FLAGS_reg0(int reg0)`
`static boolean` | `sflag_nef_SUB_O8_FLAGS_reg0(int reg0)`
`static boolean` | `tflag_nef_STORE0_FLAGS_reg0(int reg0)`
`static boolean` | `zflag_nef_ADC_O16_FLAGS_reg0(int reg0)`
`static boolean` | `zflag_nef_ADC_O32_FLAGS_reg0(int reg0)`
`static boolean` | `zflag_nef_ADC_O8_FLAGS_reg0(int reg0)`
`static boolean` | `zflag_nef_ADD_O16_FLAGS_reg0(int reg0)`
`static boolean` | `zflag_nef_ADD_O32_FLAGS_reg0(int reg0)`
`static boolean` | `zflag_nef_ADD_O8_FLAGS_reg0(int reg0)`
`static boolean` | `zflag_nef_BITWISE_FLAGS_O16_reg0(int reg0)`
`static boolean` | `zflag_nef_BITWISE_FLAGS_O32_reg0(int reg0)`
`static boolean` | `zflag_nef_BITWISE_FLAGS_O8_reg0(int reg0)`
`static int` | `zflag_nef_BSF_reg1(int reg1)`
`static int` | `zflag_nef_BSR_reg1(int reg1)`
`static boolean` | `zflag_nef_CMPXCHG_O16_FLAGS_reg1_reg2(int reg1, int reg2)`
`static boolean` | `zflag_nef_CMPXCHG_O32_FLAGS_reg1_reg2(int reg1, int reg2)`
`static boolean` | `zflag_nef_CMPXCHG_O8_FLAGS_reg1_reg2(int reg1, int reg2)`
`static boolean` | `zflag_nef_DEC_O16_FLAGS_reg0(int reg0)`
`static boolean` | `zflag_nef_DEC_O32_FLAGS_reg0(int reg0)`
`static boolean` | `zflag_nef_DEC_O8_FLAGS_reg0(int reg0)`
`static boolean` | `zflag_nef_INC_O16_FLAGS_reg0(int reg0)`
`static boolean` | `zflag_nef_INC_O32_FLAGS_reg0(int reg0)`
`static boolean` | `zflag_nef_INC_O8_FLAGS_reg0(int reg0)`
`static boolean` | `zflag_nef_NEG_O16_FLAGS_reg0(int reg0)`
`static boolean` | `zflag_nef_NEG_O32_FLAGS_reg0(int reg0)`
`static boolean` | `zflag_nef_NEG_O8_FLAGS_reg0(int reg0)`
`static boolean` | `zflag_nef_SAR_O16_FLAGS_zflag_reg0_reg1(boolean zflag, int reg0, int reg1)`
`static boolean` | `zflag_nef_SAR_O32_FLAGS_zflag_reg0_reg1(boolean zflag, int reg0, int reg1)`
`static boolean` | `zflag_nef_SAR_O8_FLAGS_zflag_reg0_reg1(boolean zflag, int reg0, int reg1)`
`static boolean` | `zflag_nef_SBB_O16_FLAGS_reg0(int reg0)`
`static boolean` | `zflag_nef_SBB_O32_FLAGS_reg0(int reg0)`
`static boolean` | `zflag_nef_SBB_O8_FLAGS_reg0(int reg0)`
`static boolean` | `zflag_nef_SHL_O16_FLAGS_zflag_reg0_reg1(boolean zflag, int reg0, int reg1)`
`static boolean` | `zflag_nef_SHL_O32_FLAGS_zflag_reg0_reg1(boolean zflag, int reg0, int reg1)`
`static boolean` | `zflag_nef_SHL_O8_FLAGS_zflag_reg0_reg1(boolean zflag, int reg0, int reg1)`
`static boolean` | `zflag_nef_SHR_O16_FLAGS_zflag_reg0_reg1(boolean zflag, int reg0, int reg1)`
`static boolean` | `zflag_nef_SHR_O32_FLAGS_zflag_reg0_reg1(boolean zflag, int reg0, int reg1)`
`static boolean` | `zflag_nef_SHR_O8_FLAGS_zflag_reg0_reg1(boolean zflag, int reg0, int reg1)`
`static boolean` | `zflag_nef_STORE0_FLAGS_reg0(int reg0)`
`static boolean` | `zflag_nef_SUB_O16_FLAGS_reg0(int reg0)`
`static boolean` | `zflag_nef_SUB_O32_FLAGS_reg0(int reg0)`
`static boolean` | `zflag_nef_SUB_O8_FLAGS_reg0(int reg0)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parityMap

    protected static final boolean[] parityMap

Constructor Detail

### UCodeStaticMethods

    public UCodeStaticMethods()

Method Detail

### eip_nef_EIP_UPDATE_eip_x86length

    public static int eip_nef_EIP_UPDATE_eip_x86length(int eip,
                                                       int x86length)

  Parameters:
    `eip` -
    `x86length` -
  Returns:
    -

### reg0_nef_LOAD0_AL_eax

    public static int reg0_nef_LOAD0_AL_eax(int eax)

  Parameters:
    `eax` -
  Returns:
    -

### reg0_nef_LOAD0_CL_ecx

    public static int reg0_nef_LOAD0_CL_ecx(int ecx)

  Parameters:
    `ecx` -
  Returns:
    -

### reg0_nef_LOAD0_DL_edx

    public static int reg0_nef_LOAD0_DL_edx(int edx)

  Parameters:
    `edx` -
  Returns:
    -

### reg0_nef_LOAD0_BL_ebx

    public static int reg0_nef_LOAD0_BL_ebx(int ebx)

  Parameters:
    `ebx` -
  Returns:
    -

### reg0_nef_LOAD0_AH_eax

    public static int reg0_nef_LOAD0_AH_eax(int eax)

  Parameters:
    `eax` -
  Returns:
    -

### reg0_nef_LOAD0_CH_ecx

    public static int reg0_nef_LOAD0_CH_ecx(int ecx)

  Parameters:
    `ecx` -
  Returns:
    -

### reg0_nef_LOAD0_DH_edx

    public static int reg0_nef_LOAD0_DH_edx(int edx)

  Parameters:
    `edx` -
  Returns:
    -

### reg0_nef_LOAD0_BH_ebx

    public static int reg0_nef_LOAD0_BH_ebx(int ebx)

  Parameters:
    `ebx` -
  Returns:
    -

### reg0_nef_LOAD0_AX_eax

    public static int reg0_nef_LOAD0_AX_eax(int eax)

  Parameters:
    `eax` -
  Returns:
    -

### reg0_nef_LOAD0_CX_ecx

    public static int reg0_nef_LOAD0_CX_ecx(int ecx)

  Parameters:
    `ecx` -
  Returns:
    -

### reg0_nef_LOAD0_DX_edx

    public static int reg0_nef_LOAD0_DX_edx(int edx)

  Parameters:
    `edx` -
  Returns:
    -

### reg0_nef_LOAD0_BX_ebx

    public static int reg0_nef_LOAD0_BX_ebx(int ebx)

  Parameters:
    `ebx` -
  Returns:
    -

### reg0_nef_LOAD0_SP_esp

    public static int reg0_nef_LOAD0_SP_esp(int esp)

  Parameters:
    `esp` -
  Returns:
    -

### reg0_nef_LOAD0_BP_ebp

    public static int reg0_nef_LOAD0_BP_ebp(int ebp)

  Parameters:
    `ebp` -
  Returns:
    -

### reg0_nef_LOAD0_SI_esi

    public static int reg0_nef_LOAD0_SI_esi(int esi)

  Parameters:
    `esi` -
  Returns:
    -

### reg0_nef_LOAD0_DI_edi

    public static int reg0_nef_LOAD0_DI_edi(int edi)

  Parameters:
    `edi` -
  Returns:
    -

### reg0_nef_LOAD0_EAX_eax

    public static int reg0_nef_LOAD0_EAX_eax(int eax)

  Parameters:
    `eax` -
  Returns:
    -

### reg0_nef_LOAD0_ECX_ecx

    public static int reg0_nef_LOAD0_ECX_ecx(int ecx)

  Parameters:
    `ecx` -
  Returns:
    -

### reg0_nef_LOAD0_EDX_edx

    public static int reg0_nef_LOAD0_EDX_edx(int edx)

  Parameters:
    `edx` -
  Returns:
    -

### reg0_nef_LOAD0_EBX_ebx

    public static int reg0_nef_LOAD0_EBX_ebx(int ebx)

  Parameters:
    `ebx` -
  Returns:
    -

### reg0_nef_LOAD0_ESP_esp

    public static int reg0_nef_LOAD0_ESP_esp(int esp)

  Parameters:
    `esp` -
  Returns:
    -

### reg0_nef_LOAD0_EBP_ebp

    public static int reg0_nef_LOAD0_EBP_ebp(int ebp)

  Parameters:
    `ebp` -
  Returns:
    -

### reg0_nef_LOAD0_ESI_esi

    public static int reg0_nef_LOAD0_ESI_esi(int esi)

  Parameters:
    `esi` -
  Returns:
    -

### reg0_nef_LOAD0_EDI_edi

    public static int reg0_nef_LOAD0_EDI_edi(int edi)

  Parameters:
    `edi` -
  Returns:
    -

### reg0_hef_LOAD0_ES_es

    public static int reg0_hef_LOAD0_ES_es(Segment es)

  Parameters:
    `es` -
  Returns:
    -

### reg0_hef_LOAD0_CS_cs

    public static int reg0_hef_LOAD0_CS_cs(Segment cs)

  Parameters:
    `cs` -
  Returns:
    -

### reg0_hef_LOAD0_SS_ss

    public static int reg0_hef_LOAD0_SS_ss(Segment ss)

  Parameters:
    `ss` -
  Returns:
    -

### reg0_hef_LOAD0_DS_ds

    public static int reg0_hef_LOAD0_DS_ds(Segment ds)

  Parameters:
    `ds` -
  Returns:
    -

### reg0_hef_LOAD0_FS_fs

    public static int reg0_hef_LOAD0_FS_fs(Segment fs)

  Parameters:
    `fs` -
  Returns:
    -

### reg0_hef_LOAD0_GS_gs

    public static int reg0_hef_LOAD0_GS_gs(Segment gs)

  Parameters:
    `gs` -
  Returns:
    -

### reg0_nef_LOAD0_IB_immediate

    public static int reg0_nef_LOAD0_IB_immediate(int immediate)

  Parameters:
    `immediate` -
  Returns:
    -

### reg0_nef_LOAD0_IW_immediate

    public static int reg0_nef_LOAD0_IW_immediate(int immediate)

  Parameters:
    `immediate` -
  Returns:
    -

### reg0_nef_LOAD0_ID_immediate

    public static int reg0_nef_LOAD0_ID_immediate(int immediate)

  Parameters:
    `immediate` -
  Returns:
    -

### reg0_hef_LOAD0_MEM_BYTE_seg0_addr0

    public static int reg0_hef_LOAD0_MEM_BYTE_seg0_addr0(Segment seg0,
                                                         int addr0)

  Parameters:
    `seg0` -
    `addr0` -
  Returns:
    -

### reg0_hef_LOAD0_MEM_WORD_seg0_addr0

    public static int reg0_hef_LOAD0_MEM_WORD_seg0_addr0(Segment seg0,
                                                         int addr0)

  Parameters:
    `seg0` -
    `addr0` -
  Returns:
    -

### reg0_hef_LOAD0_MEM_DWORD_seg0_addr0

    public static int reg0_hef_LOAD0_MEM_DWORD_seg0_addr0(Segment seg0,
                                                          int addr0)

  Parameters:
    `seg0` -
    `addr0` -
  Returns:
    -

### reg0_nef_LOAD0_FLAGS_cflag_pflag_aflag_zflag_sflag_tflag_iflag_dflag_oflag_iopl_ntflag

    public static int reg0_nef_LOAD0_FLAGS_cflag_pflag_aflag_zflag_sflag_tflag_iflag_dflag_oflag_iopl_ntflag(int cflag,
                                                                                                             int pflag,
                                                                                                             int aflag,
                                                                                                             int zflag,
                                                                                                             int sflag,
                                                                                                             int tflag,
                                                                                                             int iflag,
                                                                                                             int dflag,
                                                                                                             int oflag,
                                                                                                             int iopl,
                                                                                                             int ntflag)

  Parameters:
    `cflag` -
    `pflag` -
    `aflag` -
    `zflag` -
    `sflag` -
    `tflag` -
    `iflag` -
    `dflag` -
    `oflag` -
    `iopl` -
    `ntflag` -
  Returns:
    -

### reg0_nef_LOAD0_EFLAGS_cflag_pflag_aflag_zflag_sflag_tflag_iflag_dflag_oflag_iopl_ntflag_rflag_vmflag_acflag_viflag_vipflag_idflag

    public static int reg0_nef_LOAD0_EFLAGS_cflag_pflag_aflag_zflag_sflag_tflag_iflag_dflag_oflag_iopl_ntflag_rflag_vmflag_acflag_viflag_vipflag_idflag(int cflag,
                                                                                                                                                        int pflag,
                                                                                                                                                        int aflag,
                                                                                                                                                        int zflag,
                                                                                                                                                        int sflag,
                                                                                                                                                        int tflag,
                                                                                                                                                        int iflag,
                                                                                                                                                        int dflag,
                                                                                                                                                        int oflag,
                                                                                                                                                        int iopl,
                                                                                                                                                        int ntflag,
                                                                                                                                                        int rflag,
                                                                                                                                                        int vmflag,
                                                                                                                                                        int acflag,
                                                                                                                                                        int viflag,
                                                                                                                                                        int vipflag,
                                                                                                                                                        int idflag)

  Parameters:
    `cflag` -
    `pflag` -
    `aflag` -
    `zflag` -
    `sflag` -
    `tflag` -
    `iflag` -
    `dflag` -
    `oflag` -
    `iopl` -
    `ntflag` -
    `rflag` -
    `vmflag` -
    `acflag` -
    `viflag` -
    `vipflag` -
    `idflag` -
  Returns:
    -

### reg0_nef_LOAD0_ADDR_addr0

    public static int reg0_nef_LOAD0_ADDR_addr0(int addr0)

  Parameters:
    `addr0` -
  Returns:
    -

### reg1_nef_LOAD1_AL_eax

    public static int reg1_nef_LOAD1_AL_eax(int eax)

  Parameters:
    `eax` -
  Returns:
    -

### reg1_nef_LOAD1_CL_ecx

    public static int reg1_nef_LOAD1_CL_ecx(int ecx)

  Parameters:
    `ecx` -
  Returns:
    -

### reg1_nef_LOAD1_DL_edx

    public static int reg1_nef_LOAD1_DL_edx(int edx)

  Parameters:
    `edx` -
  Returns:
    -

### reg1_nef_LOAD1_BL_ebx

    public static int reg1_nef_LOAD1_BL_ebx(int ebx)

  Parameters:
    `ebx` -
  Returns:
    -

### reg1_nef_LOAD1_AH_eax

    public static int reg1_nef_LOAD1_AH_eax(int eax)

  Parameters:
    `eax` -
  Returns:
    -

### reg1_nef_LOAD1_CH_ecx

    public static int reg1_nef_LOAD1_CH_ecx(int ecx)

  Parameters:
    `ecx` -
  Returns:
    -

### reg1_nef_LOAD1_DH_edx

    public static int reg1_nef_LOAD1_DH_edx(int edx)

  Parameters:
    `edx` -
  Returns:
    -

### reg1_nef_LOAD1_BH_ebx

    public static int reg1_nef_LOAD1_BH_ebx(int ebx)

  Parameters:
    `ebx` -
  Returns:
    -

### reg1_nef_LOAD1_AX_eax

    public static int reg1_nef_LOAD1_AX_eax(int eax)

  Parameters:
    `eax` -
  Returns:
    -

### reg1_nef_LOAD1_CX_ecx

    public static int reg1_nef_LOAD1_CX_ecx(int ecx)

  Parameters:
    `ecx` -
  Returns:
    -

### reg1_nef_LOAD1_DX_edx

    public static int reg1_nef_LOAD1_DX_edx(int edx)

  Parameters:
    `edx` -
  Returns:
    -

### reg1_nef_LOAD1_BX_ebx

    public static int reg1_nef_LOAD1_BX_ebx(int ebx)

  Parameters:
    `ebx` -
  Returns:
    -

### reg1_nef_LOAD1_SP_esp

    public static int reg1_nef_LOAD1_SP_esp(int esp)

  Parameters:
    `esp` -
  Returns:
    -

### reg1_nef_LOAD1_BP_ebp

    public static int reg1_nef_LOAD1_BP_ebp(int ebp)

  Parameters:
    `ebp` -
  Returns:
    -

### reg1_nef_LOAD1_SI_esi

    public static int reg1_nef_LOAD1_SI_esi(int esi)

  Parameters:
    `esi` -
  Returns:
    -

### reg1_nef_LOAD1_DI_edi

    public static int reg1_nef_LOAD1_DI_edi(int edi)

  Parameters:
    `edi` -
  Returns:
    -

### reg1_nef_LOAD1_EAX_eax

    public static int reg1_nef_LOAD1_EAX_eax(int eax)

  Parameters:
    `eax` -
  Returns:
    -

### reg1_nef_LOAD1_ECX_ecx

    public static int reg1_nef_LOAD1_ECX_ecx(int ecx)

  Parameters:
    `ecx` -
  Returns:
    -

### reg1_nef_LOAD1_EDX_edx

    public static int reg1_nef_LOAD1_EDX_edx(int edx)

  Parameters:
    `edx` -
  Returns:
    -

### reg1_nef_LOAD1_EBX_ebx

    public static int reg1_nef_LOAD1_EBX_ebx(int ebx)

  Parameters:
    `ebx` -
  Returns:
    -

### reg1_nef_LOAD1_ESP_esp

    public static int reg1_nef_LOAD1_ESP_esp(int esp)

  Parameters:
    `esp` -
  Returns:
    -

### reg1_nef_LOAD1_EBP_ebp

    public static int reg1_nef_LOAD1_EBP_ebp(int ebp)

  Parameters:
    `ebp` -
  Returns:
    -

### reg1_nef_LOAD1_ESI_esi

    public static int reg1_nef_LOAD1_ESI_esi(int esi)

  Parameters:
    `esi` -
  Returns:
    -

### reg1_nef_LOAD1_EDI_edi

    public static int reg1_nef_LOAD1_EDI_edi(int edi)

  Parameters:
    `edi` -
  Returns:
    -

### reg1_nef_LOAD1_IB_immediate

    public static int reg1_nef_LOAD1_IB_immediate(int immediate)

  Parameters:
    `immediate` -
  Returns:
    -

### reg1_nef_LOAD1_IW_immediate

    public static int reg1_nef_LOAD1_IW_immediate(int immediate)

  Parameters:
    `immediate` -
  Returns:
    -

### reg1_nef_LOAD1_ID_immediate

    public static int reg1_nef_LOAD1_ID_immediate(int immediate)

  Parameters:
    `immediate` -
  Returns:
    -

### reg1_hef_LOAD1_MEM_BYTE_seg0_addr0

    public static int reg1_hef_LOAD1_MEM_BYTE_seg0_addr0(Segment seg0,
                                                         int addr0)

  Parameters:
    `seg0` -
    `addr0` -
  Returns:
    -

### reg1_hef_LOAD1_MEM_WORD_seg0_addr0

    public static int reg1_hef_LOAD1_MEM_WORD_seg0_addr0(Segment seg0,
                                                         int addr0)

  Parameters:
    `seg0` -
    `addr0` -
  Returns:
    -

### reg1_hef_LOAD1_MEM_DWORD_seg0_addr0

    public static int reg1_hef_LOAD1_MEM_DWORD_seg0_addr0(Segment seg0,
                                                          int addr0)

  Parameters:
    `seg0` -
    `addr0` -
  Returns:
    -

### reg2_nef_LOAD2_EAX_eax

    public static int reg2_nef_LOAD2_EAX_eax(int eax)

  Parameters:
    `eax` -
  Returns:
    -

### reg2_nef_LOAD2_AX_eax

    public static int reg2_nef_LOAD2_AX_eax(int eax)

  Parameters:
    `eax` -
  Returns:
    -

### reg2_nef_LOAD2_AL_eax

    public static int reg2_nef_LOAD2_AL_eax(int eax)

  Parameters:
    `eax` -
  Returns:
    -

### reg2_nef_LOAD2_CL_ecx

    public static int reg2_nef_LOAD2_CL_ecx(int ecx)

  Parameters:
    `ecx` -
  Returns:
    -

### reg2_nef_LOAD2_IB_immediate

    public static int reg2_nef_LOAD2_IB_immediate(int immediate)

  Parameters:
    `immediate` -
  Returns:
    -

### seg0_nef_LOAD_SEG_CS_cs

    public static Segment seg0_nef_LOAD_SEG_CS_cs(Segment cs)

  Parameters:
    `cs` -
  Returns:
    -

### seg0_nef_LOAD_SEG_DS_ds

    public static Segment seg0_nef_LOAD_SEG_DS_ds(Segment ds)

  Parameters:
    `ds` -
  Returns:
    -

### seg0_nef_LOAD_SEG_ES_es

    public static Segment seg0_nef_LOAD_SEG_ES_es(Segment es)

  Parameters:
    `es` -
  Returns:
    -

### seg0_nef_LOAD_SEG_FS_fs

    public static Segment seg0_nef_LOAD_SEG_FS_fs(Segment fs)

  Parameters:
    `fs` -
  Returns:
    -

### seg0_nef_LOAD_SEG_GS_gs

    public static Segment seg0_nef_LOAD_SEG_GS_gs(Segment gs)

  Parameters:
    `gs` -
  Returns:
    -

### seg0_nef_LOAD_SEG_SS_ss

    public static Segment seg0_nef_LOAD_SEG_SS_ss(Segment ss)

  Parameters:
    `ss` -
  Returns:
    -

### eax_nef_STORE0_AL_eax_reg0

    public static int eax_nef_STORE0_AL_eax_reg0(int eax,
                                                 int reg0)

  Parameters:
    `eax` -
    `reg0` -
  Returns:
    -

### ecx_nef_STORE0_CL_ecx_reg0

    public static int ecx_nef_STORE0_CL_ecx_reg0(int ecx,
                                                 int reg0)

  Parameters:
    `ecx` -
    `reg0` -
  Returns:
    -

### edx_nef_STORE0_DL_edx_reg0

    public static int edx_nef_STORE0_DL_edx_reg0(int edx,
                                                 int reg0)

  Parameters:
    `edx` -
    `reg0` -
  Returns:
    -

### ebx_nef_STORE0_BL_ebx_reg0

    public static int ebx_nef_STORE0_BL_ebx_reg0(int ebx,
                                                 int reg0)

  Parameters:
    `ebx` -
    `reg0` -
  Returns:
    -

### eax_nef_STORE0_AH_eax_reg0

    public static int eax_nef_STORE0_AH_eax_reg0(int eax,
                                                 int reg0)

  Parameters:
    `eax` -
    `reg0` -
  Returns:
    -

### ecx_nef_STORE0_CH_ecx_reg0

    public static int ecx_nef_STORE0_CH_ecx_reg0(int ecx,
                                                 int reg0)

  Parameters:
    `ecx` -
    `reg0` -
  Returns:
    -

### edx_nef_STORE0_DH_edx_reg0

    public static int edx_nef_STORE0_DH_edx_reg0(int edx,
                                                 int reg0)

  Parameters:
    `edx` -
    `reg0` -
  Returns:
    -

### ebx_nef_STORE0_BH_ebx_reg0

    public static int ebx_nef_STORE0_BH_ebx_reg0(int ebx,
                                                 int reg0)

  Parameters:
    `ebx` -
    `reg0` -
  Returns:
    -

### eax_nef_STORE0_AX_eax_reg0

    public static int eax_nef_STORE0_AX_eax_reg0(int eax,
                                                 int reg0)

  Parameters:
    `eax` -
    `reg0` -
  Returns:
    -

### ecx_nef_STORE0_CX_ecx_reg0

    public static int ecx_nef_STORE0_CX_ecx_reg0(int ecx,
                                                 int reg0)

  Parameters:
    `ecx` -
    `reg0` -
  Returns:
    -

### edx_nef_STORE0_DX_edx_reg0

    public static int edx_nef_STORE0_DX_edx_reg0(int edx,
                                                 int reg0)

  Parameters:
    `edx` -
    `reg0` -
  Returns:
    -

### ebx_nef_STORE0_BX_ebx_reg0

    public static int ebx_nef_STORE0_BX_ebx_reg0(int ebx,
                                                 int reg0)

  Parameters:
    `ebx` -
    `reg0` -
  Returns:
    -

### esp_nef_STORE0_SP_esp_reg0

    public static int esp_nef_STORE0_SP_esp_reg0(int esp,
                                                 int reg0)

  Parameters:
    `esp` -
    `reg0` -
  Returns:
    -

### ebp_nef_STORE0_BP_ebp_reg0

    public static int ebp_nef_STORE0_BP_ebp_reg0(int ebp,
                                                 int reg0)

  Parameters:
    `ebp` -
    `reg0` -
  Returns:
    -

### esi_nef_STORE0_SI_esi_reg0

    public static int esi_nef_STORE0_SI_esi_reg0(int esi,
                                                 int reg0)

  Parameters:
    `esi` -
    `reg0` -
  Returns:
    -

### edi_nef_STORE0_DI_edi_reg0

    public static int edi_nef_STORE0_DI_edi_reg0(int edi,
                                                 int reg0)

  Parameters:
    `edi` -
    `reg0` -
  Returns:
    -

### eax_nef_STORE0_EAX_reg0

    public static int eax_nef_STORE0_EAX_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### ecx_nef_STORE0_ECX_reg0

    public static int ecx_nef_STORE0_ECX_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### edx_nef_STORE0_EDX_reg0

    public static int edx_nef_STORE0_EDX_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### ebx_nef_STORE0_EBX_reg0

    public static int ebx_nef_STORE0_EBX_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### esp_nef_STORE0_ESP_reg0

    public static int esp_nef_STORE0_ESP_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### ebp_nef_STORE0_EBP_reg0

    public static int ebp_nef_STORE0_EBP_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### esi_nef_STORE0_ESI_reg0

    public static int esi_nef_STORE0_ESI_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### edi_nef_STORE0_EDI_reg0

    public static int edi_nef_STORE0_EDI_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### memorywrite_hef_STORE0_MEM_BYTE_seg0_addr0_reg0

    public static void memorywrite_hef_STORE0_MEM_BYTE_seg0_addr0_reg0(Segment seg0,
                                                                       int addr0,
                                                                       int reg0)

  Parameters:
    `seg0` -
    `addr0` -
    `reg0` -

### memorywrite_hef_STORE0_MEM_WORD_seg0_addr0_reg0

    public static void memorywrite_hef_STORE0_MEM_WORD_seg0_addr0_reg0(Segment seg0,
                                                                       int addr0,
                                                                       int reg0)

  Parameters:
    `seg0` -
    `addr0` -
    `reg0` -

### memorywrite_hef_STORE0_MEM_DWORD_seg0_addr0_reg0

    public static void memorywrite_hef_STORE0_MEM_DWORD_seg0_addr0_reg0(Segment seg0,
                                                                        int addr0,
                                                                        int reg0)

  Parameters:
    `seg0` -
    `addr0` -
    `reg0` -

### aflag_nef_STORE0_FLAGS_reg0

    public static boolean aflag_nef_STORE0_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### cflag_nef_STORE0_FLAGS_reg0

    public static boolean cflag_nef_STORE0_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### dflag_nef_STORE0_FLAGS_reg0

    public static boolean dflag_nef_STORE0_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### iflag_nef_STORE0_FLAGS_reg0

    public static boolean iflag_nef_STORE0_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### iopl_nef_STORE0_FLAGS_reg0

    public static int iopl_nef_STORE0_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### ntflag_nef_STORE0_FLAGS_reg0

    public static boolean ntflag_nef_STORE0_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### oflag_nef_STORE0_FLAGS_reg0

    public static boolean oflag_nef_STORE0_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### pflag_nef_STORE0_FLAGS_reg0

    public static boolean pflag_nef_STORE0_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### sflag_nef_STORE0_FLAGS_reg0

    public static boolean sflag_nef_STORE0_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### tflag_nef_STORE0_FLAGS_reg0

    public static boolean tflag_nef_STORE0_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### zflag_nef_STORE0_FLAGS_reg0

    public static boolean zflag_nef_STORE0_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### eax_nef_STORE1_AL_eax_reg1

    public static int eax_nef_STORE1_AL_eax_reg1(int eax,
                                                 int reg1)

  Parameters:
    `eax` -
    `reg1` -
  Returns:
    -

### ecx_nef_STORE1_CL_ecx_reg1

    public static int ecx_nef_STORE1_CL_ecx_reg1(int ecx,
                                                 int reg1)

  Parameters:
    `ecx` -
    `reg1` -
  Returns:
    -

### edx_nef_STORE1_DL_edx_reg1

    public static int edx_nef_STORE1_DL_edx_reg1(int edx,
                                                 int reg1)

  Parameters:
    `edx` -
    `reg1` -
  Returns:
    -

### ebx_nef_STORE1_BL_ebx_reg1

    public static int ebx_nef_STORE1_BL_ebx_reg1(int ebx,
                                                 int reg1)

  Parameters:
    `ebx` -
    `reg1` -
  Returns:
    -

### eax_nef_STORE1_AH_eax_reg1

    public static int eax_nef_STORE1_AH_eax_reg1(int eax,
                                                 int reg1)

  Parameters:
    `eax` -
    `reg1` -
  Returns:
    -

### ecx_nef_STORE1_CH_ecx_reg1

    public static int ecx_nef_STORE1_CH_ecx_reg1(int ecx,
                                                 int reg1)

  Parameters:
    `ecx` -
    `reg1` -
  Returns:
    -

### edx_nef_STORE1_DH_edx_reg1

    public static int edx_nef_STORE1_DH_edx_reg1(int edx,
                                                 int reg1)

  Parameters:
    `edx` -
    `reg1` -
  Returns:
    -

### ebx_nef_STORE1_BH_ebx_reg1

    public static int ebx_nef_STORE1_BH_ebx_reg1(int ebx,
                                                 int reg1)

  Parameters:
    `ebx` -
    `reg1` -
  Returns:
    -

### eax_nef_STORE1_AX_eax_reg1

    public static int eax_nef_STORE1_AX_eax_reg1(int eax,
                                                 int reg1)

  Parameters:
    `eax` -
    `reg1` -
  Returns:
    -

### ecx_nef_STORE1_CX_ecx_reg1

    public static int ecx_nef_STORE1_CX_ecx_reg1(int ecx,
                                                 int reg1)

  Parameters:
    `ecx` -
    `reg1` -
  Returns:
    -

### edx_nef_STORE1_DX_edx_reg1

    public static int edx_nef_STORE1_DX_edx_reg1(int edx,
                                                 int reg1)

  Parameters:
    `edx` -
    `reg1` -
  Returns:
    -

### ebx_nef_STORE1_BX_ebx_reg1

    public static int ebx_nef_STORE1_BX_ebx_reg1(int ebx,
                                                 int reg1)

  Parameters:
    `ebx` -
    `reg1` -
  Returns:
    -

### esp_nef_STORE1_SP_esp_reg1

    public static int esp_nef_STORE1_SP_esp_reg1(int esp,
                                                 int reg1)

  Parameters:
    `esp` -
    `reg1` -
  Returns:
    -

### ebp_nef_STORE1_BP_ebp_reg1

    public static int ebp_nef_STORE1_BP_ebp_reg1(int ebp,
                                                 int reg1)

  Parameters:
    `ebp` -
    `reg1` -
  Returns:
    -

### esi_nef_STORE1_SI_esi_reg1

    public static int esi_nef_STORE1_SI_esi_reg1(int esi,
                                                 int reg1)

  Parameters:
    `esi` -
    `reg1` -
  Returns:
    -

### edi_nef_STORE1_DI_edi_reg1

    public static int edi_nef_STORE1_DI_edi_reg1(int edi,
                                                 int reg1)

  Parameters:
    `edi` -
    `reg1` -
  Returns:
    -

### eax_nef_STORE1_EAX_reg1

    public static int eax_nef_STORE1_EAX_reg1(int reg1)

  Parameters:
    `reg1` -
  Returns:
    -

### ecx_nef_STORE1_ECX_reg1

    public static int ecx_nef_STORE1_ECX_reg1(int reg1)

  Parameters:
    `reg1` -
  Returns:
    -

### edx_nef_STORE1_EDX_reg1

    public static int edx_nef_STORE1_EDX_reg1(int reg1)

  Parameters:
    `reg1` -
  Returns:
    -

### ebx_nef_STORE1_EBX_reg1

    public static int ebx_nef_STORE1_EBX_reg1(int reg1)

  Parameters:
    `reg1` -
  Returns:
    -

### esp_nef_STORE1_ESP_reg1

    public static int esp_nef_STORE1_ESP_reg1(int reg1)

  Parameters:
    `reg1` -
  Returns:
    -

### ebp_nef_STORE1_EBP_reg1

    public static int ebp_nef_STORE1_EBP_reg1(int reg1)

  Parameters:
    `reg1` -
  Returns:
    -

### esi_nef_STORE1_ESI_reg1

    public static int esi_nef_STORE1_ESI_reg1(int reg1)

  Parameters:
    `reg1` -
  Returns:
    -

### edi_nef_STORE1_EDI_reg1

    public static int edi_nef_STORE1_EDI_reg1(int reg1)

  Parameters:
    `reg1` -
  Returns:
    -

### memorywrite_hef_STORE1_MEM_BYTE_seg0_addr0_reg1

    public static void memorywrite_hef_STORE1_MEM_BYTE_seg0_addr0_reg1(Segment seg0,
                                                                       int addr0,
                                                                       int reg1)

  Parameters:
    `seg0` -
    `addr0` -
    `reg1` -

### memorywrite_hef_STORE1_MEM_WORD_seg0_addr0_reg1

    public static void memorywrite_hef_STORE1_MEM_WORD_seg0_addr0_reg1(Segment seg0,
                                                                       int addr0,
                                                                       int reg1)

  Parameters:
    `seg0` -
    `addr0` -
    `reg1` -

### memorywrite_hef_STORE1_MEM_DWORD_seg0_addr0_reg1

    public static void memorywrite_hef_STORE1_MEM_DWORD_seg0_addr0_reg1(Segment seg0,
                                                                        int addr0,
                                                                        int reg1)

  Parameters:
    `seg0` -
    `addr0` -
    `reg1` -

### addr0_nef_ADDR_AX_addr0_eax

    public static int addr0_nef_ADDR_AX_addr0_eax(int addr0,
                                                  int eax)

  Parameters:
    `addr0` -
    `eax` -
  Returns:
    -

### addr0_nef_ADDR_CX_addr0_ecx

    public static int addr0_nef_ADDR_CX_addr0_ecx(int addr0,
                                                  int ecx)

  Parameters:
    `addr0` -
    `ecx` -
  Returns:
    -

### addr0_nef_ADDR_DX_addr0_edx

    public static int addr0_nef_ADDR_DX_addr0_edx(int addr0,
                                                  int edx)

  Parameters:
    `addr0` -
    `edx` -
  Returns:
    -

### addr0_nef_ADDR_BX_addr0_ebx

    public static int addr0_nef_ADDR_BX_addr0_ebx(int addr0,
                                                  int ebx)

  Parameters:
    `addr0` -
    `ebx` -
  Returns:
    -

### addr0_nef_ADDR_SP_addr0_esp

    public static int addr0_nef_ADDR_SP_addr0_esp(int addr0,
                                                  int esp)

  Parameters:
    `addr0` -
    `esp` -
  Returns:
    -

### addr0_nef_ADDR_BP_addr0_ebp

    public static int addr0_nef_ADDR_BP_addr0_ebp(int addr0,
                                                  int ebp)

  Parameters:
    `addr0` -
    `ebp` -
  Returns:
    -

### addr0_nef_ADDR_SI_addr0_esi

    public static int addr0_nef_ADDR_SI_addr0_esi(int addr0,
                                                  int esi)

  Parameters:
    `addr0` -
    `esi` -
  Returns:
    -

### addr0_nef_ADDR_DI_addr0_edi

    public static int addr0_nef_ADDR_DI_addr0_edi(int addr0,
                                                  int edi)

  Parameters:
    `addr0` -
    `edi` -
  Returns:
    -

### addr0_nef_ADDR_EAX_addr0_eax

    public static int addr0_nef_ADDR_EAX_addr0_eax(int addr0,
                                                   int eax)

  Parameters:
    `addr0` -
    `eax` -
  Returns:
    -

### addr0_nef_ADDR_ECX_addr0_ecx

    public static int addr0_nef_ADDR_ECX_addr0_ecx(int addr0,
                                                   int ecx)

  Parameters:
    `addr0` -
    `ecx` -
  Returns:
    -

### addr0_nef_ADDR_EDX_addr0_edx

    public static int addr0_nef_ADDR_EDX_addr0_edx(int addr0,
                                                   int edx)

  Parameters:
    `addr0` -
    `edx` -
  Returns:
    -

### addr0_nef_ADDR_EBX_addr0_ebx

    public static int addr0_nef_ADDR_EBX_addr0_ebx(int addr0,
                                                   int ebx)

  Parameters:
    `addr0` -
    `ebx` -
  Returns:
    -

### addr0_nef_ADDR_ESP_addr0_esp

    public static int addr0_nef_ADDR_ESP_addr0_esp(int addr0,
                                                   int esp)

  Parameters:
    `addr0` -
    `esp` -
  Returns:
    -

### addr0_nef_ADDR_EBP_addr0_ebp

    public static int addr0_nef_ADDR_EBP_addr0_ebp(int addr0,
                                                   int ebp)

  Parameters:
    `addr0` -
    `ebp` -
  Returns:
    -

### addr0_nef_ADDR_ESI_addr0_esi

    public static int addr0_nef_ADDR_ESI_addr0_esi(int addr0,
                                                   int esi)

  Parameters:
    `addr0` -
    `esi` -
  Returns:
    -

### addr0_nef_ADDR_EDI_addr0_edi

    public static int addr0_nef_ADDR_EDI_addr0_edi(int addr0,
                                                   int edi)

  Parameters:
    `addr0` -
    `edi` -
  Returns:
    -

### addr0_nef_ADDR_2EAX_addr0_eax

    public static int addr0_nef_ADDR_2EAX_addr0_eax(int addr0,
                                                    int eax)

  Parameters:
    `addr0` -
    `eax` -
  Returns:
    -

### addr0_nef_ADDR_2ECX_addr0_ecx

    public static int addr0_nef_ADDR_2ECX_addr0_ecx(int addr0,
                                                    int ecx)

  Parameters:
    `addr0` -
    `ecx` -
  Returns:
    -

### addr0_nef_ADDR_2EDX_addr0_edx

    public static int addr0_nef_ADDR_2EDX_addr0_edx(int addr0,
                                                    int edx)

  Parameters:
    `addr0` -
    `edx` -
  Returns:
    -

### addr0_nef_ADDR_2EBX_addr0_ebx

    public static int addr0_nef_ADDR_2EBX_addr0_ebx(int addr0,
                                                    int ebx)

  Parameters:
    `addr0` -
    `ebx` -
  Returns:
    -

### addr0_nef_ADDR_2ESP_addr0_esp

    public static int addr0_nef_ADDR_2ESP_addr0_esp(int addr0,
                                                    int esp)

  Parameters:
    `addr0` -
    `esp` -
  Returns:
    -

### addr0_nef_ADDR_2EBP_addr0_ebp

    public static int addr0_nef_ADDR_2EBP_addr0_ebp(int addr0,
                                                    int ebp)

  Parameters:
    `addr0` -
    `ebp` -
  Returns:
    -

### addr0_nef_ADDR_2ESI_addr0_esi

    public static int addr0_nef_ADDR_2ESI_addr0_esi(int addr0,
                                                    int esi)

  Parameters:
    `addr0` -
    `esi` -
  Returns:
    -

### addr0_nef_ADDR_2EDI_addr0_edi

    public static int addr0_nef_ADDR_2EDI_addr0_edi(int addr0,
                                                    int edi)

  Parameters:
    `addr0` -
    `edi` -
  Returns:
    -

### addr0_nef_ADDR_4EAX_addr0_eax

    public static int addr0_nef_ADDR_4EAX_addr0_eax(int addr0,
                                                    int eax)

  Parameters:
    `addr0` -
    `eax` -
  Returns:
    -

### addr0_nef_ADDR_4ECX_addr0_ecx

    public static int addr0_nef_ADDR_4ECX_addr0_ecx(int addr0,
                                                    int ecx)

  Parameters:
    `addr0` -
    `ecx` -
  Returns:
    -

### addr0_nef_ADDR_4EDX_addr0_edx

    public static int addr0_nef_ADDR_4EDX_addr0_edx(int addr0,
                                                    int edx)

  Parameters:
    `addr0` -
    `edx` -
  Returns:
    -

### addr0_nef_ADDR_4EBX_addr0_ebx

    public static int addr0_nef_ADDR_4EBX_addr0_ebx(int addr0,
                                                    int ebx)

  Parameters:
    `addr0` -
    `ebx` -
  Returns:
    -

### addr0_nef_ADDR_4ESP_addr0_esp

    public static int addr0_nef_ADDR_4ESP_addr0_esp(int addr0,
                                                    int esp)

  Parameters:
    `addr0` -
    `esp` -
  Returns:
    -

### addr0_nef_ADDR_4EBP_addr0_ebp

    public static int addr0_nef_ADDR_4EBP_addr0_ebp(int addr0,
                                                    int ebp)

  Parameters:
    `addr0` -
    `ebp` -
  Returns:
    -

### addr0_nef_ADDR_4ESI_addr0_esi

    public static int addr0_nef_ADDR_4ESI_addr0_esi(int addr0,
                                                    int esi)

  Parameters:
    `addr0` -
    `esi` -
  Returns:
    -

### addr0_nef_ADDR_4EDI_addr0_edi

    public static int addr0_nef_ADDR_4EDI_addr0_edi(int addr0,
                                                    int edi)

  Parameters:
    `addr0` -
    `edi` -
  Returns:
    -

### addr0_nef_ADDR_8EAX_addr0_eax

    public static int addr0_nef_ADDR_8EAX_addr0_eax(int addr0,
                                                    int eax)

  Parameters:
    `addr0` -
    `eax` -
  Returns:
    -

### addr0_nef_ADDR_8ECX_addr0_ecx

    public static int addr0_nef_ADDR_8ECX_addr0_ecx(int addr0,
                                                    int ecx)

  Parameters:
    `addr0` -
    `ecx` -
  Returns:
    -

### addr0_nef_ADDR_8EDX_addr0_edx

    public static int addr0_nef_ADDR_8EDX_addr0_edx(int addr0,
                                                    int edx)

  Parameters:
    `addr0` -
    `edx` -
  Returns:
    -

### addr0_nef_ADDR_8EBX_addr0_ebx

    public static int addr0_nef_ADDR_8EBX_addr0_ebx(int addr0,
                                                    int ebx)

  Parameters:
    `addr0` -
    `ebx` -
  Returns:
    -

### addr0_nef_ADDR_8ESP_addr0_esp

    public static int addr0_nef_ADDR_8ESP_addr0_esp(int addr0,
                                                    int esp)

  Parameters:
    `addr0` -
    `esp` -
  Returns:
    -

### addr0_nef_ADDR_8EBP_addr0_ebp

    public static int addr0_nef_ADDR_8EBP_addr0_ebp(int addr0,
                                                    int ebp)

  Parameters:
    `addr0` -
    `ebp` -
  Returns:
    -

### addr0_nef_ADDR_8ESI_addr0_esi

    public static int addr0_nef_ADDR_8ESI_addr0_esi(int addr0,
                                                    int esi)

  Parameters:
    `addr0` -
    `esi` -
  Returns:
    -

### addr0_nef_ADDR_8EDI_addr0_edi

    public static int addr0_nef_ADDR_8EDI_addr0_edi(int addr0,
                                                    int edi)

  Parameters:
    `addr0` -
    `edi` -
  Returns:
    -

### addr0_nef_ADDR_IB_addr0_immediate

    public static int addr0_nef_ADDR_IB_addr0_immediate(int addr0,
                                                        int immediate)

  Parameters:
    `addr0` -
    `immediate` -
  Returns:
    -

### addr0_nef_ADDR_IW_addr0_immediate

    public static int addr0_nef_ADDR_IW_addr0_immediate(int addr0,
                                                        int immediate)

  Parameters:
    `addr0` -
    `immediate` -
  Returns:
    -

### addr0_nef_ADDR_ID_addr0_immediate

    public static int addr0_nef_ADDR_ID_addr0_immediate(int addr0,
                                                        int immediate)

  Parameters:
    `addr0` -
    `immediate` -
  Returns:
    -

### addr0_nef_ADDR_MASK16_addr0

    public static int addr0_nef_ADDR_MASK16_addr0(int addr0)

  Parameters:
    `addr0` -
  Returns:
    -

### addr0_nef_ADDR_uAL_addr0_eax

    public static int addr0_nef_ADDR_uAL_addr0_eax(int addr0,
                                                   int eax)

  Parameters:
    `addr0` -
    `eax` -
  Returns:
    -

### addr0_nef_ADDR_REG1_addr0_reg1

    public static int addr0_nef_ADDR_REG1_addr0_reg1(int addr0,
                                                     int reg1)

  Parameters:
    `addr0` -
    `reg1` -
  Returns:
    -

### addr0_nef_MEM_RESET

    public static int addr0_nef_MEM_RESET()

  Returns:
    -

### seg0_nef_MEM_RESET

    public static Segment seg0_nef_MEM_RESET()

  Returns:
    -

### reg0_nef_SIGN_EXTEND_8_16_reg0

    public static int reg0_nef_SIGN_EXTEND_8_16_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### reg0_nef_SIGN_EXTEND_8_32_reg0

    public static int reg0_nef_SIGN_EXTEND_8_32_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### reg0_nef_SIGN_EXTEND_16_32_reg0

    public static int reg0_nef_SIGN_EXTEND_16_32_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### eip_nef_JUMP_O8_cs_eip_reg0

    public static int eip_nef_JUMP_O8_cs_eip_reg0(Segment cs,
                                                  int eip,
                                                  int reg0)
                                           throws ProcessorException

  Parameters:
    `cs` -
    `eip` -
    `reg0` -
  Returns:
    -
  Throws:
    `ProcessorException`

### eip_nef_JUMP_O16_cs_eip_reg0

    public static int eip_nef_JUMP_O16_cs_eip_reg0(Segment cs,
                                                   int eip,
                                                   int reg0)
                                            throws ProcessorException

  Parameters:
    `cs` -
    `eip` -
    `reg0` -
  Returns:
    -
  Throws:
    `ProcessorException`

### eip_nef_JUMP_O32_cs_eip_reg0

    public static int eip_nef_JUMP_O32_cs_eip_reg0(Segment cs,
                                                   int eip,
                                                   int reg0)
                                            throws ProcessorException

  Parameters:
    `cs` -
    `eip` -
    `reg0` -
  Returns:
    -
  Throws:
    `ProcessorException`

### eip_nef_JUMP_ABS_O32_cs_reg0

    public static int eip_nef_JUMP_ABS_O32_cs_reg0(Segment cs,
                                                   int reg0)
                                            throws ProcessorException

  Parameters:
    `cs` -
    `reg0` -
  Returns:
    -
  Throws:
    `ProcessorException`

### ecx_nef_LOOP_CX_ecx

    public static int ecx_nef_LOOP_CX_ecx(int ecx)

  Parameters:
    `ecx` -
  Returns:
    -

### eip_nef_LOOP_CX_cs_eip_reg0_ecx

    public static int eip_nef_LOOP_CX_cs_eip_reg0_ecx(Segment cs,
                                                      int eip,
                                                      int reg0,
                                                      int ecx)
                                               throws ProcessorException

  Parameters:
    `cs` -
    `eip` -
    `reg0` -
    `ecx` -
  Returns:
    -
  Throws:
    `ProcessorException`

### ecx_nef_LOOP_ECX_ecx

    public static int ecx_nef_LOOP_ECX_ecx(int ecx)

  Parameters:
    `ecx` -
  Returns:
    -

### eip_nef_LOOP_ECX_cs_eip_reg0_ecx

    public static int eip_nef_LOOP_ECX_cs_eip_reg0_ecx(Segment cs,
                                                       int eip,
                                                       int reg0,
                                                       int ecx)
                                                throws ProcessorException

  Parameters:
    `cs` -
    `eip` -
    `reg0` -
    `ecx` -
  Returns:
    -
  Throws:
    `ProcessorException`

### eip_nef_JO_O8_cs_eip_reg0_oflag

    public static int eip_nef_JO_O8_cs_eip_reg0_oflag(Segment cs,
                                                      int eip,
                                                      int reg0,
                                                      boolean oflag)
                                               throws ProcessorException

  Parameters:
    `cs` -
    `eip` -
    `reg0` -
    `oflag` -
  Returns:
    -
  Throws:
    `ProcessorException`

### eip_nef_JO_O16_cs_eip_reg0_oflag

    public static int eip_nef_JO_O16_cs_eip_reg0_oflag(Segment cs,
                                                       int eip,
                                                       int reg0,
                                                       boolean oflag)
                                                throws ProcessorException

  Parameters:
    `cs` -
    `eip` -
    `reg0` -
    `oflag` -
  Returns:
    -
  Throws:
    `ProcessorException`

### eip_nef_JO_O32_cs_eip_reg0_oflag

    public static int eip_nef_JO_O32_cs_eip_reg0_oflag(Segment cs,
                                                       int eip,
                                                       int reg0,
                                                       boolean oflag)
                                                throws ProcessorException

  Parameters:
    `cs` -
    `eip` -
    `reg0` -
    `oflag` -
  Returns:
    -
  Throws:
    `ProcessorException`

### eip_nef_JNO_O8_cs_eip_reg0_oflag

    public static int eip_nef_JNO_O8_cs_eip_reg0_oflag(Segment cs,
                                                       int eip,
                                                       int reg0,
                                                       boolean oflag)
                                                throws ProcessorException

  Parameters:
    `cs` -
    `eip` -
    `reg0` -
    `oflag` -
  Returns:
    -
  Throws:
    `ProcessorException`

### eip_nef_JNO_O16_cs_eip_reg0_oflag

    public static int eip_nef_JNO_O16_cs_eip_reg0_oflag(Segment cs,
                                                        int eip,
                                                        int reg0,
                                                        boolean oflag)
                                                 throws ProcessorException

  Parameters:
    `cs` -
    `eip` -
    `reg0` -
    `oflag` -
  Returns:
    -
  Throws:
    `ProcessorException`

### eip_nef_JNO_O32_cs_eip_reg0_oflag

    public static int eip_nef_JNO_O32_cs_eip_reg0_oflag(Segment cs,
                                                        int eip,
                                                        int reg0,
                                                        boolean oflag)
                                                 throws ProcessorException

  Parameters:
    `cs` -
    `eip` -
    `reg0` -
    `oflag` -
  Returns:
    -
  Throws:
    `ProcessorException`

### eip_nef_JC_O8_cs_eip_reg0_cflag

    public static int eip_nef_JC_O8_cs_eip_reg0_cflag(Segment cs,
                                                      int eip,
                                                      int reg0,
                                                      boolean cflag)
                                               throws ProcessorException

  Parameters:
    `cs` -
    `eip` -
    `reg0` -
    `cflag` -
  Returns:
    -
  Throws:
    `ProcessorException`

### eip_nef_JC_O16_cs_eip_reg0_cflag

    public static int eip_nef_JC_O16_cs_eip_reg0_cflag(Segment cs,
                                                       int eip,
                                                       int reg0,
                                                       boolean cflag)
                                                throws ProcessorException

  Parameters:
    `cs` -
    `eip` -
    `reg0` -
    `cflag` -
  Returns:
    -
  Throws:
    `ProcessorException`

### eip_nef_JC_O32_cs_eip_reg0_cflag

    public static int eip_nef_JC_O32_cs_eip_reg0_cflag(Segment cs,
                                                       int eip,
                                                       int reg0,
                                                       boolean cflag)
                                                throws ProcessorException

  Parameters:
    `cs` -
    `eip` -
    `reg0` -
    `cflag` -
  Returns:
    -
  Throws:
    `ProcessorException`

### eip_nef_JNC_O8_cs_eip_reg0_cflag

    public static int eip_nef_JNC_O8_cs_eip_reg0_cflag(Segment cs,
                                                       int eip,
                                                       int reg0,
                                                       boolean cflag)
                                                throws ProcessorException

  Parameters:
    `cs` -
    `eip` -
    `reg0` -
    `cflag` -
  Returns:
    -
  Throws:
    `ProcessorException`

### eip_nef_JNC_O16_cs_eip_reg0_cflag

    public static int eip_nef_JNC_O16_cs_eip_reg0_cflag(Segment cs,
                                                        int eip,
                                                        int reg0,
                                                        boolean cflag)
                                                 throws ProcessorException

  Parameters:
    `cs` -
    `eip` -
    `reg0` -
    `cflag` -
  Returns:
    -
  Throws:
    `ProcessorException`

### eip_nef_JNC_O32_cs_eip_reg0_cflag

    public static int eip_nef_JNC_O32_cs_eip_reg0_cflag(Segment cs,
                                                        int eip,
                                                        int reg0,
                                                        boolean cflag)
                                                 throws ProcessorException

  Parameters:
    `cs` -
    `eip` -
    `reg0` -
    `cflag` -
  Returns:
    -
  Throws:
    `ProcessorException`

### eip_nef_JZ_O8_cs_eip_reg0_zflag

    public static int eip_nef_JZ_O8_cs_eip_reg0_zflag(Segment cs,
                                                      int eip,
                                                      int reg0,
                                                      boolean zflag)
                                               throws ProcessorException

  Parameters:
    `cs` -
    `eip` -
    `reg0` -
    `zflag` -
  Returns:
    -
  Throws:
    `ProcessorException`

### eip_nef_JZ_O16_cs_eip_reg0_zflag

    public static int eip_nef_JZ_O16_cs_eip_reg0_zflag(Segment cs,
                                                       int eip,
                                                       int reg0,
                                                       boolean zflag)
                                                throws ProcessorException

  Parameters:
    `cs` -
    `eip` -
    `reg0` -
    `zflag` -
  Returns:
    -
  Throws:
    `ProcessorException`

### eip_nef_JZ_O32_cs_eip_reg0_zflag

    public static int eip_nef_JZ_O32_cs_eip_reg0_zflag(Segment cs,
                                                       int eip,
                                                       int reg0,
                                                       boolean zflag)
                                                throws ProcessorException

  Parameters:
    `cs` -
    `eip` -
    `reg0` -
    `zflag` -
  Returns:
    -
  Throws:
    `ProcessorException`

### eip_nef_JNZ_O8_cs_eip_reg0_zflag

    public static int eip_nef_JNZ_O8_cs_eip_reg0_zflag(Segment cs,
                                                       int eip,
                                                       int reg0,
                                                       boolean zflag)
                                                throws ProcessorException

  Parameters:
    `cs` -
    `eip` -
    `reg0` -
    `zflag` -
  Returns:
    -
  Throws:
    `ProcessorException`

### eip_nef_JNZ_O16_cs_eip_reg0_zflag

    public static int eip_nef_JNZ_O16_cs_eip_reg0_zflag(Segment cs,
                                                        int eip,
                                                        int reg0,
                                                        boolean zflag)
                                                 throws ProcessorException

  Parameters:
    `cs` -
    `eip` -
    `reg0` -
    `zflag` -
  Returns:
    -
  Throws:
    `ProcessorException`

### eip_nef_JNZ_O32_cs_eip_reg0_zflag

    public static int eip_nef_JNZ_O32_cs_eip_reg0_zflag(Segment cs,
                                                        int eip,
                                                        int reg0,
                                                        boolean zflag)
                                                 throws ProcessorException

  Parameters:
    `cs` -
    `eip` -
    `reg0` -
    `zflag` -
  Returns:
    -
  Throws:
    `ProcessorException`

### eip_nef_JNA_O8_cs_eip_reg0_cflag_zflag

    public static int eip_nef_JNA_O8_cs_eip_reg0_cflag_zflag(Segment cs,
                                                             int eip,
                                                             int reg0,
                                                             boolean cflag,
                                                             boolean zflag)
                                                      throws ProcessorException

  Parameters:
    `cs` -
    `eip` -
    `reg0` -
    `cflag` -
    `zflag` -
  Returns:
    -
  Throws:
    `ProcessorException`

### eip_nef_JNA_O16_cs_eip_reg0_cflag_zflag

    public static int eip_nef_JNA_O16_cs_eip_reg0_cflag_zflag(Segment cs,
                                                              int eip,
                                                              int reg0,
                                                              boolean cflag,
                                                              boolean zflag)
                                                       throws ProcessorException

  Parameters:
    `cs` -
    `eip` -
    `reg0` -
    `cflag` -
    `zflag` -
  Returns:
    -
  Throws:
    `ProcessorException`

### eip_nef_JNA_O32_cs_eip_reg0_cflag_zflag

    public static int eip_nef_JNA_O32_cs_eip_reg0_cflag_zflag(Segment cs,
                                                              int eip,
                                                              int reg0,
                                                              boolean cflag,
                                                              boolean zflag)
                                                       throws ProcessorException

  Parameters:
    `cs` -
    `eip` -
    `reg0` -
    `cflag` -
    `zflag` -
  Returns:
    -
  Throws:
    `ProcessorException`

### eip_nef_JA_O8_cs_eip_reg0_cflag_zflag

    public static int eip_nef_JA_O8_cs_eip_reg0_cflag_zflag(Segment cs,
                                                            int eip,
                                                            int reg0,
                                                            boolean cflag,
                                                            boolean zflag)
                                                     throws ProcessorException

  Parameters:
    `cs` -
    `eip` -
    `reg0` -
    `cflag` -
    `zflag` -
  Returns:
    -
  Throws:
    `ProcessorException`

### eip_nef_JA_O16_cs_eip_reg0_cflag_zflag

    public static int eip_nef_JA_O16_cs_eip_reg0_cflag_zflag(Segment cs,
                                                             int eip,
                                                             int reg0,
                                                             boolean cflag,
                                                             boolean zflag)
                                                      throws ProcessorException

  Parameters:
    `cs` -
    `eip` -
    `reg0` -
    `cflag` -
    `zflag` -
  Returns:
    -
  Throws:
    `ProcessorException`

### eip_nef_JA_O32_cs_eip_reg0_cflag_zflag

    public static int eip_nef_JA_O32_cs_eip_reg0_cflag_zflag(Segment cs,
                                                             int eip,
                                                             int reg0,
                                                             boolean cflag,
                                                             boolean zflag)
                                                      throws ProcessorException

  Parameters:
    `cs` -
    `eip` -
    `reg0` -
    `cflag` -
    `zflag` -
  Returns:
    -
  Throws:
    `ProcessorException`

### eip_nef_JS_O8_cs_eip_reg0_sflag

    public static int eip_nef_JS_O8_cs_eip_reg0_sflag(Segment cs,
                                                      int eip,
                                                      int reg0,
                                                      boolean sflag)
                                               throws ProcessorException

  Parameters:
    `cs` -
    `eip` -
    `reg0` -
    `sflag` -
  Returns:
    -
  Throws:
    `ProcessorException`

### eip_nef_JS_O16_cs_eip_reg0_sflag

    public static int eip_nef_JS_O16_cs_eip_reg0_sflag(Segment cs,
                                                       int eip,
                                                       int reg0,
                                                       boolean sflag)
                                                throws ProcessorException

  Parameters:
    `cs` -
    `eip` -
    `reg0` -
    `sflag` -
  Returns:
    -
  Throws:
    `ProcessorException`

### eip_nef_JS_O32_cs_eip_reg0_sflag

    public static int eip_nef_JS_O32_cs_eip_reg0_sflag(Segment cs,
                                                       int eip,
                                                       int reg0,
                                                       boolean sflag)
                                                throws ProcessorException

  Parameters:
    `cs` -
    `eip` -
    `reg0` -
    `sflag` -
  Returns:
    -
  Throws:
    `ProcessorException`

### eip_nef_JNS_O8_cs_eip_reg0_sflag

    public static int eip_nef_JNS_O8_cs_eip_reg0_sflag(Segment cs,
                                                       int eip,
                                                       int reg0,
                                                       boolean sflag)
                                                throws ProcessorException

  Parameters:
    `cs` -
    `eip` -
    `reg0` -
    `sflag` -
  Returns:
    -
  Throws:
    `ProcessorException`

### eip_nef_JNS_O16_cs_eip_reg0_sflag

    public static int eip_nef_JNS_O16_cs_eip_reg0_sflag(Segment cs,
                                                        int eip,
                                                        int reg0,
                                                        boolean sflag)
                                                 throws ProcessorException

  Parameters:
    `cs` -
    `eip` -
    `reg0` -
    `sflag` -
  Returns:
    -
  Throws:
    `ProcessorException`

### eip_nef_JNS_O32_cs_eip_reg0_sflag

    public static int eip_nef_JNS_O32_cs_eip_reg0_sflag(Segment cs,
                                                        int eip,
                                                        int reg0,
                                                        boolean sflag)
                                                 throws ProcessorException

  Parameters:
    `cs` -
    `eip` -
    `reg0` -
    `sflag` -
  Returns:
    -
  Throws:
    `ProcessorException`

### eip_nef_JP_O8_cs_eip_reg0_pflag

    public static int eip_nef_JP_O8_cs_eip_reg0_pflag(Segment cs,
                                                      int eip,
                                                      int reg0,
                                                      boolean pflag)
                                               throws ProcessorException

  Parameters:
    `cs` -
    `eip` -
    `reg0` -
    `pflag` -
  Returns:
    -
  Throws:
    `ProcessorException`

### eip_nef_JP_O16_cs_eip_reg0_pflag

    public static int eip_nef_JP_O16_cs_eip_reg0_pflag(Segment cs,
                                                       int eip,
                                                       int reg0,
                                                       boolean pflag)
                                                throws ProcessorException

  Parameters:
    `cs` -
    `eip` -
    `reg0` -
    `pflag` -
  Returns:
    -
  Throws:
    `ProcessorException`

### eip_nef_JP_O32_cs_eip_reg0_pflag

    public static int eip_nef_JP_O32_cs_eip_reg0_pflag(Segment cs,
                                                       int eip,
                                                       int reg0,
                                                       boolean pflag)
                                                throws ProcessorException

  Parameters:
    `cs` -
    `eip` -
    `reg0` -
    `pflag` -
  Returns:
    -
  Throws:
    `ProcessorException`

### eip_nef_JNP_O8_cs_eip_reg0_pflag

    public static int eip_nef_JNP_O8_cs_eip_reg0_pflag(Segment cs,
                                                       int eip,
                                                       int reg0,
                                                       boolean pflag)
                                                throws ProcessorException

  Parameters:
    `cs` -
    `eip` -
    `reg0` -
    `pflag` -
  Returns:
    -
  Throws:
    `ProcessorException`

### eip_nef_JNP_O16_cs_eip_reg0_pflag

    public static int eip_nef_JNP_O16_cs_eip_reg0_pflag(Segment cs,
                                                        int eip,
                                                        int reg0,
                                                        boolean pflag)
                                                 throws ProcessorException

  Parameters:
    `cs` -
    `eip` -
    `reg0` -
    `pflag` -
  Returns:
    -
  Throws:
    `ProcessorException`

### eip_nef_JNP_O32_cs_eip_reg0_pflag

    public static int eip_nef_JNP_O32_cs_eip_reg0_pflag(Segment cs,
                                                        int eip,
                                                        int reg0,
                                                        boolean pflag)
                                                 throws ProcessorException

  Parameters:
    `cs` -
    `eip` -
    `reg0` -
    `pflag` -
  Returns:
    -
  Throws:
    `ProcessorException`

### eip_nef_JL_O8_cs_eip_reg0_oflag_sflag

    public static int eip_nef_JL_O8_cs_eip_reg0_oflag_sflag(Segment cs,
                                                            int eip,
                                                            int reg0,
                                                            boolean oflag,
                                                            boolean sflag)
                                                     throws ProcessorException

  Parameters:
    `cs` -
    `eip` -
    `reg0` -
    `oflag` -
    `sflag` -
  Returns:
    -
  Throws:
    `ProcessorException`

### eip_nef_JL_O16_cs_eip_reg0_oflag_sflag

    public static int eip_nef_JL_O16_cs_eip_reg0_oflag_sflag(Segment cs,
                                                             int eip,
                                                             int reg0,
                                                             boolean oflag,
                                                             boolean sflag)
                                                      throws ProcessorException

  Parameters:
    `cs` -
    `eip` -
    `reg0` -
    `oflag` -
    `sflag` -
  Returns:
    -
  Throws:
    `ProcessorException`

### eip_nef_JL_O32_cs_eip_reg0_oflag_sflag

    public static int eip_nef_JL_O32_cs_eip_reg0_oflag_sflag(Segment cs,
                                                             int eip,
                                                             int reg0,
                                                             boolean oflag,
                                                             boolean sflag)
                                                      throws ProcessorException

  Parameters:
    `cs` -
    `eip` -
    `reg0` -
    `oflag` -
    `sflag` -
  Returns:
    -
  Throws:
    `ProcessorException`

### eip_nef_JNL_O8_cs_eip_reg0_oflag_sflag

    public static int eip_nef_JNL_O8_cs_eip_reg0_oflag_sflag(Segment cs,
                                                             int eip,
                                                             int reg0,
                                                             boolean oflag,
                                                             boolean sflag)
                                                      throws ProcessorException

  Parameters:
    `cs` -
    `eip` -
    `reg0` -
    `oflag` -
    `sflag` -
  Returns:
    -
  Throws:
    `ProcessorException`

### eip_nef_JNL_O16_cs_eip_reg0_oflag_sflag

    public static int eip_nef_JNL_O16_cs_eip_reg0_oflag_sflag(Segment cs,
                                                              int eip,
                                                              int reg0,
                                                              boolean oflag,
                                                              boolean sflag)
                                                       throws ProcessorException

  Parameters:
    `cs` -
    `eip` -
    `reg0` -
    `oflag` -
    `sflag` -
  Returns:
    -
  Throws:
    `ProcessorException`

### eip_nef_JNL_O32_cs_eip_reg0_oflag_sflag

    public static int eip_nef_JNL_O32_cs_eip_reg0_oflag_sflag(Segment cs,
                                                              int eip,
                                                              int reg0,
                                                              boolean oflag,
                                                              boolean sflag)
                                                       throws ProcessorException

  Parameters:
    `cs` -
    `eip` -
    `reg0` -
    `oflag` -
    `sflag` -
  Returns:
    -
  Throws:
    `ProcessorException`

### eip_nef_JNG_O8_cs_eip_reg0_zflag_sflag_oflag

    public static int eip_nef_JNG_O8_cs_eip_reg0_zflag_sflag_oflag(Segment cs,
                                                                   int eip,
                                                                   int reg0,
                                                                   boolean zflag,
                                                                   boolean sflag,
                                                                   boolean oflag)
                                                            throws ProcessorException

  Parameters:
    `cs` -
    `eip` -
    `reg0` -
    `zflag` -
    `sflag` -
    `oflag` -
  Returns:
    -
  Throws:
    `ProcessorException`

### eip_nef_JNG_O16_cs_eip_reg0_zflag_sflag_oflag

    public static int eip_nef_JNG_O16_cs_eip_reg0_zflag_sflag_oflag(Segment cs,
                                                                    int eip,
                                                                    int reg0,
                                                                    boolean zflag,
                                                                    boolean sflag,
                                                                    boolean oflag)
                                                             throws ProcessorException

  Parameters:
    `cs` -
    `eip` -
    `reg0` -
    `zflag` -
    `sflag` -
    `oflag` -
  Returns:
    -
  Throws:
    `ProcessorException`

### eip_nef_JNG_O32_cs_eip_reg0_zflag_sflag_oflag

    public static int eip_nef_JNG_O32_cs_eip_reg0_zflag_sflag_oflag(Segment cs,
                                                                    int eip,
                                                                    int reg0,
                                                                    boolean zflag,
                                                                    boolean sflag,
                                                                    boolean oflag)
                                                             throws ProcessorException

  Parameters:
    `cs` -
    `eip` -
    `reg0` -
    `zflag` -
    `sflag` -
    `oflag` -
  Returns:
    -
  Throws:
    `ProcessorException`

### eip_nef_JG_O8_cs_eip_reg0_zflag_sflag_oflag

    public static int eip_nef_JG_O8_cs_eip_reg0_zflag_sflag_oflag(Segment cs,
                                                                  int eip,
                                                                  int reg0,
                                                                  boolean zflag,
                                                                  boolean sflag,
                                                                  boolean oflag)
                                                           throws ProcessorException

  Parameters:
    `cs` -
    `eip` -
    `reg0` -
    `zflag` -
    `sflag` -
    `oflag` -
  Returns:
    -
  Throws:
    `ProcessorException`

### eip_nef_JG_O16_cs_eip_reg0_zflag_sflag_oflag

    public static int eip_nef_JG_O16_cs_eip_reg0_zflag_sflag_oflag(Segment cs,
                                                                   int eip,
                                                                   int reg0,
                                                                   boolean zflag,
                                                                   boolean sflag,
                                                                   boolean oflag)
                                                            throws ProcessorException

  Parameters:
    `cs` -
    `eip` -
    `reg0` -
    `zflag` -
    `sflag` -
    `oflag` -
  Returns:
    -
  Throws:
    `ProcessorException`

### eip_nef_JG_O32_cs_eip_reg0_zflag_sflag_oflag

    public static int eip_nef_JG_O32_cs_eip_reg0_zflag_sflag_oflag(Segment cs,
                                                                   int eip,
                                                                   int reg0,
                                                                   boolean zflag,
                                                                   boolean sflag,
                                                                   boolean oflag)
                                                            throws ProcessorException

  Parameters:
    `cs` -
    `eip` -
    `reg0` -
    `zflag` -
    `sflag` -
    `oflag` -
  Returns:
    -
  Throws:
    `ProcessorException`

### eip_nef_JCXZ_cs_eip_reg0_ecx

    public static int eip_nef_JCXZ_cs_eip_reg0_ecx(Segment cs,
                                                   int eip,
                                                   int reg0,
                                                   int ecx)
                                            throws ProcessorException

  Parameters:
    `cs` -
    `eip` -
    `reg0` -
    `ecx` -
  Returns:
    -
  Throws:
    `ProcessorException`

### eip_nef_JECXZ_cs_eip_reg0_ecx

    public static int eip_nef_JECXZ_cs_eip_reg0_ecx(Segment cs,
                                                    int eip,
                                                    int reg0,
                                                    int ecx)
                                             throws ProcessorException

  Parameters:
    `cs` -
    `eip` -
    `reg0` -
    `ecx` -
  Returns:
    -
  Throws:
    `ProcessorException`

### reg0_nef_AND_reg0_reg1

    public static int reg0_nef_AND_reg0_reg1(int reg0,
                                             int reg1)

  Parameters:
    `reg0` -
    `reg1` -
  Returns:
    -

### reg0_nef_OR_reg0_reg1

    public static int reg0_nef_OR_reg0_reg1(int reg0,
                                            int reg1)

  Parameters:
    `reg0` -
    `reg1` -
  Returns:
    -

### reg0_nef_XOR_reg0_reg1

    public static int reg0_nef_XOR_reg0_reg1(int reg0,
                                             int reg1)

  Parameters:
    `reg0` -
    `reg1` -
  Returns:
    -

### reg0_nef_NOT_reg0

    public static int reg0_nef_NOT_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### cflag_nef_BITWISE_FLAGS_O8

    public static boolean cflag_nef_BITWISE_FLAGS_O8()

  Returns:
    -

### oflag_nef_BITWISE_FLAGS_O8

    public static boolean oflag_nef_BITWISE_FLAGS_O8()

  Returns:
    -

### pflag_nef_BITWISE_FLAGS_O8_reg0

    public static boolean pflag_nef_BITWISE_FLAGS_O8_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### sflag_nef_BITWISE_FLAGS_O8_reg0

    public static boolean sflag_nef_BITWISE_FLAGS_O8_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### zflag_nef_BITWISE_FLAGS_O8_reg0

    public static boolean zflag_nef_BITWISE_FLAGS_O8_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### cflag_nef_BITWISE_FLAGS_O16

    public static boolean cflag_nef_BITWISE_FLAGS_O16()

  Returns:
    -

### oflag_nef_BITWISE_FLAGS_O16

    public static boolean oflag_nef_BITWISE_FLAGS_O16()

  Returns:
    -

### pflag_nef_BITWISE_FLAGS_O16_reg0

    public static boolean pflag_nef_BITWISE_FLAGS_O16_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### sflag_nef_BITWISE_FLAGS_O16_reg0

    public static boolean sflag_nef_BITWISE_FLAGS_O16_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### zflag_nef_BITWISE_FLAGS_O16_reg0

    public static boolean zflag_nef_BITWISE_FLAGS_O16_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### cflag_nef_BITWISE_FLAGS_O32

    public static boolean cflag_nef_BITWISE_FLAGS_O32()

  Returns:
    -

### oflag_nef_BITWISE_FLAGS_O32

    public static boolean oflag_nef_BITWISE_FLAGS_O32()

  Returns:
    -

### pflag_nef_BITWISE_FLAGS_O32_reg0

    public static boolean pflag_nef_BITWISE_FLAGS_O32_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### sflag_nef_BITWISE_FLAGS_O32_reg0

    public static boolean sflag_nef_BITWISE_FLAGS_O32_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### zflag_nef_BITWISE_FLAGS_O32_reg0

    public static boolean zflag_nef_BITWISE_FLAGS_O32_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### reg0_nef_SHL_reg0_reg1

    public static int reg0_nef_SHL_reg0_reg1(int reg0,
                                             int reg1)

  Parameters:
    `reg0` -
    `reg1` -
  Returns:
    -

### reg1_nef_SHL_reg1

    public static int reg1_nef_SHL_reg1(int reg1)

  Parameters:
    `reg1` -
  Returns:
    -

### reg2_nef_SHL_reg0

    public static int reg2_nef_SHL_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### cflag_nef_SHL_O8_FLAGS_cflag_reg0_reg1

    public static boolean cflag_nef_SHL_O8_FLAGS_cflag_reg0_reg1(boolean cflag,
                                                                 int reg0,
                                                                 int reg1)

  Parameters:
    `cflag` -
    `reg0` -
    `reg1` -
  Returns:
    -

### oflag_nef_SHL_O8_FLAGS_oflag_reg2_reg1

    public static boolean oflag_nef_SHL_O8_FLAGS_oflag_reg2_reg1(boolean oflag,
                                                                 int reg2,
                                                                 int reg1)

  Parameters:
    `oflag` -
    `reg2` -
    `reg1` -
  Returns:
    -

### pflag_nef_SHL_O8_FLAGS_pflag_reg0_reg1

    public static boolean pflag_nef_SHL_O8_FLAGS_pflag_reg0_reg1(boolean pflag,
                                                                 int reg0,
                                                                 int reg1)

  Parameters:
    `pflag` -
    `reg0` -
    `reg1` -
  Returns:
    -

### sflag_nef_SHL_O8_FLAGS_sflag_reg0_reg1

    public static boolean sflag_nef_SHL_O8_FLAGS_sflag_reg0_reg1(boolean sflag,
                                                                 int reg0,
                                                                 int reg1)

  Parameters:
    `sflag` -
    `reg0` -
    `reg1` -
  Returns:
    -

### zflag_nef_SHL_O8_FLAGS_zflag_reg0_reg1

    public static boolean zflag_nef_SHL_O8_FLAGS_zflag_reg0_reg1(boolean zflag,
                                                                 int reg0,
                                                                 int reg1)

  Parameters:
    `zflag` -
    `reg0` -
    `reg1` -
  Returns:
    -

### cflag_nef_SHL_O16_FLAGS_cflag_reg0_reg1

    public static boolean cflag_nef_SHL_O16_FLAGS_cflag_reg0_reg1(boolean cflag,
                                                                  int reg0,
                                                                  int reg1)

  Parameters:
    `cflag` -
    `reg0` -
    `reg1` -
  Returns:
    -

### oflag_nef_SHL_O16_FLAGS_oflag_reg2_reg1

    public static boolean oflag_nef_SHL_O16_FLAGS_oflag_reg2_reg1(boolean oflag,
                                                                  int reg2,
                                                                  int reg1)

  Parameters:
    `oflag` -
    `reg2` -
    `reg1` -
  Returns:
    -

### pflag_nef_SHL_O16_FLAGS_pflag_reg0_reg1

    public static boolean pflag_nef_SHL_O16_FLAGS_pflag_reg0_reg1(boolean pflag,
                                                                  int reg0,
                                                                  int reg1)

  Parameters:
    `pflag` -
    `reg0` -
    `reg1` -
  Returns:
    -

### sflag_nef_SHL_O16_FLAGS_sflag_reg0_reg1

    public static boolean sflag_nef_SHL_O16_FLAGS_sflag_reg0_reg1(boolean sflag,
                                                                  int reg0,
                                                                  int reg1)

  Parameters:
    `sflag` -
    `reg0` -
    `reg1` -
  Returns:
    -

### zflag_nef_SHL_O16_FLAGS_zflag_reg0_reg1

    public static boolean zflag_nef_SHL_O16_FLAGS_zflag_reg0_reg1(boolean zflag,
                                                                  int reg0,
                                                                  int reg1)

  Parameters:
    `zflag` -
    `reg0` -
    `reg1` -
  Returns:
    -

### cflag_nef_SHL_O32_FLAGS_cflag_reg2_reg1

    public static boolean cflag_nef_SHL_O32_FLAGS_cflag_reg2_reg1(boolean cflag,
                                                                  int reg2,
                                                                  int reg1)

  Parameters:
    `cflag` -
    `reg2` -
    `reg1` -
  Returns:
    -

### oflag_nef_SHL_O32_FLAGS_oflag_reg2_reg1

    public static boolean oflag_nef_SHL_O32_FLAGS_oflag_reg2_reg1(boolean oflag,
                                                                  int reg2,
                                                                  int reg1)

  Parameters:
    `oflag` -
    `reg2` -
    `reg1` -
  Returns:
    -

### pflag_nef_SHL_O32_FLAGS_pflag_reg0_reg1

    public static boolean pflag_nef_SHL_O32_FLAGS_pflag_reg0_reg1(boolean pflag,
                                                                  int reg0,
                                                                  int reg1)

  Parameters:
    `pflag` -
    `reg0` -
    `reg1` -
  Returns:
    -

### sflag_nef_SHL_O32_FLAGS_sflag_reg0_reg1

    public static boolean sflag_nef_SHL_O32_FLAGS_sflag_reg0_reg1(boolean sflag,
                                                                  int reg0,
                                                                  int reg1)

  Parameters:
    `sflag` -
    `reg0` -
    `reg1` -
  Returns:
    -

### zflag_nef_SHL_O32_FLAGS_zflag_reg0_reg1

    public static boolean zflag_nef_SHL_O32_FLAGS_zflag_reg0_reg1(boolean zflag,
                                                                  int reg0,
                                                                  int reg1)

  Parameters:
    `zflag` -
    `reg0` -
    `reg1` -
  Returns:
    -

### reg0_nef_SHR_reg0_reg1

    public static int reg0_nef_SHR_reg0_reg1(int reg0,
                                             int reg1)

  Parameters:
    `reg0` -
    `reg1` -
  Returns:
    -

### reg1_nef_SHR_reg1

    public static int reg1_nef_SHR_reg1(int reg1)

  Parameters:
    `reg1` -
  Returns:
    -

### reg2_nef_SHR_reg0

    public static int reg2_nef_SHR_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### cflag_nef_SHR_O8_FLAGS_cflag_reg2_reg1

    public static boolean cflag_nef_SHR_O8_FLAGS_cflag_reg2_reg1(boolean cflag,
                                                                 int reg2,
                                                                 int reg1)

  Parameters:
    `cflag` -
    `reg2` -
    `reg1` -
  Returns:
    -

### oflag_nef_SHR_O8_FLAGS_oflag_reg2_reg1

    public static boolean oflag_nef_SHR_O8_FLAGS_oflag_reg2_reg1(boolean oflag,
                                                                 int reg2,
                                                                 int reg1)

  Parameters:
    `oflag` -
    `reg2` -
    `reg1` -
  Returns:
    -

### pflag_nef_SHR_O8_FLAGS_pflag_reg0_reg1

    public static boolean pflag_nef_SHR_O8_FLAGS_pflag_reg0_reg1(boolean pflag,
                                                                 int reg0,
                                                                 int reg1)

  Parameters:
    `pflag` -
    `reg0` -
    `reg1` -
  Returns:
    -

### sflag_nef_SHR_O8_FLAGS_sflag_reg0_reg1

    public static boolean sflag_nef_SHR_O8_FLAGS_sflag_reg0_reg1(boolean sflag,
                                                                 int reg0,
                                                                 int reg1)

  Parameters:
    `sflag` -
    `reg0` -
    `reg1` -
  Returns:
    -

### zflag_nef_SHR_O8_FLAGS_zflag_reg0_reg1

    public static boolean zflag_nef_SHR_O8_FLAGS_zflag_reg0_reg1(boolean zflag,
                                                                 int reg0,
                                                                 int reg1)

  Parameters:
    `zflag` -
    `reg0` -
    `reg1` -
  Returns:
    -

### cflag_nef_SHR_O16_FLAGS_cflag_reg2_reg1

    public static boolean cflag_nef_SHR_O16_FLAGS_cflag_reg2_reg1(boolean cflag,
                                                                  int reg2,
                                                                  int reg1)

  Parameters:
    `cflag` -
    `reg2` -
    `reg1` -
  Returns:
    -

### oflag_nef_SHR_O16_FLAGS_oflag_reg2_reg1

    public static boolean oflag_nef_SHR_O16_FLAGS_oflag_reg2_reg1(boolean oflag,
                                                                  int reg2,
                                                                  int reg1)

  Parameters:
    `oflag` -
    `reg2` -
    `reg1` -
  Returns:
    -

### pflag_nef_SHR_O16_FLAGS_pflag_reg0_reg1

    public static boolean pflag_nef_SHR_O16_FLAGS_pflag_reg0_reg1(boolean pflag,
                                                                  int reg0,
                                                                  int reg1)

  Parameters:
    `pflag` -
    `reg0` -
    `reg1` -
  Returns:
    -

### sflag_nef_SHR_O16_FLAGS_sflag_reg0_reg1

    public static boolean sflag_nef_SHR_O16_FLAGS_sflag_reg0_reg1(boolean sflag,
                                                                  int reg0,
                                                                  int reg1)

  Parameters:
    `sflag` -
    `reg0` -
    `reg1` -
  Returns:
    -

### zflag_nef_SHR_O16_FLAGS_zflag_reg0_reg1

    public static boolean zflag_nef_SHR_O16_FLAGS_zflag_reg0_reg1(boolean zflag,
                                                                  int reg0,
                                                                  int reg1)

  Parameters:
    `zflag` -
    `reg0` -
    `reg1` -
  Returns:
    -

### cflag_nef_SHR_O32_FLAGS_cflag_reg2_reg1

    public static boolean cflag_nef_SHR_O32_FLAGS_cflag_reg2_reg1(boolean cflag,
                                                                  int reg2,
                                                                  int reg1)

  Parameters:
    `cflag` -
    `reg2` -
    `reg1` -
  Returns:
    -

### oflag_nef_SHR_O32_FLAGS_oflag_reg2_reg1

    public static boolean oflag_nef_SHR_O32_FLAGS_oflag_reg2_reg1(boolean oflag,
                                                                  int reg2,
                                                                  int reg1)

  Parameters:
    `oflag` -
    `reg2` -
    `reg1` -
  Returns:
    -

### pflag_nef_SHR_O32_FLAGS_pflag_reg0_reg1

    public static boolean pflag_nef_SHR_O32_FLAGS_pflag_reg0_reg1(boolean pflag,
                                                                  int reg0,
                                                                  int reg1)

  Parameters:
    `pflag` -
    `reg0` -
    `reg1` -
  Returns:
    -

### sflag_nef_SHR_O32_FLAGS_sflag_reg0_reg1

    public static boolean sflag_nef_SHR_O32_FLAGS_sflag_reg0_reg1(boolean sflag,
                                                                  int reg0,
                                                                  int reg1)

  Parameters:
    `sflag` -
    `reg0` -
    `reg1` -
  Returns:
    -

### zflag_nef_SHR_O32_FLAGS_zflag_reg0_reg1

    public static boolean zflag_nef_SHR_O32_FLAGS_zflag_reg0_reg1(boolean zflag,
                                                                  int reg0,
                                                                  int reg1)

  Parameters:
    `zflag` -
    `reg0` -
    `reg1` -
  Returns:
    -

### reg0_nef_SAR_O8_reg1_reg0

    public static int reg0_nef_SAR_O8_reg1_reg0(int reg1,
                                                int reg0)

  Parameters:
    `reg1` -
    `reg0` -
  Returns:
    -

### reg1_nef_SAR_O8_reg1

    public static int reg1_nef_SAR_O8_reg1(int reg1)

  Parameters:
    `reg1` -
  Returns:
    -

### reg2_nef_SAR_O8_reg0

    public static int reg2_nef_SAR_O8_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### reg0_nef_SAR_O16_reg1_reg0

    public static int reg0_nef_SAR_O16_reg1_reg0(int reg1,
                                                 int reg0)

  Parameters:
    `reg1` -
    `reg0` -
  Returns:
    -

### reg1_nef_SAR_O16_reg1

    public static int reg1_nef_SAR_O16_reg1(int reg1)

  Parameters:
    `reg1` -
  Returns:
    -

### reg2_nef_SAR_O16_reg0

    public static int reg2_nef_SAR_O16_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### reg0_nef_SAR_O32_reg0_reg1

    public static int reg0_nef_SAR_O32_reg0_reg1(int reg0,
                                                 int reg1)

  Parameters:
    `reg0` -
    `reg1` -
  Returns:
    -

### reg1_nef_SAR_O32_reg1

    public static int reg1_nef_SAR_O32_reg1(int reg1)

  Parameters:
    `reg1` -
  Returns:
    -

### reg2_nef_SAR_O32_reg0

    public static int reg2_nef_SAR_O32_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### cflag_nef_SAR_O8_FLAGS_cflag_reg2_reg1

    public static boolean cflag_nef_SAR_O8_FLAGS_cflag_reg2_reg1(boolean cflag,
                                                                 int reg2,
                                                                 int reg1)

  Parameters:
    `cflag` -
    `reg2` -
    `reg1` -
  Returns:
    -

### oflag_nef_SAR_O8_FLAGS_oflag_reg1

    public static boolean oflag_nef_SAR_O8_FLAGS_oflag_reg1(boolean oflag,
                                                            int reg1)

  Parameters:
    `oflag` -
    `reg1` -
  Returns:
    -

### pflag_nef_SAR_O8_FLAGS_pflag_reg0_reg1

    public static boolean pflag_nef_SAR_O8_FLAGS_pflag_reg0_reg1(boolean pflag,
                                                                 int reg0,
                                                                 int reg1)

  Parameters:
    `pflag` -
    `reg0` -
    `reg1` -
  Returns:
    -

### sflag_nef_SAR_O8_FLAGS_sflag_reg0_reg1

    public static boolean sflag_nef_SAR_O8_FLAGS_sflag_reg0_reg1(boolean sflag,
                                                                 int reg0,
                                                                 int reg1)

  Parameters:
    `sflag` -
    `reg0` -
    `reg1` -
  Returns:
    -

### zflag_nef_SAR_O8_FLAGS_zflag_reg0_reg1

    public static boolean zflag_nef_SAR_O8_FLAGS_zflag_reg0_reg1(boolean zflag,
                                                                 int reg0,
                                                                 int reg1)

  Parameters:
    `zflag` -
    `reg0` -
    `reg1` -
  Returns:
    -

### cflag_nef_SAR_O16_FLAGS_cflag_reg2_reg1

    public static boolean cflag_nef_SAR_O16_FLAGS_cflag_reg2_reg1(boolean cflag,
                                                                  int reg2,
                                                                  int reg1)

  Parameters:
    `cflag` -
    `reg2` -
    `reg1` -
  Returns:
    -

### oflag_nef_SAR_O16_FLAGS_oflag_reg1

    public static boolean oflag_nef_SAR_O16_FLAGS_oflag_reg1(boolean oflag,
                                                             int reg1)

  Parameters:
    `oflag` -
    `reg1` -
  Returns:
    -

### pflag_nef_SAR_O16_FLAGS_pflag_reg0_reg1

    public static boolean pflag_nef_SAR_O16_FLAGS_pflag_reg0_reg1(boolean pflag,
                                                                  int reg0,
                                                                  int reg1)

  Parameters:
    `pflag` -
    `reg0` -
    `reg1` -
  Returns:
    -

### sflag_nef_SAR_O16_FLAGS_sflag_reg0_reg1

    public static boolean sflag_nef_SAR_O16_FLAGS_sflag_reg0_reg1(boolean sflag,
                                                                  int reg0,
                                                                  int reg1)

  Parameters:
    `sflag` -
    `reg0` -
    `reg1` -
  Returns:
    -

### zflag_nef_SAR_O16_FLAGS_zflag_reg0_reg1

    public static boolean zflag_nef_SAR_O16_FLAGS_zflag_reg0_reg1(boolean zflag,
                                                                  int reg0,
                                                                  int reg1)

  Parameters:
    `zflag` -
    `reg0` -
    `reg1` -
  Returns:
    -

### cflag_nef_SAR_O32_FLAGS_cflag_reg2_reg1

    public static boolean cflag_nef_SAR_O32_FLAGS_cflag_reg2_reg1(boolean cflag,
                                                                  int reg2,
                                                                  int reg1)

  Parameters:
    `cflag` -
    `reg2` -
    `reg1` -
  Returns:
    -

### oflag_nef_SAR_O32_FLAGS_oflag_reg1

    public static boolean oflag_nef_SAR_O32_FLAGS_oflag_reg1(boolean oflag,
                                                             int reg1)

  Parameters:
    `oflag` -
    `reg1` -
  Returns:
    -

### pflag_nef_SAR_O32_FLAGS_pflag_reg0_reg1

    public static boolean pflag_nef_SAR_O32_FLAGS_pflag_reg0_reg1(boolean pflag,
                                                                  int reg0,
                                                                  int reg1)

  Parameters:
    `pflag` -
    `reg0` -
    `reg1` -
  Returns:
    -

### sflag_nef_SAR_O32_FLAGS_sflag_reg0_reg1

    public static boolean sflag_nef_SAR_O32_FLAGS_sflag_reg0_reg1(boolean sflag,
                                                                  int reg0,
                                                                  int reg1)

  Parameters:
    `sflag` -
    `reg0` -
    `reg1` -
  Returns:
    -

### zflag_nef_SAR_O32_FLAGS_zflag_reg0_reg1

    public static boolean zflag_nef_SAR_O32_FLAGS_zflag_reg0_reg1(boolean zflag,
                                                                  int reg0,
                                                                  int reg1)

  Parameters:
    `zflag` -
    `reg0` -
    `reg1` -
  Returns:
    -

### reg0_nef_ROL_O8_reg0_reg1

    public static int reg0_nef_ROL_O8_reg0_reg1(int reg0,
                                                int reg1)

  Parameters:
    `reg0` -
    `reg1` -
  Returns:
    -

### reg1_nef_ROL_O8_reg1

    public static int reg1_nef_ROL_O8_reg1(int reg1)

  Parameters:
    `reg1` -
  Returns:
    -

### reg0_nef_ROL_O16_reg0_reg1

    public static int reg0_nef_ROL_O16_reg0_reg1(int reg0,
                                                 int reg1)

  Parameters:
    `reg0` -
    `reg1` -
  Returns:
    -

### reg1_nef_ROL_O16_reg1

    public static int reg1_nef_ROL_O16_reg1(int reg1)

  Parameters:
    `reg1` -
  Returns:
    -

### reg0_nef_ROL_O32_reg0_reg1

    public static int reg0_nef_ROL_O32_reg0_reg1(int reg0,
                                                 int reg1)

  Parameters:
    `reg0` -
    `reg1` -
  Returns:
    -

### reg1_nef_ROL_O32_reg1

    public static int reg1_nef_ROL_O32_reg1(int reg1)

  Parameters:
    `reg1` -
  Returns:
    -

### cflag_nef_ROL_O8_FLAGS_cflag_reg0_reg1

    public static boolean cflag_nef_ROL_O8_FLAGS_cflag_reg0_reg1(boolean cflag,
                                                                 int reg0,
                                                                 int reg1)

  Parameters:
    `cflag` -
    `reg0` -
    `reg1` -
  Returns:
    -

### oflag_nef_ROL_O8_FLAGS_oflag_reg0_reg1

    public static boolean oflag_nef_ROL_O8_FLAGS_oflag_reg0_reg1(boolean oflag,
                                                                 int reg0,
                                                                 int reg1)

  Parameters:
    `oflag` -
    `reg0` -
    `reg1` -
  Returns:
    -

### cflag_nef_ROL_O16_FLAGS_cflag_reg0_reg1

    public static boolean cflag_nef_ROL_O16_FLAGS_cflag_reg0_reg1(boolean cflag,
                                                                  int reg0,
                                                                  int reg1)

  Parameters:
    `cflag` -
    `reg0` -
    `reg1` -
  Returns:
    -

### oflag_nef_ROL_O16_FLAGS_oflag_reg0_reg1

    public static boolean oflag_nef_ROL_O16_FLAGS_oflag_reg0_reg1(boolean oflag,
                                                                  int reg0,
                                                                  int reg1)

  Parameters:
    `oflag` -
    `reg0` -
    `reg1` -
  Returns:
    -

### cflag_nef_ROL_O32_FLAGS_cflag_reg0_reg1

    public static boolean cflag_nef_ROL_O32_FLAGS_cflag_reg0_reg1(boolean cflag,
                                                                  int reg0,
                                                                  int reg1)

  Parameters:
    `cflag` -
    `reg0` -
    `reg1` -
  Returns:
    -

### oflag_nef_ROL_O32_FLAGS_oflag_reg0_reg1

    public static boolean oflag_nef_ROL_O32_FLAGS_oflag_reg0_reg1(boolean oflag,
                                                                  int reg0,
                                                                  int reg1)

  Parameters:
    `oflag` -
    `reg0` -
    `reg1` -
  Returns:
    -

### reg0_nef_ROR_O8_reg0_reg1

    public static int reg0_nef_ROR_O8_reg0_reg1(int reg0,
                                                int reg1)

  Parameters:
    `reg0` -
    `reg1` -
  Returns:
    -

### reg1_nef_ROR_O8_reg1

    public static int reg1_nef_ROR_O8_reg1(int reg1)

  Parameters:
    `reg1` -
  Returns:
    -

### reg0_nef_ROR_O16_reg0_reg1

    public static int reg0_nef_ROR_O16_reg0_reg1(int reg0,
                                                 int reg1)

  Parameters:
    `reg0` -
    `reg1` -
  Returns:
    -

### reg1_nef_ROR_O16_reg1

    public static int reg1_nef_ROR_O16_reg1(int reg1)

  Parameters:
    `reg1` -
  Returns:
    -

### reg0_nef_ROR_O32_reg0_reg1

    public static int reg0_nef_ROR_O32_reg0_reg1(int reg0,
                                                 int reg1)

  Parameters:
    `reg0` -
    `reg1` -
  Returns:
    -

### reg1_nef_ROR_O32_reg1

    public static int reg1_nef_ROR_O32_reg1(int reg1)

  Parameters:
    `reg1` -
  Returns:
    -

### cflag_nef_ROR_O8_FLAGS_cflag_reg0_reg1

    public static boolean cflag_nef_ROR_O8_FLAGS_cflag_reg0_reg1(boolean cflag,
                                                                 int reg0,
                                                                 int reg1)

  Parameters:
    `cflag` -
    `reg0` -
    `reg1` -
  Returns:
    -

### oflag_nef_ROR_O8_FLAGS_oflag_reg0_reg1

    public static boolean oflag_nef_ROR_O8_FLAGS_oflag_reg0_reg1(boolean oflag,
                                                                 int reg0,
                                                                 int reg1)

  Parameters:
    `oflag` -
    `reg0` -
    `reg1` -
  Returns:
    -

### cflag_nef_ROR_O16_FLAGS_cflag_reg0_reg1

    public static boolean cflag_nef_ROR_O16_FLAGS_cflag_reg0_reg1(boolean cflag,
                                                                  int reg0,
                                                                  int reg1)

  Parameters:
    `cflag` -
    `reg0` -
    `reg1` -
  Returns:
    -

### oflag_nef_ROR_O16_FLAGS_oflag_reg0_reg1

    public static boolean oflag_nef_ROR_O16_FLAGS_oflag_reg0_reg1(boolean oflag,
                                                                  int reg0,
                                                                  int reg1)

  Parameters:
    `oflag` -
    `reg0` -
    `reg1` -
  Returns:
    -

### cflag_nef_ROR_O32_FLAGS_cflag_reg0_reg1

    public static boolean cflag_nef_ROR_O32_FLAGS_cflag_reg0_reg1(boolean cflag,
                                                                  int reg0,
                                                                  int reg1)

  Parameters:
    `cflag` -
    `reg0` -
    `reg1` -
  Returns:
    -

### oflag_nef_ROR_O32_FLAGS_oflag_reg0_reg1

    public static boolean oflag_nef_ROR_O32_FLAGS_oflag_reg0_reg1(boolean oflag,
                                                                  int reg0,
                                                                  int reg1)

  Parameters:
    `oflag` -
    `reg0` -
    `reg1` -
  Returns:
    -

### reg0_nef_RCL_O8_reg1_reg0_cflag

    public static int reg0_nef_RCL_O8_reg1_reg0_cflag(int reg1,
                                                      int reg0,
                                                      boolean cflag)

  Parameters:
    `reg1` -
    `reg0` -
    `cflag` -
  Returns:
    -

### reg1_nef_RCL_O8_reg1

    public static int reg1_nef_RCL_O8_reg1(int reg1)

  Parameters:
    `reg1` -
  Returns:
    -

### reg0_nef_RCL_O16_reg1_reg0_cflag

    public static int reg0_nef_RCL_O16_reg1_reg0_cflag(int reg1,
                                                       int reg0,
                                                       boolean cflag)

  Parameters:
    `reg1` -
    `reg0` -
    `cflag` -
  Returns:
    -

### reg1_nef_RCL_O16_reg1

    public static int reg1_nef_RCL_O16_reg1(int reg1)

  Parameters:
    `reg1` -
  Returns:
    -

### cflag_nef_RCL_O8_FLAGS_cflag_reg0_reg1

    public static boolean cflag_nef_RCL_O8_FLAGS_cflag_reg0_reg1(boolean cflag,
                                                                 int reg0,
                                                                 int reg1)

  Parameters:
    `cflag` -
    `reg0` -
    `reg1` -
  Returns:
    -

### oflag_nef_RCL_O8_FLAGS_oflag_reg0_reg1

    public static boolean oflag_nef_RCL_O8_FLAGS_oflag_reg0_reg1(boolean oflag,
                                                                 int reg0,
                                                                 int reg1)

  Parameters:
    `oflag` -
    `reg0` -
    `reg1` -
  Returns:
    -

### cflag_nef_RCL_O16_FLAGS_cflag_reg0_reg1

    public static boolean cflag_nef_RCL_O16_FLAGS_cflag_reg0_reg1(boolean cflag,
                                                                  int reg0,
                                                                  int reg1)

  Parameters:
    `cflag` -
    `reg0` -
    `reg1` -
  Returns:
    -

### oflag_nef_RCL_O16_FLAGS_oflag_reg0_reg1

    public static boolean oflag_nef_RCL_O16_FLAGS_oflag_reg0_reg1(boolean oflag,
                                                                  int reg0,
                                                                  int reg1)

  Parameters:
    `oflag` -
    `reg0` -
    `reg1` -
  Returns:
    -

### reg0_nef_RCR_O8_reg1_reg0_cflag

    public static int reg0_nef_RCR_O8_reg1_reg0_cflag(int reg1,
                                                      int reg0,
                                                      boolean cflag)

  Parameters:
    `reg1` -
    `reg0` -
    `cflag` -
  Returns:
    -

### reg1_nef_RCR_O8_reg1

    public static int reg1_nef_RCR_O8_reg1(int reg1)

  Parameters:
    `reg1` -
  Returns:
    -

### reg0_nef_RCR_O16_reg1_reg0_cflag

    public static int reg0_nef_RCR_O16_reg1_reg0_cflag(int reg1,
                                                       int reg0,
                                                       boolean cflag)

  Parameters:
    `reg1` -
    `reg0` -
    `cflag` -
  Returns:
    -

### reg1_nef_RCR_O16_reg1

    public static int reg1_nef_RCR_O16_reg1(int reg1)

  Parameters:
    `reg1` -
  Returns:
    -

### cflag_nef_RCR_O8_FLAGS_cflag_reg0_reg1

    public static boolean cflag_nef_RCR_O8_FLAGS_cflag_reg0_reg1(boolean cflag,
                                                                 int reg0,
                                                                 int reg1)

  Parameters:
    `cflag` -
    `reg0` -
    `reg1` -
  Returns:
    -

### oflag_nef_RCR_O8_FLAGS_oflag_reg0_reg1

    public static boolean oflag_nef_RCR_O8_FLAGS_oflag_reg0_reg1(boolean oflag,
                                                                 int reg0,
                                                                 int reg1)

  Parameters:
    `oflag` -
    `reg0` -
    `reg1` -
  Returns:
    -

### cflag_nef_RCR_O16_FLAGS_cflag_reg0_reg1

    public static boolean cflag_nef_RCR_O16_FLAGS_cflag_reg0_reg1(boolean cflag,
                                                                  int reg0,
                                                                  int reg1)

  Parameters:
    `cflag` -
    `reg0` -
    `reg1` -
  Returns:
    -

### oflag_nef_RCR_O16_FLAGS_oflag_reg0_reg1

    public static boolean oflag_nef_RCR_O16_FLAGS_oflag_reg0_reg1(boolean oflag,
                                                                  int reg0,
                                                                  int reg1)

  Parameters:
    `oflag` -
    `reg0` -
    `reg1` -
  Returns:
    -

### reg0_nef_SHRD_O16_reg0_reg1_reg2

    public static int reg0_nef_SHRD_O16_reg0_reg1_reg2(int reg0,
                                                       int reg1,
                                                       int reg2)

  Parameters:
    `reg0` -
    `reg1` -
    `reg2` -
  Returns:
    -

### reg1_nef_SHRD_O16_reg2

    public static int reg1_nef_SHRD_O16_reg2(int reg2)

  Parameters:
    `reg2` -
  Returns:
    -

### reg2_nef_SHRD_O16_reg0

    public static int reg2_nef_SHRD_O16_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### reg0_nef_SHRD_O32_reg0_reg1_reg2

    public static int reg0_nef_SHRD_O32_reg0_reg1_reg2(int reg0,
                                                       int reg1,
                                                       int reg2)

  Parameters:
    `reg0` -
    `reg1` -
    `reg2` -
  Returns:
    -

### reg1_nef_SHRD_O32_reg2

    public static int reg1_nef_SHRD_O32_reg2(int reg2)

  Parameters:
    `reg2` -
  Returns:
    -

### reg2_nef_SHRD_O32_reg0

    public static int reg2_nef_SHRD_O32_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### reg0_nef_SHLD_O16_reg0_reg1_reg2

    public static int reg0_nef_SHLD_O16_reg0_reg1_reg2(int reg0,
                                                       int reg1,
                                                       int reg2)

  Parameters:
    `reg0` -
    `reg1` -
    `reg2` -
  Returns:
    -

### reg1_nef_SHLD_O16_reg2

    public static int reg1_nef_SHLD_O16_reg2(int reg2)

  Parameters:
    `reg2` -
  Returns:
    -

### reg2_nef_SHLD_O16_reg0

    public static int reg2_nef_SHLD_O16_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### reg0_nef_SHLD_O32_reg0_reg1_reg2

    public static int reg0_nef_SHLD_O32_reg0_reg1_reg2(int reg0,
                                                       int reg1,
                                                       int reg2)

  Parameters:
    `reg0` -
    `reg1` -
    `reg2` -
  Returns:
    -

### reg1_nef_SHLD_O32_reg2

    public static int reg1_nef_SHLD_O32_reg2(int reg2)

  Parameters:
    `reg2` -
  Returns:
    -

### reg2_nef_SHLD_O32_reg0

    public static int reg2_nef_SHLD_O32_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### reg0_nef_BSF_reg1_reg0

    public static int reg0_nef_BSF_reg1_reg0(int reg1,
                                             int reg0)

  Parameters:
    `reg1` -
    `reg0` -
  Returns:
    -

### zflag_nef_BSF_reg1

    public static int zflag_nef_BSF_reg1(int reg1)

  Parameters:
    `reg1` -
  Returns:
    -

### reg0_nef_BSR_reg1_reg0

    public static int reg0_nef_BSR_reg1_reg0(int reg1,
                                             int reg0)

  Parameters:
    `reg1` -
    `reg0` -
  Returns:
    -

### zflag_nef_BSR_reg1

    public static int zflag_nef_BSR_reg1(int reg1)

  Parameters:
    `reg1` -
  Returns:
    -

### reg0_nef_ADD_reg0_reg1

    public static int reg0_nef_ADD_reg0_reg1(int reg0,
                                             int reg1)

  Parameters:
    `reg0` -
    `reg1` -
  Returns:
    -

### reg2_nef_ADD_reg0

    public static int reg2_nef_ADD_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### aflag_nef_ADD_O8_FLAGS_reg0_reg1_reg2

    public static boolean aflag_nef_ADD_O8_FLAGS_reg0_reg1_reg2(int reg0,
                                                                int reg1,
                                                                int reg2)

  Parameters:
    `reg0` -
    `reg1` -
    `reg2` -
  Returns:
    -

### cflag_nef_ADD_O8_FLAGS_reg0

    public static boolean cflag_nef_ADD_O8_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### oflag_nef_ADD_O8_FLAGS_reg0_reg1_reg2

    public static boolean oflag_nef_ADD_O8_FLAGS_reg0_reg1_reg2(int reg0,
                                                                int reg1,
                                                                int reg2)

  Parameters:
    `reg0` -
    `reg1` -
    `reg2` -
  Returns:
    -

### pflag_nef_ADD_O8_FLAGS_reg0

    public static boolean pflag_nef_ADD_O8_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### sflag_nef_ADD_O8_FLAGS_reg0

    public static boolean sflag_nef_ADD_O8_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### zflag_nef_ADD_O8_FLAGS_reg0

    public static boolean zflag_nef_ADD_O8_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### aflag_nef_ADD_O16_FLAGS_reg0_reg1_reg2

    public static boolean aflag_nef_ADD_O16_FLAGS_reg0_reg1_reg2(int reg0,
                                                                 int reg1,
                                                                 int reg2)

  Parameters:
    `reg0` -
    `reg1` -
    `reg2` -
  Returns:
    -

### cflag_nef_ADD_O16_FLAGS_reg0

    public static boolean cflag_nef_ADD_O16_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### oflag_nef_ADD_O16_FLAGS_reg0_reg1_reg2

    public static boolean oflag_nef_ADD_O16_FLAGS_reg0_reg1_reg2(int reg0,
                                                                 int reg1,
                                                                 int reg2)

  Parameters:
    `reg0` -
    `reg1` -
    `reg2` -
  Returns:
    -

### pflag_nef_ADD_O16_FLAGS_reg0

    public static boolean pflag_nef_ADD_O16_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### sflag_nef_ADD_O16_FLAGS_reg0

    public static boolean sflag_nef_ADD_O16_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### zflag_nef_ADD_O16_FLAGS_reg0

    public static boolean zflag_nef_ADD_O16_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### aflag_nef_ADD_O32_FLAGS_reg0_reg1_reg2

    public static boolean aflag_nef_ADD_O32_FLAGS_reg0_reg1_reg2(int reg0,
                                                                 int reg1,
                                                                 int reg2)

  Parameters:
    `reg0` -
    `reg1` -
    `reg2` -
  Returns:
    -

### cflag_nef_ADD_O32_FLAGS_reg1_reg2

    public static boolean cflag_nef_ADD_O32_FLAGS_reg1_reg2(int reg1,
                                                            int reg2)

  Parameters:
    `reg1` -
    `reg2` -
  Returns:
    -

### oflag_nef_ADD_O32_FLAGS_reg0_reg1_reg2

    public static boolean oflag_nef_ADD_O32_FLAGS_reg0_reg1_reg2(int reg0,
                                                                 int reg1,
                                                                 int reg2)

  Parameters:
    `reg0` -
    `reg1` -
    `reg2` -
  Returns:
    -

### pflag_nef_ADD_O32_FLAGS_reg0

    public static boolean pflag_nef_ADD_O32_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### sflag_nef_ADD_O32_FLAGS_reg0

    public static boolean sflag_nef_ADD_O32_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### zflag_nef_ADD_O32_FLAGS_reg0

    public static boolean zflag_nef_ADD_O32_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### reg0_nef_SUB_reg0_reg1

    public static int reg0_nef_SUB_reg0_reg1(int reg0,
                                             int reg1)

  Parameters:
    `reg0` -
    `reg1` -
  Returns:
    -

### reg2_nef_SUB_reg0

    public static int reg2_nef_SUB_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### aflag_nef_SUB_O8_FLAGS_reg0_reg1_reg2

    public static boolean aflag_nef_SUB_O8_FLAGS_reg0_reg1_reg2(int reg0,
                                                                int reg1,
                                                                int reg2)

  Parameters:
    `reg0` -
    `reg1` -
    `reg2` -
  Returns:
    -

### cflag_nef_SUB_O8_FLAGS_reg0

    public static boolean cflag_nef_SUB_O8_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### oflag_nef_SUB_O8_FLAGS_reg0_reg1_reg2

    public static boolean oflag_nef_SUB_O8_FLAGS_reg0_reg1_reg2(int reg0,
                                                                int reg1,
                                                                int reg2)

  Parameters:
    `reg0` -
    `reg1` -
    `reg2` -
  Returns:
    -

### pflag_nef_SUB_O8_FLAGS_reg0

    public static boolean pflag_nef_SUB_O8_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### sflag_nef_SUB_O8_FLAGS_reg0

    public static boolean sflag_nef_SUB_O8_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### zflag_nef_SUB_O8_FLAGS_reg0

    public static boolean zflag_nef_SUB_O8_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### aflag_nef_SUB_O16_FLAGS_reg0_reg1_reg2

    public static boolean aflag_nef_SUB_O16_FLAGS_reg0_reg1_reg2(int reg0,
                                                                 int reg1,
                                                                 int reg2)

  Parameters:
    `reg0` -
    `reg1` -
    `reg2` -
  Returns:
    -

### cflag_nef_SUB_O16_FLAGS_reg0

    public static boolean cflag_nef_SUB_O16_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### oflag_nef_SUB_O16_FLAGS_reg0_reg1_reg2

    public static boolean oflag_nef_SUB_O16_FLAGS_reg0_reg1_reg2(int reg0,
                                                                 int reg1,
                                                                 int reg2)

  Parameters:
    `reg0` -
    `reg1` -
    `reg2` -
  Returns:
    -

### pflag_nef_SUB_O16_FLAGS_reg0

    public static boolean pflag_nef_SUB_O16_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### sflag_nef_SUB_O16_FLAGS_reg0

    public static boolean sflag_nef_SUB_O16_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### zflag_nef_SUB_O16_FLAGS_reg0

    public static boolean zflag_nef_SUB_O16_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### aflag_nef_SUB_O32_FLAGS_reg0_reg1_reg2

    public static boolean aflag_nef_SUB_O32_FLAGS_reg0_reg1_reg2(int reg0,
                                                                 int reg1,
                                                                 int reg2)

  Parameters:
    `reg0` -
    `reg1` -
    `reg2` -
  Returns:
    -

### cflag_nef_SUB_O32_FLAGS_reg2_reg1

    public static boolean cflag_nef_SUB_O32_FLAGS_reg2_reg1(int reg2,
                                                            int reg1)

  Parameters:
    `reg2` -
    `reg1` -
  Returns:
    -

### oflag_nef_SUB_O32_FLAGS_reg0_reg1_reg2

    public static boolean oflag_nef_SUB_O32_FLAGS_reg0_reg1_reg2(int reg0,
                                                                 int reg1,
                                                                 int reg2)

  Parameters:
    `reg0` -
    `reg1` -
    `reg2` -
  Returns:
    -

### pflag_nef_SUB_O32_FLAGS_reg0

    public static boolean pflag_nef_SUB_O32_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### sflag_nef_SUB_O32_FLAGS_reg0

    public static boolean sflag_nef_SUB_O32_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### zflag_nef_SUB_O32_FLAGS_reg0

    public static boolean zflag_nef_SUB_O32_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### reg0_nef_INC_reg0

    public static int reg0_nef_INC_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### aflag_nef_INC_O8_FLAGS_reg0

    public static boolean aflag_nef_INC_O8_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### oflag_nef_INC_O8_FLAGS_reg0

    public static boolean oflag_nef_INC_O8_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### pflag_nef_INC_O8_FLAGS_reg0

    public static boolean pflag_nef_INC_O8_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### sflag_nef_INC_O8_FLAGS_reg0

    public static boolean sflag_nef_INC_O8_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### zflag_nef_INC_O8_FLAGS_reg0

    public static boolean zflag_nef_INC_O8_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### aflag_nef_INC_O16_FLAGS_reg0

    public static boolean aflag_nef_INC_O16_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### oflag_nef_INC_O16_FLAGS_reg0

    public static boolean oflag_nef_INC_O16_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### pflag_nef_INC_O16_FLAGS_reg0

    public static boolean pflag_nef_INC_O16_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### sflag_nef_INC_O16_FLAGS_reg0

    public static boolean sflag_nef_INC_O16_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### zflag_nef_INC_O16_FLAGS_reg0

    public static boolean zflag_nef_INC_O16_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### aflag_nef_INC_O32_FLAGS_reg0

    public static boolean aflag_nef_INC_O32_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### oflag_nef_INC_O32_FLAGS_reg0

    public static boolean oflag_nef_INC_O32_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### pflag_nef_INC_O32_FLAGS_reg0

    public static boolean pflag_nef_INC_O32_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### sflag_nef_INC_O32_FLAGS_reg0

    public static boolean sflag_nef_INC_O32_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### zflag_nef_INC_O32_FLAGS_reg0

    public static boolean zflag_nef_INC_O32_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### reg0_nef_DEC_reg0

    public static int reg0_nef_DEC_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### aflag_nef_DEC_O8_FLAGS_reg0

    public static boolean aflag_nef_DEC_O8_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### oflag_nef_DEC_O8_FLAGS_reg0

    public static boolean oflag_nef_DEC_O8_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### pflag_nef_DEC_O8_FLAGS_reg0

    public static boolean pflag_nef_DEC_O8_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### sflag_nef_DEC_O8_FLAGS_reg0

    public static boolean sflag_nef_DEC_O8_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### zflag_nef_DEC_O8_FLAGS_reg0

    public static boolean zflag_nef_DEC_O8_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### aflag_nef_DEC_O16_FLAGS_reg0

    public static boolean aflag_nef_DEC_O16_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### oflag_nef_DEC_O16_FLAGS_reg0

    public static boolean oflag_nef_DEC_O16_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### pflag_nef_DEC_O16_FLAGS_reg0

    public static boolean pflag_nef_DEC_O16_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### sflag_nef_DEC_O16_FLAGS_reg0

    public static boolean sflag_nef_DEC_O16_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### zflag_nef_DEC_O16_FLAGS_reg0

    public static boolean zflag_nef_DEC_O16_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### aflag_nef_DEC_O32_FLAGS_reg0

    public static boolean aflag_nef_DEC_O32_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### oflag_nef_DEC_O32_FLAGS_reg0

    public static boolean oflag_nef_DEC_O32_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### pflag_nef_DEC_O32_FLAGS_reg0

    public static boolean pflag_nef_DEC_O32_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### sflag_nef_DEC_O32_FLAGS_reg0

    public static boolean sflag_nef_DEC_O32_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### zflag_nef_DEC_O32_FLAGS_reg0

    public static boolean zflag_nef_DEC_O32_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### reg0_nef_ADC_reg0_reg1_cflag

    public static int reg0_nef_ADC_reg0_reg1_cflag(int reg0,
                                                   int reg1,
                                                   int cflag)

  Parameters:
    `reg0` -
    `reg1` -
    `cflag` -
  Returns:
    -

### reg2_nef_ADC_reg0

    public static int reg2_nef_ADC_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### aflag_nef_ADC_O8_FLAGS_reg0_reg1_reg2

    public static boolean aflag_nef_ADC_O8_FLAGS_reg0_reg1_reg2(int reg0,
                                                                int reg1,
                                                                int reg2)

  Parameters:
    `reg0` -
    `reg1` -
    `reg2` -
  Returns:
    -

### cflag_nef_ADC_O8_FLAGS_cflag_reg1_reg0

    public static boolean cflag_nef_ADC_O8_FLAGS_cflag_reg1_reg0(boolean cflag,
                                                                 int reg1,
                                                                 int reg0)

  Parameters:
    `cflag` -
    `reg1` -
    `reg0` -
  Returns:
    -

### oflag_nef_ADC_O8_FLAGS_reg0_reg1_reg2

    public static boolean oflag_nef_ADC_O8_FLAGS_reg0_reg1_reg2(int reg0,
                                                                int reg1,
                                                                int reg2)

  Parameters:
    `reg0` -
    `reg1` -
    `reg2` -
  Returns:
    -

### pflag_nef_ADC_O8_FLAGS_reg0

    public static boolean pflag_nef_ADC_O8_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### sflag_nef_ADC_O8_FLAGS_reg0

    public static boolean sflag_nef_ADC_O8_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### zflag_nef_ADC_O8_FLAGS_reg0

    public static boolean zflag_nef_ADC_O8_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### aflag_nef_ADC_O16_FLAGS_reg0_reg1_reg2

    public static boolean aflag_nef_ADC_O16_FLAGS_reg0_reg1_reg2(int reg0,
                                                                 int reg1,
                                                                 int reg2)

  Parameters:
    `reg0` -
    `reg1` -
    `reg2` -
  Returns:
    -

### cflag_nef_ADC_O16_FLAGS_cflag_reg1_reg0

    public static boolean cflag_nef_ADC_O16_FLAGS_cflag_reg1_reg0(boolean cflag,
                                                                  int reg1,
                                                                  int reg0)

  Parameters:
    `cflag` -
    `reg1` -
    `reg0` -
  Returns:
    -

### oflag_nef_ADC_O16_FLAGS_reg0_reg1_reg2

    public static boolean oflag_nef_ADC_O16_FLAGS_reg0_reg1_reg2(int reg0,
                                                                 int reg1,
                                                                 int reg2)

  Parameters:
    `reg0` -
    `reg1` -
    `reg2` -
  Returns:
    -

### pflag_nef_ADC_O16_FLAGS_reg0

    public static boolean pflag_nef_ADC_O16_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### sflag_nef_ADC_O16_FLAGS_reg0

    public static boolean sflag_nef_ADC_O16_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### zflag_nef_ADC_O16_FLAGS_reg0

    public static boolean zflag_nef_ADC_O16_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### aflag_nef_ADC_O32_FLAGS_reg0_reg1_reg2

    public static boolean aflag_nef_ADC_O32_FLAGS_reg0_reg1_reg2(int reg0,
                                                                 int reg1,
                                                                 int reg2)

  Parameters:
    `reg0` -
    `reg1` -
    `reg2` -
  Returns:
    -

### cflag_nef_ADC_O32_FLAGS_cflag_reg1_reg2

    public static boolean cflag_nef_ADC_O32_FLAGS_cflag_reg1_reg2(boolean cflag,
                                                                  int reg1,
                                                                  int reg2)

  Parameters:
    `cflag` -
    `reg1` -
    `reg2` -
  Returns:
    -

### oflag_nef_ADC_O32_FLAGS_reg0_reg1_reg2

    public static boolean oflag_nef_ADC_O32_FLAGS_reg0_reg1_reg2(int reg0,
                                                                 int reg1,
                                                                 int reg2)

  Parameters:
    `reg0` -
    `reg1` -
    `reg2` -
  Returns:
    -

### pflag_nef_ADC_O32_FLAGS_reg0

    public static boolean pflag_nef_ADC_O32_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### sflag_nef_ADC_O32_FLAGS_reg0

    public static boolean sflag_nef_ADC_O32_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### zflag_nef_ADC_O32_FLAGS_reg0

    public static boolean zflag_nef_ADC_O32_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### reg0_nef_SBB_reg0_reg1_cflag

    public static int reg0_nef_SBB_reg0_reg1_cflag(int reg0,
                                                   int reg1,
                                                   int cflag)

  Parameters:
    `reg0` -
    `reg1` -
    `cflag` -
  Returns:
    -

### reg2_nef_SBB_reg0

    public static int reg2_nef_SBB_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### aflag_nef_SBB_O8_FLAGS_reg0_reg1_reg2

    public static boolean aflag_nef_SBB_O8_FLAGS_reg0_reg1_reg2(int reg0,
                                                                int reg1,
                                                                int reg2)

  Parameters:
    `reg0` -
    `reg1` -
    `reg2` -
  Returns:
    -

### cflag_nef_SBB_O8_FLAGS_reg0

    public static boolean cflag_nef_SBB_O8_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### oflag_nef_SBB_O8_FLAGS_reg0_reg1_reg2

    public static boolean oflag_nef_SBB_O8_FLAGS_reg0_reg1_reg2(int reg0,
                                                                int reg1,
                                                                int reg2)

  Parameters:
    `reg0` -
    `reg1` -
    `reg2` -
  Returns:
    -

### pflag_nef_SBB_O8_FLAGS_reg0

    public static boolean pflag_nef_SBB_O8_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### sflag_nef_SBB_O8_FLAGS_reg0

    public static boolean sflag_nef_SBB_O8_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### zflag_nef_SBB_O8_FLAGS_reg0

    public static boolean zflag_nef_SBB_O8_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### aflag_nef_SBB_O16_FLAGS_reg0_reg1_reg2

    public static boolean aflag_nef_SBB_O16_FLAGS_reg0_reg1_reg2(int reg0,
                                                                 int reg1,
                                                                 int reg2)

  Parameters:
    `reg0` -
    `reg1` -
    `reg2` -
  Returns:
    -

### cflag_nef_SBB_O16_FLAGS_reg0

    public static boolean cflag_nef_SBB_O16_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### oflag_nef_SBB_O16_FLAGS_reg0_reg1_reg2

    public static boolean oflag_nef_SBB_O16_FLAGS_reg0_reg1_reg2(int reg0,
                                                                 int reg1,
                                                                 int reg2)

  Parameters:
    `reg0` -
    `reg1` -
    `reg2` -
  Returns:
    -

### pflag_nef_SBB_O16_FLAGS_reg0

    public static boolean pflag_nef_SBB_O16_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### sflag_nef_SBB_O16_FLAGS_reg0

    public static boolean sflag_nef_SBB_O16_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### zflag_nef_SBB_O16_FLAGS_reg0

    public static boolean zflag_nef_SBB_O16_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### aflag_nef_SBB_O32_FLAGS_reg0_reg1_reg2

    public static boolean aflag_nef_SBB_O32_FLAGS_reg0_reg1_reg2(int reg0,
                                                                 int reg1,
                                                                 int reg2)

  Parameters:
    `reg0` -
    `reg1` -
    `reg2` -
  Returns:
    -

### cflag_nef_SBB_O32_FLAGS_reg1_reg2_cflag

    public static boolean cflag_nef_SBB_O32_FLAGS_reg1_reg2_cflag(int reg1,
                                                                  int reg2,
                                                                  int cflag)

  Parameters:
    `reg1` -
    `reg2` -
    `cflag` -
  Returns:
    -

### oflag_nef_SBB_O32_FLAGS_reg0_reg1_reg2

    public static boolean oflag_nef_SBB_O32_FLAGS_reg0_reg1_reg2(int reg0,
                                                                 int reg1,
                                                                 int reg2)

  Parameters:
    `reg0` -
    `reg1` -
    `reg2` -
  Returns:
    -

### pflag_nef_SBB_O32_FLAGS_reg0

    public static boolean pflag_nef_SBB_O32_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### sflag_nef_SBB_O32_FLAGS_reg0

    public static boolean sflag_nef_SBB_O32_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### zflag_nef_SBB_O32_FLAGS_reg0

    public static boolean zflag_nef_SBB_O32_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### reg0_nef_NEG_reg0

    public static int reg0_nef_NEG_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### aflag_nef_NEG_O8_FLAGS_reg0

    public static boolean aflag_nef_NEG_O8_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### cflag_nef_NEG_O8_FLAGS_reg0

    public static boolean cflag_nef_NEG_O8_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### oflag_nef_NEG_O8_FLAGS_reg0

    public static boolean oflag_nef_NEG_O8_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### pflag_nef_NEG_O8_FLAGS_reg0

    public static boolean pflag_nef_NEG_O8_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### sflag_nef_NEG_O8_FLAGS_reg0

    public static boolean sflag_nef_NEG_O8_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### zflag_nef_NEG_O8_FLAGS_reg0

    public static boolean zflag_nef_NEG_O8_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### aflag_nef_NEG_O16_FLAGS_reg0

    public static boolean aflag_nef_NEG_O16_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### cflag_nef_NEG_O16_FLAGS_reg0

    public static boolean cflag_nef_NEG_O16_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### oflag_nef_NEG_O16_FLAGS_reg0

    public static boolean oflag_nef_NEG_O16_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### pflag_nef_NEG_O16_FLAGS_reg0

    public static boolean pflag_nef_NEG_O16_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### sflag_nef_NEG_O16_FLAGS_reg0

    public static boolean sflag_nef_NEG_O16_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### zflag_nef_NEG_O16_FLAGS_reg0

    public static boolean zflag_nef_NEG_O16_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### aflag_nef_NEG_O32_FLAGS_reg0

    public static boolean aflag_nef_NEG_O32_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### cflag_nef_NEG_O32_FLAGS_reg0

    public static boolean cflag_nef_NEG_O32_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### oflag_nef_NEG_O32_FLAGS_reg0

    public static boolean oflag_nef_NEG_O32_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### pflag_nef_NEG_O32_FLAGS_reg0

    public static boolean pflag_nef_NEG_O32_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### sflag_nef_NEG_O32_FLAGS_reg0

    public static boolean sflag_nef_NEG_O32_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### zflag_nef_NEG_O32_FLAGS_reg0

    public static boolean zflag_nef_NEG_O32_FLAGS_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### edx_nef_CWD_edx_eax

    public static int edx_nef_CWD_edx_eax(int edx,
                                          int eax)

  Parameters:
    `edx` -
    `eax` -
  Returns:
    -

### edx_nef_CDQ_eax

    public static int edx_nef_CDQ_eax(int eax)

  Parameters:
    `eax` -
  Returns:
    -

### eax_nef_DIV_O8_eax_reg0

    public static int eax_nef_DIV_O8_eax_reg0(int eax,
                                              int reg0)
                                       throws ProcessorException

  Parameters:
    `eax` -
    `reg0` -
  Returns:
    -
  Throws:
    `ProcessorException`

### eax_nef_DIV_O16_edx_eax_reg0

    public static int eax_nef_DIV_O16_edx_eax_reg0(int edx,
                                                   int eax,
                                                   int reg0)
                                            throws ProcessorException

  Parameters:
    `edx` -
    `eax` -
    `reg0` -
  Returns:
    -
  Throws:
    `ProcessorException`

### edx_nef_DIV_O16_reg0_eax_edx

    public static int edx_nef_DIV_O16_reg0_eax_edx(int reg0,
                                                   int eax,
                                                   int edx)

  Parameters:
    `reg0` -
    `eax` -
    `edx` -
  Returns:
    -

### eax_nef_DIV_O32_edx_eax_reg0

    public static int eax_nef_DIV_O32_edx_eax_reg0(int edx,
                                                   int eax,
                                                   int reg0)
                                            throws ProcessorException

  Parameters:
    `edx` -
    `eax` -
    `reg0` -
  Returns:
    -
  Throws:
    `ProcessorException`

### edx_nef_DIV_O32_reg0_eax_edx

    public static int edx_nef_DIV_O32_reg0_eax_edx(int reg0,
                                                   int eax,
                                                   int edx)

  Parameters:
    `reg0` -
    `eax` -
    `edx` -
  Returns:
    -

### eax_nef_IDIV_O8_reg0_eax

    public static int eax_nef_IDIV_O8_reg0_eax(int reg0,
                                               int eax)
                                        throws ProcessorException

  Parameters:
    `reg0` -
    `eax` -
  Returns:
    -
  Throws:
    `ProcessorException`

### eax_nef_IDIV_O16_reg0_eax_edx

    public static int eax_nef_IDIV_O16_reg0_eax_edx(int reg0,
                                                    int eax,
                                                    int edx)
                                             throws ProcessorException

  Parameters:
    `reg0` -
    `eax` -
    `edx` -
  Returns:
    -
  Throws:
    `ProcessorException`

### edx_nef_IDIV_O16_reg0_eax_edx

    public static int edx_nef_IDIV_O16_reg0_eax_edx(int reg0,
                                                    int eax,
                                                    int edx)

  Parameters:
    `reg0` -
    `eax` -
    `edx` -
  Returns:
    -

### eax_nef_IDIV_O32_reg0_eax_edx

    public static int eax_nef_IDIV_O32_reg0_eax_edx(int reg0,
                                                    int eax,
                                                    int edx)
                                             throws ProcessorException

  Parameters:
    `reg0` -
    `eax` -
    `edx` -
  Returns:
    -
  Throws:
    `ProcessorException`

### edx_nef_IDIV_O32_reg0_eax_edx

    public static int edx_nef_IDIV_O32_reg0_eax_edx(int reg0,
                                                    int eax,
                                                    int edx)

  Parameters:
    `reg0` -
    `eax` -
    `edx` -
  Returns:
    -

### cflag_nef_MUL_O8_reg0_eax

    public static boolean cflag_nef_MUL_O8_reg0_eax(int reg0,
                                                    int eax)

  Parameters:
    `reg0` -
    `eax` -
  Returns:
    -

### oflag_nef_MUL_O8_reg0_eax

    public static boolean oflag_nef_MUL_O8_reg0_eax(int reg0,
                                                    int eax)

  Parameters:
    `reg0` -
    `eax` -
  Returns:
    -

### eax_nef_MUL_O8_reg0_eax

    public static int eax_nef_MUL_O8_reg0_eax(int reg0,
                                              int eax)

  Parameters:
    `reg0` -
    `eax` -
  Returns:
    -

### cflag_nef_MUL_O16_reg0_eax

    public static boolean cflag_nef_MUL_O16_reg0_eax(int reg0,
                                                     int eax)

  Parameters:
    `reg0` -
    `eax` -
  Returns:
    -

### oflag_nef_MUL_O16_reg0_eax

    public static boolean oflag_nef_MUL_O16_reg0_eax(int reg0,
                                                     int eax)

  Parameters:
    `reg0` -
    `eax` -
  Returns:
    -

### eax_nef_MUL_O16_reg0_eax

    public static int eax_nef_MUL_O16_reg0_eax(int reg0,
                                               int eax)

  Parameters:
    `reg0` -
    `eax` -
  Returns:
    -

### edx_nef_MUL_O16_edx_reg0_eax

    public static int edx_nef_MUL_O16_edx_reg0_eax(int edx,
                                                   int reg0,
                                                   int eax)

  Parameters:
    `edx` -
    `reg0` -
    `eax` -
  Returns:
    -

### eax_nef_MUL_O32_reg0_eax

    public static int eax_nef_MUL_O32_reg0_eax(int reg0,
                                               int eax)

  Parameters:
    `reg0` -
    `eax` -
  Returns:
    -

### edx_nef_MUL_O32_reg0_eax

    public static int edx_nef_MUL_O32_reg0_eax(int reg0,
                                               int eax)

  Parameters:
    `reg0` -
    `eax` -
  Returns:
    -

### oflag_nef_MUL_O32_reg0_eax

    public static boolean oflag_nef_MUL_O32_reg0_eax(int reg0,
                                                     int eax)

  Parameters:
    `reg0` -
    `eax` -
  Returns:
    -

### cflag_nef_MUL_O32_reg0_eax

    public static boolean cflag_nef_MUL_O32_reg0_eax(int reg0,
                                                     int eax)

  Parameters:
    `reg0` -
    `eax` -
  Returns:
    -

### eax_nef_IMULA_O8_reg0_eax

    public static int eax_nef_IMULA_O8_reg0_eax(int reg0,
                                                int eax)

  Parameters:
    `reg0` -
    `eax` -
  Returns:
    -

### cflag_nef_IMULA_O8_reg0_eax

    public static boolean cflag_nef_IMULA_O8_reg0_eax(int reg0,
                                                      int eax)

  Parameters:
    `reg0` -
    `eax` -
  Returns:
    -

### oflag_nef_IMULA_O8_reg0_eax

    public static boolean oflag_nef_IMULA_O8_reg0_eax(int reg0,
                                                      int eax)

  Parameters:
    `reg0` -
    `eax` -
  Returns:
    -

### eax_nef_IMULA_O16_reg0_eax

    public static int eax_nef_IMULA_O16_reg0_eax(int reg0,
                                                 int eax)

  Parameters:
    `reg0` -
    `eax` -
  Returns:
    -

### edx_nef_IMULA_O16_edx_reg0_eax

    public static int edx_nef_IMULA_O16_edx_reg0_eax(int edx,
                                                     int reg0,
                                                     int eax)

  Parameters:
    `edx` -
    `reg0` -
    `eax` -
  Returns:
    -

### cflag_nef_IMULA_O16_reg0_eax

    public static boolean cflag_nef_IMULA_O16_reg0_eax(int reg0,
                                                       int eax)

  Parameters:
    `reg0` -
    `eax` -
  Returns:
    -

### oflag_nef_IMULA_O16_reg0_eax

    public static boolean oflag_nef_IMULA_O16_reg0_eax(int reg0,
                                                       int eax)

  Parameters:
    `reg0` -
    `eax` -
  Returns:
    -

### eax_nef_IMULA_O32_reg0_eax

    public static int eax_nef_IMULA_O32_reg0_eax(int reg0,
                                                 int eax)

  Parameters:
    `reg0` -
    `eax` -
  Returns:
    -

### edx_nef_IMULA_O32_edx_reg0_eax

    public static int edx_nef_IMULA_O32_edx_reg0_eax(int edx,
                                                     int reg0,
                                                     int eax)

  Parameters:
    `edx` -
    `reg0` -
    `eax` -
  Returns:
    -

### cflag_nef_IMULA_O32_reg0_eax

    public static boolean cflag_nef_IMULA_O32_reg0_eax(int reg0,
                                                       int eax)

  Parameters:
    `reg0` -
    `eax` -
  Returns:
    -

### oflag_nef_IMULA_O32_reg0_eax

    public static boolean oflag_nef_IMULA_O32_reg0_eax(int reg0,
                                                       int eax)

  Parameters:
    `reg0` -
    `eax` -
  Returns:
    -

### cflag_nef_IMUL_O16_reg0_reg1

    public static boolean cflag_nef_IMUL_O16_reg0_reg1(int reg0,
                                                       int reg1)

  Parameters:
    `reg0` -
    `reg1` -
  Returns:
    -

### oflag_nef_IMUL_O16_reg0_reg1

    public static boolean oflag_nef_IMUL_O16_reg0_reg1(int reg0,
                                                       int reg1)

  Parameters:
    `reg0` -
    `reg1` -
  Returns:
    -

### reg0_nef_IMUL_O16_reg0_reg1

    public static int reg0_nef_IMUL_O16_reg0_reg1(int reg0,
                                                  int reg1)

  Parameters:
    `reg0` -
    `reg1` -
  Returns:
    -

### cflag_nef_IMUL_O32_reg0_reg1

    public static boolean cflag_nef_IMUL_O32_reg0_reg1(int reg0,
                                                       int reg1)

  Parameters:
    `reg0` -
    `reg1` -
  Returns:
    -

### oflag_nef_IMUL_O32_reg0_reg1

    public static boolean oflag_nef_IMUL_O32_reg0_reg1(int reg0,
                                                       int reg1)

  Parameters:
    `reg0` -
    `reg1` -
  Returns:
    -

### reg0_nef_IMUL_O32_reg0_reg1

    public static int reg0_nef_IMUL_O32_reg0_reg1(int reg0,
                                                  int reg1)

  Parameters:
    `reg0` -
    `reg1` -
  Returns:
    -

### eax_nef_LAHF_eax_cflag_pflag_aflag_zflag_sflag

    public static int eax_nef_LAHF_eax_cflag_pflag_aflag_zflag_sflag(int eax,
                                                                     boolean cflag,
                                                                     boolean pflag,
                                                                     boolean aflag,
                                                                     boolean zflag,
                                                                     boolean sflag)

  Parameters:
    `eax` -
    `cflag` -
    `pflag` -
    `aflag` -
    `zflag` -
    `sflag` -
  Returns:
    -

### eax_hef_LODSB_A16_eax_seg0_esi

    public static int eax_hef_LODSB_A16_eax_seg0_esi(int eax,
                                                     Segment seg0,
                                                     int esi)

  Parameters:
    `eax` -
    `seg0` -
    `esi` -
  Returns:
    -

### esi_nef_LODSB_A16_esi_dflag

    public static int esi_nef_LODSB_A16_esi_dflag(int esi,
                                                  boolean dflag)

  Parameters:
    `esi` -
    `dflag` -
  Returns:
    -

### eax_hef_LODSB_A32_eax_seg0_esi

    public static int eax_hef_LODSB_A32_eax_seg0_esi(int eax,
                                                     Segment seg0,
                                                     int esi)

  Parameters:
    `eax` -
    `seg0` -
    `esi` -
  Returns:
    -

### esi_nef_LODSB_A32_esi_dflag

    public static int esi_nef_LODSB_A32_esi_dflag(int esi,
                                                  boolean dflag)

  Parameters:
    `esi` -
    `dflag` -
  Returns:
    -

### eax_hef_LODSW_A16_eax_seg0_esi

    public static int eax_hef_LODSW_A16_eax_seg0_esi(int eax,
                                                     Segment seg0,
                                                     int esi)

  Parameters:
    `eax` -
    `seg0` -
    `esi` -
  Returns:
    -

### esi_nef_LODSW_A16_esi_dflag

    public static int esi_nef_LODSW_A16_esi_dflag(int esi,
                                                  boolean dflag)

  Parameters:
    `esi` -
    `dflag` -
  Returns:
    -

### eax_hef_LODSW_A32_eax_seg0_esi

    public static int eax_hef_LODSW_A32_eax_seg0_esi(int eax,
                                                     Segment seg0,
                                                     int esi)

  Parameters:
    `eax` -
    `seg0` -
    `esi` -
  Returns:
    -

### esi_nef_LODSW_A32_esi_dflag

    public static int esi_nef_LODSW_A32_esi_dflag(int esi,
                                                  boolean dflag)

  Parameters:
    `esi` -
    `dflag` -
  Returns:
    -

### eax_hef_LODSD_A16_seg0_esi

    public static int eax_hef_LODSD_A16_seg0_esi(Segment seg0,
                                                 int esi)

  Parameters:
    `seg0` -
    `esi` -
  Returns:
    -

### esi_nef_LODSD_A16_esi_dflag

    public static int esi_nef_LODSD_A16_esi_dflag(int esi,
                                                  boolean dflag)

  Parameters:
    `esi` -
    `dflag` -
  Returns:
    -

### eax_hef_LODSD_A32_seg0_esi

    public static int eax_hef_LODSD_A32_seg0_esi(Segment seg0,
                                                 int esi)

  Parameters:
    `seg0` -
    `esi` -
  Returns:
    -

### esi_nef_LODSD_A32_esi_dflag

    public static int esi_nef_LODSD_A32_esi_dflag(int esi,
                                                  boolean dflag)

  Parameters:
    `esi` -
    `dflag` -
  Returns:
    -

### edi_nef_MOVSB_A16_dflag_edi

    public static int edi_nef_MOVSB_A16_dflag_edi(boolean dflag,
                                                  int edi)

  Parameters:
    `dflag` -
    `edi` -
  Returns:
    -

### esi_nef_MOVSB_A16_dflag_esi

    public static int esi_nef_MOVSB_A16_dflag_esi(boolean dflag,
                                                  int esi)

  Parameters:
    `dflag` -
    `esi` -
  Returns:
    -

### memorywrite_hef_MOVSB_A16_es_edi_seg0_esi

    public static void memorywrite_hef_MOVSB_A16_es_edi_seg0_esi(Segment es,
                                                                 int edi,
                                                                 Segment seg0,
                                                                 int esi)

  Parameters:
    `es` -
    `edi` -
    `seg0` -
    `esi` -

### edi_nef_MOVSB_A32_dflag_edi

    public static int edi_nef_MOVSB_A32_dflag_edi(boolean dflag,
                                                  int edi)

  Parameters:
    `dflag` -
    `edi` -
  Returns:
    -

### esi_nef_MOVSB_A32_dflag_esi

    public static int esi_nef_MOVSB_A32_dflag_esi(boolean dflag,
                                                  int esi)

  Parameters:
    `dflag` -
    `esi` -
  Returns:
    -

### memorywrite_hef_MOVSB_A32_es_edi_seg0_esi

    public static void memorywrite_hef_MOVSB_A32_es_edi_seg0_esi(Segment es,
                                                                 int edi,
                                                                 Segment seg0,
                                                                 int esi)

  Parameters:
    `es` -
    `edi` -
    `seg0` -
    `esi` -

### edi_nef_MOVSW_A16_dflag_edi

    public static int edi_nef_MOVSW_A16_dflag_edi(boolean dflag,
                                                  int edi)

  Parameters:
    `dflag` -
    `edi` -
  Returns:
    -

### esi_nef_MOVSW_A16_dflag_esi

    public static int esi_nef_MOVSW_A16_dflag_esi(boolean dflag,
                                                  int esi)

  Parameters:
    `dflag` -
    `esi` -
  Returns:
    -

### memorywrite_hef_MOVSW_A16_es_edi_seg0_esi

    public static void memorywrite_hef_MOVSW_A16_es_edi_seg0_esi(Segment es,
                                                                 int edi,
                                                                 Segment seg0,
                                                                 int esi)

  Parameters:
    `es` -
    `edi` -
    `seg0` -
    `esi` -

### edi_nef_MOVSW_A32_dflag_edi

    public static int edi_nef_MOVSW_A32_dflag_edi(boolean dflag,
                                                  int edi)

  Parameters:
    `dflag` -
    `edi` -
  Returns:
    -

### esi_nef_MOVSW_A32_dflag_esi

    public static int esi_nef_MOVSW_A32_dflag_esi(boolean dflag,
                                                  int esi)

  Parameters:
    `dflag` -
    `esi` -
  Returns:
    -

### memorywrite_hef_MOVSW_A32_es_edi_seg0_esi

    public static void memorywrite_hef_MOVSW_A32_es_edi_seg0_esi(Segment es,
                                                                 int edi,
                                                                 Segment seg0,
                                                                 int esi)

  Parameters:
    `es` -
    `edi` -
    `seg0` -
    `esi` -

### edi_nef_MOVSD_A16_dflag_edi

    public static int edi_nef_MOVSD_A16_dflag_edi(boolean dflag,
                                                  int edi)

  Parameters:
    `dflag` -
    `edi` -
  Returns:
    -

### esi_nef_MOVSD_A16_dflag_esi

    public static int esi_nef_MOVSD_A16_dflag_esi(boolean dflag,
                                                  int esi)

  Parameters:
    `dflag` -
    `esi` -
  Returns:
    -

### memorywrite_hef_MOVSD_A16_es_edi_seg0_esi

    public static void memorywrite_hef_MOVSD_A16_es_edi_seg0_esi(Segment es,
                                                                 int edi,
                                                                 Segment seg0,
                                                                 int esi)

  Parameters:
    `es` -
    `edi` -
    `seg0` -
    `esi` -

### edi_nef_MOVSD_A32_dflag_edi

    public static int edi_nef_MOVSD_A32_dflag_edi(boolean dflag,
                                                  int edi)

  Parameters:
    `dflag` -
    `edi` -
  Returns:
    -

### esi_nef_MOVSD_A32_dflag_esi

    public static int esi_nef_MOVSD_A32_dflag_esi(boolean dflag,
                                                  int esi)

  Parameters:
    `dflag` -
    `esi` -
  Returns:
    -

### memorywrite_hef_MOVSD_A32_es_edi_seg0_esi

    public static void memorywrite_hef_MOVSD_A32_es_edi_seg0_esi(Segment es,
                                                                 int edi,
                                                                 Segment seg0,
                                                                 int esi)

  Parameters:
    `es` -
    `edi` -
    `seg0` -
    `esi` -

### reg0_hef_IN_O8_cpl_iopl_tss_reg0_ioports

    public static int reg0_hef_IN_O8_cpl_iopl_tss_reg0_ioports(int cpl,
                                                               int iopl,
                                                               Segment tss,
                                                               int reg0,
                                                               IOPortHandler ioports)
                                                        throws ModuleException

  Parameters:
    `cpl` -
    `iopl` -
    `tss` -
    `reg0` -
    `ioports` -
  Returns:
    -
  Throws:
    `ModuleException`

### reg0_hef_IN_O16_cpl_iopl_tss_reg0_ioports

    public static int reg0_hef_IN_O16_cpl_iopl_tss_reg0_ioports(int cpl,
                                                                int iopl,
                                                                Segment tss,
                                                                int reg0,
                                                                IOPortHandler ioports)
                                                         throws ModuleException

  Parameters:
    `cpl` -
    `iopl` -
    `tss` -
    `reg0` -
    `ioports` -
  Returns:
    -
  Throws:
    `ModuleException`

### reg0_hef_IN_O32_cpl_iopl_tss_reg0_ioports

    public static int reg0_hef_IN_O32_cpl_iopl_tss_reg0_ioports(int cpl,
                                                                int iopl,
                                                                Segment tss,
                                                                int reg0,
                                                                IOPortHandler ioports)
                                                         throws ModuleException

  Parameters:
    `cpl` -
    `iopl` -
    `tss` -
    `reg0` -
    `ioports` -
  Returns:
    -
  Throws:
    `ModuleException`

### ioportwrite_hef_OUT_O8_cpl_iopl_tss_reg0_reg1_ioports

    public static void ioportwrite_hef_OUT_O8_cpl_iopl_tss_reg0_reg1_ioports(int cpl,
                                                                             int iopl,
                                                                             Segment tss,
                                                                             int reg0,
                                                                             int reg1,
                                                                             IOPortHandler ioports)
                                                                      throws ModuleException

  Parameters:
    `cpl` -
    `iopl` -
    `tss` -
    `reg0` -
    `reg1` -
    `ioports` -
  Throws:
    `ModuleException`

### ioportwrite_hef_OUT_O16_cpl_iopl_tss_reg0_reg1_ioports

    public static void ioportwrite_hef_OUT_O16_cpl_iopl_tss_reg0_reg1_ioports(int cpl,
                                                                              int iopl,
                                                                              Segment tss,
                                                                              int reg0,
                                                                              int reg1,
                                                                              IOPortHandler ioports)
                                                                       throws ModuleException

  Parameters:
    `cpl` -
    `iopl` -
    `tss` -
    `reg0` -
    `reg1` -
    `ioports` -
  Throws:
    `ModuleException`

### ioportwrite_hef_OUT_O32_cpl_iopl_tss_reg0_reg1_ioports

    public static void ioportwrite_hef_OUT_O32_cpl_iopl_tss_reg0_reg1_ioports(int cpl,
                                                                              int iopl,
                                                                              Segment tss,
                                                                              int reg0,
                                                                              int reg1,
                                                                              IOPortHandler ioports)
                                                                       throws ModuleException

  Parameters:
    `cpl` -
    `iopl` -
    `tss` -
    `reg0` -
    `reg1` -
    `ioports` -
  Throws:
    `ModuleException`

### cflag_hef_BT_MEM_reg1_seg0_addr0

    public static int cflag_hef_BT_MEM_reg1_seg0_addr0(int reg1,
                                                       Segment seg0,
                                                       int addr0)

  Parameters:
    `reg1` -
    `seg0` -
    `addr0` -
  Returns:
    -

### cflag_hef_BTS_MEM_reg1_seg0_addr0

    public static int cflag_hef_BTS_MEM_reg1_seg0_addr0(int reg1,
                                                        Segment seg0,
                                                        int addr0)

  Parameters:
    `reg1` -
    `seg0` -
    `addr0` -
  Returns:
    -

### cflag_hef_BTR_MEM_reg1_seg0_addr0

    public static int cflag_hef_BTR_MEM_reg1_seg0_addr0(int reg1,
                                                        Segment seg0,
                                                        int addr0)

  Parameters:
    `reg1` -
    `seg0` -
    `addr0` -
  Returns:
    -

### cflag_hef_BTC_MEM_reg1_seg0_addr0

    public static int cflag_hef_BTC_MEM_reg1_seg0_addr0(int reg1,
                                                        Segment seg0,
                                                        int addr0)

  Parameters:
    `reg1` -
    `seg0` -
    `addr0` -
  Returns:
    -

### esp_nef_PUSH_O16_A32_ss_esp

    public static int esp_nef_PUSH_O16_A32_ss_esp(Segment ss,
                                                  int esp)

  Parameters:
    `ss` -
    `esp` -
  Returns:
    -

### memorywrite_hef_PUSH_O16_A32_ss_reg0_esp

    public static void memorywrite_hef_PUSH_O16_A32_ss_reg0_esp(Segment ss,
                                                                int reg0,
                                                                int esp)

  Parameters:
    `ss` -
    `reg0` -
    `esp` -

### esp_nef_PUSH_O32_A32_ss_esp

    public static int esp_nef_PUSH_O32_A32_ss_esp(Segment ss,
                                                  int esp)

  Parameters:
    `ss` -
    `esp` -
  Returns:
    -

### memorywrite_hef_PUSH_O32_A32_ss_reg0_esp

    public static void memorywrite_hef_PUSH_O32_A32_ss_reg0_esp(Segment ss,
                                                                int reg0,
                                                                int esp)

  Parameters:
    `ss` -
    `reg0` -
    `esp` -

### reg0_hef_POP_O32_A32_ss_esp

    public static int reg0_hef_POP_O32_A32_ss_esp(Segment ss,
                                                  int esp)

  Parameters:
    `ss` -
    `esp` -
  Returns:
    -

### reg1_nef_POP_O32_A32_ss_esp

    public static int reg1_nef_POP_O32_A32_ss_esp(Segment ss,
                                                  int esp)

  Parameters:
    `ss` -
    `esp` -
  Returns:
    -

### esp_nef_PUSHF_O32_A32_ss_esp

    public static int esp_nef_PUSHF_O32_A32_ss_esp(Segment ss,
                                                   int esp)

  Parameters:
    `ss` -
    `esp` -
  Returns:
    -

### memorywrite_hef_PUSHF_O32_A32_ss_reg0_esp

    public static void memorywrite_hef_PUSHF_O32_A32_ss_reg0_esp(Segment ss,
                                                                 int reg0,
                                                                 int esp)

  Parameters:
    `ss` -
    `reg0` -
    `esp` -

### reg0_hef_POPF_O32_A32_ss_esp_cpl_iopl_vmflag_iflag

    public static int reg0_hef_POPF_O32_A32_ss_esp_cpl_iopl_vmflag_iflag(Segment ss,
                                                                         int esp,
                                                                         int cpl,
                                                                         int iopl,
                                                                         boolean vmflag,
                                                                         boolean iflag)

  Parameters:
    `ss` -
    `esp` -
    `cpl` -
    `iopl` -
    `vmflag` -
    `iflag` -
  Returns:
    -

### esp_nef_POPF_O32_A32_ss_esp

    public static int esp_nef_POPF_O32_A32_ss_esp(Segment ss,
                                                  int esp)

  Parameters:
    `ss` -
    `esp` -
  Returns:
    -

### esp_nef_PUSHAD_A32_ss_esp

    public static int esp_nef_PUSHAD_A32_ss_esp(Segment ss,
                                                int esp)

  Parameters:
    `ss` -
    `esp` -
  Returns:
    -

### memorywrite_hef_PUSHAD_A32_edi_esi_ebp_ebx_edx_ecx_eax_ss_esp

    public static void memorywrite_hef_PUSHAD_A32_edi_esi_ebp_ebx_edx_ecx_eax_ss_esp(int edi,
                                                                                     int esi,
                                                                                     int ebp,
                                                                                     int ebx,
                                                                                     int edx,
                                                                                     int ecx,
                                                                                     int eax,
                                                                                     Segment ss,
                                                                                     int esp)

  Parameters:
    `edi` -
    `esi` -
    `ebp` -
    `ebx` -
    `edx` -
    `ecx` -
    `eax` -
    `ss` -
    `esp` -

### eax_hef_POPAD_A32_eax_ss_esp

    public static int eax_hef_POPAD_A32_eax_ss_esp(int eax,
                                                   Segment ss,
                                                   int esp)

  Parameters:
    `eax` -
    `ss` -
    `esp` -
  Returns:
    -

### ebp_hef_POPAD_A32_ebp_ss_esp

    public static int ebp_hef_POPAD_A32_ebp_ss_esp(int ebp,
                                                   Segment ss,
                                                   int esp)

  Parameters:
    `ebp` -
    `ss` -
    `esp` -
  Returns:
    -

### ebx_hef_POPAD_A32_ebx_ss_esp

    public static int ebx_hef_POPAD_A32_ebx_ss_esp(int ebx,
                                                   Segment ss,
                                                   int esp)

  Parameters:
    `ebx` -
    `ss` -
    `esp` -
  Returns:
    -

### ecx_hef_POPAD_A32_ecx_ss_esp

    public static int ecx_hef_POPAD_A32_ecx_ss_esp(int ecx,
                                                   Segment ss,
                                                   int esp)

  Parameters:
    `ecx` -
    `ss` -
    `esp` -
  Returns:
    -

### edi_hef_POPAD_A32_edi_ss_esp

    public static int edi_hef_POPAD_A32_edi_ss_esp(int edi,
                                                   Segment ss,
                                                   int esp)

  Parameters:
    `edi` -
    `ss` -
    `esp` -
  Returns:
    -

### edx_hef_POPAD_A32_edx_ss_esp

    public static int edx_hef_POPAD_A32_edx_ss_esp(int edx,
                                                   Segment ss,
                                                   int esp)

  Parameters:
    `edx` -
    `ss` -
    `esp` -
  Returns:
    -

### esi_hef_POPAD_A32_esi_ss_esp

    public static int esi_hef_POPAD_A32_esi_ss_esp(int esi,
                                                   Segment ss,
                                                   int esp)

  Parameters:
    `esi` -
    `ss` -
    `esp` -
  Returns:
    -

### esp_nef_POPAD_A32_ss_esp

    public static int esp_nef_POPAD_A32_ss_esp(Segment ss,
                                               int esp)

  Parameters:
    `ss` -
    `esp` -
  Returns:
    -

### reg0_nef_SETO_oflag

    public static boolean reg0_nef_SETO_oflag(boolean oflag)

  Parameters:
    `oflag` -
  Returns:
    -

### reg0_nef_SETNO_oflag

    public static boolean reg0_nef_SETNO_oflag(boolean oflag)

  Parameters:
    `oflag` -
  Returns:
    -

### reg0_nef_SETC_cflag

    public static boolean reg0_nef_SETC_cflag(boolean cflag)

  Parameters:
    `cflag` -
  Returns:
    -

### reg0_nef_SETNC_cflag

    public static boolean reg0_nef_SETNC_cflag(boolean cflag)

  Parameters:
    `cflag` -
  Returns:
    -

### reg0_nef_SETZ_zflag

    public static boolean reg0_nef_SETZ_zflag(boolean zflag)

  Parameters:
    `zflag` -
  Returns:
    -

### reg0_nef_SETNZ_zflag

    public static boolean reg0_nef_SETNZ_zflag(boolean zflag)

  Parameters:
    `zflag` -
  Returns:
    -

### reg0_nef_SETNA_cflag_zflag

    public static boolean reg0_nef_SETNA_cflag_zflag(boolean cflag,
                                                     boolean zflag)

  Parameters:
    `cflag` -
    `zflag` -
  Returns:
    -

### reg0_nef_SETA_cflag_zflag

    public static boolean reg0_nef_SETA_cflag_zflag(boolean cflag,
                                                    boolean zflag)

  Parameters:
    `cflag` -
    `zflag` -
  Returns:
    -

### reg0_nef_SETS_sflag

    public static boolean reg0_nef_SETS_sflag(boolean sflag)

  Parameters:
    `sflag` -
  Returns:
    -

### reg0_nef_SETNS_sflag

    public static boolean reg0_nef_SETNS_sflag(boolean sflag)

  Parameters:
    `sflag` -
  Returns:
    -

### reg0_nef_SETP_pflag

    public static boolean reg0_nef_SETP_pflag(boolean pflag)

  Parameters:
    `pflag` -
  Returns:
    -

### reg0_nef_SETNP_pflag

    public static boolean reg0_nef_SETNP_pflag(boolean pflag)

  Parameters:
    `pflag` -
  Returns:
    -

### reg0_nef_SETL_sflag_oflag

    public static boolean reg0_nef_SETL_sflag_oflag(boolean sflag,
                                                    boolean oflag)

  Parameters:
    `sflag` -
    `oflag` -
  Returns:
    -

### reg0_nef_SETNL_sflag_oflag

    public static boolean reg0_nef_SETNL_sflag_oflag(boolean sflag,
                                                     boolean oflag)

  Parameters:
    `sflag` -
    `oflag` -
  Returns:
    -

### reg0_nef_SETNG_zflag_sflag_oflag

    public static boolean reg0_nef_SETNG_zflag_sflag_oflag(boolean zflag,
                                                           boolean sflag,
                                                           boolean oflag)

  Parameters:
    `zflag` -
    `sflag` -
    `oflag` -
  Returns:
    -

### reg0_nef_SETG_zflag_sflag_oflag

    public static boolean reg0_nef_SETG_zflag_sflag_oflag(boolean zflag,
                                                          boolean sflag,
                                                          boolean oflag)

  Parameters:
    `zflag` -
    `sflag` -
    `oflag` -
  Returns:
    -

### reg0_nef_CMOVO_reg0_reg1_oflag

    public static int reg0_nef_CMOVO_reg0_reg1_oflag(int reg0,
                                                     int reg1,
                                                     boolean oflag)

  Parameters:
    `reg0` -
    `reg1` -
    `oflag` -
  Returns:
    -

### reg0_nef_CMOVNO_reg0_reg1_oflag

    public static int reg0_nef_CMOVNO_reg0_reg1_oflag(int reg0,
                                                      int reg1,
                                                      boolean oflag)

  Parameters:
    `reg0` -
    `reg1` -
    `oflag` -
  Returns:
    -

### reg0_nef_CMOVC_reg0_reg1_cflag

    public static int reg0_nef_CMOVC_reg0_reg1_cflag(int reg0,
                                                     int reg1,
                                                     boolean cflag)

  Parameters:
    `reg0` -
    `reg1` -
    `cflag` -
  Returns:
    -

### reg0_nef_CMOVNC_reg0_reg1_cflag

    public static int reg0_nef_CMOVNC_reg0_reg1_cflag(int reg0,
                                                      int reg1,
                                                      boolean cflag)

  Parameters:
    `reg0` -
    `reg1` -
    `cflag` -
  Returns:
    -

### reg0_nef_CMOVZ_reg0_reg1_zflag

    public static int reg0_nef_CMOVZ_reg0_reg1_zflag(int reg0,
                                                     int reg1,
                                                     boolean zflag)

  Parameters:
    `reg0` -
    `reg1` -
    `zflag` -
  Returns:
    -

### reg0_nef_CMOVNZ_reg0_reg1_zflag

    public static int reg0_nef_CMOVNZ_reg0_reg1_zflag(int reg0,
                                                      int reg1,
                                                      boolean zflag)

  Parameters:
    `reg0` -
    `reg1` -
    `zflag` -
  Returns:
    -

### reg0_nef_CMOVNA_reg0_reg1_cflag_zflag

    public static int reg0_nef_CMOVNA_reg0_reg1_cflag_zflag(int reg0,
                                                            int reg1,
                                                            boolean cflag,
                                                            boolean zflag)

  Parameters:
    `reg0` -
    `reg1` -
    `cflag` -
    `zflag` -
  Returns:
    -

### reg0_nef_CMOVA_reg0_reg1_cflag_zflag

    public static int reg0_nef_CMOVA_reg0_reg1_cflag_zflag(int reg0,
                                                           int reg1,
                                                           boolean cflag,
                                                           boolean zflag)

  Parameters:
    `reg0` -
    `reg1` -
    `cflag` -
    `zflag` -
  Returns:
    -

### reg0_nef_CMOVS_reg0_reg1_sflag

    public static int reg0_nef_CMOVS_reg0_reg1_sflag(int reg0,
                                                     int reg1,
                                                     boolean sflag)

  Parameters:
    `reg0` -
    `reg1` -
    `sflag` -
  Returns:
    -

### reg0_nef_CMOVNS_reg0_reg1_sflag

    public static int reg0_nef_CMOVNS_reg0_reg1_sflag(int reg0,
                                                      int reg1,
                                                      boolean sflag)

  Parameters:
    `reg0` -
    `reg1` -
    `sflag` -
  Returns:
    -

### reg0_nef_CMOVP_reg0_reg1_pflag

    public static int reg0_nef_CMOVP_reg0_reg1_pflag(int reg0,
                                                     int reg1,
                                                     boolean pflag)

  Parameters:
    `reg0` -
    `reg1` -
    `pflag` -
  Returns:
    -

### reg0_nef_CMOVNP_reg0_reg1_pflag

    public static int reg0_nef_CMOVNP_reg0_reg1_pflag(int reg0,
                                                      int reg1,
                                                      boolean pflag)

  Parameters:
    `reg0` -
    `reg1` -
    `pflag` -
  Returns:
    -

### reg0_nef_CMOVL_reg0_reg1_sflag_oflag

    public static int reg0_nef_CMOVL_reg0_reg1_sflag_oflag(int reg0,
                                                           int reg1,
                                                           boolean sflag,
                                                           boolean oflag)

  Parameters:
    `reg0` -
    `reg1` -
    `sflag` -
    `oflag` -
  Returns:
    -

### reg0_nef_CMOVNL_reg0_reg1_sflag_oflag

    public static int reg0_nef_CMOVNL_reg0_reg1_sflag_oflag(int reg0,
                                                            int reg1,
                                                            boolean sflag,
                                                            boolean oflag)

  Parameters:
    `reg0` -
    `reg1` -
    `sflag` -
    `oflag` -
  Returns:
    -

### reg0_nef_CMOVNG_reg0_reg1_zflag_sflag_oflag

    public static int reg0_nef_CMOVNG_reg0_reg1_zflag_sflag_oflag(int reg0,
                                                                  int reg1,
                                                                  boolean zflag,
                                                                  boolean sflag,
                                                                  boolean oflag)

  Parameters:
    `reg0` -
    `reg1` -
    `zflag` -
    `sflag` -
    `oflag` -
  Returns:
    -

### reg0_nef_CMOVG_reg0_reg1_zflag_sflag_oflag

    public static int reg0_nef_CMOVG_reg0_reg1_zflag_sflag_oflag(int reg0,
                                                                 int reg1,
                                                                 boolean zflag,
                                                                 boolean sflag,
                                                                 boolean oflag)

  Parameters:
    `reg0` -
    `reg1` -
    `zflag` -
    `sflag` -
    `oflag` -
  Returns:
    -

### reg0_nef_CMPXCHG_reg0_reg1_reg2

    public static int reg0_nef_CMPXCHG_reg0_reg1_reg2(int reg0,
                                                      int reg1,
                                                      int reg2)

  Parameters:
    `reg0` -
    `reg1` -
    `reg2` -
  Returns:
    -

### reg1_nef_CMPXCHG_reg0

    public static int reg1_nef_CMPXCHG_reg0(int reg0)

  Parameters:
    `reg0` -
  Returns:
    -

### aflag_nef_CMPXCHG_O8_FLAGS_reg1_reg2

    public static boolean aflag_nef_CMPXCHG_O8_FLAGS_reg1_reg2(int reg1,
                                                               int reg2)

  Parameters:
    `reg1` -
    `reg2` -
  Returns:
    -

### cflag_nef_CMPXCHG_O8_FLAGS_reg1_reg2

    public static boolean cflag_nef_CMPXCHG_O8_FLAGS_reg1_reg2(int reg1,
                                                               int reg2)

  Parameters:
    `reg1` -
    `reg2` -
  Returns:
    -

### oflag_nef_CMPXCHG_O8_FLAGS_reg1_reg2

    public static boolean oflag_nef_CMPXCHG_O8_FLAGS_reg1_reg2(int reg1,
                                                               int reg2)

  Parameters:
    `reg1` -
    `reg2` -
  Returns:
    -

### pflag_nef_CMPXCHG_O8_FLAGS_reg1_reg2

    public static boolean pflag_nef_CMPXCHG_O8_FLAGS_reg1_reg2(int reg1,
                                                               int reg2)

  Parameters:
    `reg1` -
    `reg2` -
  Returns:
    -

### sflag_nef_CMPXCHG_O8_FLAGS_reg1_reg2

    public static boolean sflag_nef_CMPXCHG_O8_FLAGS_reg1_reg2(int reg1,
                                                               int reg2)

  Parameters:
    `reg1` -
    `reg2` -
  Returns:
    -

### zflag_nef_CMPXCHG_O8_FLAGS_reg1_reg2

    public static boolean zflag_nef_CMPXCHG_O8_FLAGS_reg1_reg2(int reg1,
                                                               int reg2)

  Parameters:
    `reg1` -
    `reg2` -
  Returns:
    -

### aflag_nef_CMPXCHG_O16_FLAGS_reg1_reg2

    public static boolean aflag_nef_CMPXCHG_O16_FLAGS_reg1_reg2(int reg1,
                                                                int reg2)

  Parameters:
    `reg1` -
    `reg2` -
  Returns:
    -

### cflag_nef_CMPXCHG_O16_FLAGS_reg1_reg2

    public static boolean cflag_nef_CMPXCHG_O16_FLAGS_reg1_reg2(int reg1,
                                                                int reg2)

  Parameters:
    `reg1` -
    `reg2` -
  Returns:
    -

### oflag_nef_CMPXCHG_O16_FLAGS_reg1_reg2

    public static boolean oflag_nef_CMPXCHG_O16_FLAGS_reg1_reg2(int reg1,
                                                                int reg2)

  Parameters:
    `reg1` -
    `reg2` -
  Returns:
    -

### pflag_nef_CMPXCHG_O16_FLAGS_reg1_reg2

    public static boolean pflag_nef_CMPXCHG_O16_FLAGS_reg1_reg2(int reg1,
                                                                int reg2)

  Parameters:
    `reg1` -
    `reg2` -
  Returns:
    -

### sflag_nef_CMPXCHG_O16_FLAGS_reg1_reg2

    public static boolean sflag_nef_CMPXCHG_O16_FLAGS_reg1_reg2(int reg1,
                                                                int reg2)

  Parameters:
    `reg1` -
    `reg2` -
  Returns:
    -

### zflag_nef_CMPXCHG_O16_FLAGS_reg1_reg2

    public static boolean zflag_nef_CMPXCHG_O16_FLAGS_reg1_reg2(int reg1,
                                                                int reg2)

  Parameters:
    `reg1` -
    `reg2` -
  Returns:
    -

### aflag_nef_CMPXCHG_O32_FLAGS_reg1_reg2

    public static boolean aflag_nef_CMPXCHG_O32_FLAGS_reg1_reg2(int reg1,
                                                                int reg2)

  Parameters:
    `reg1` -
    `reg2` -
  Returns:
    -

### cflag_nef_CMPXCHG_O32_FLAGS_reg1_reg2

    public static boolean cflag_nef_CMPXCHG_O32_FLAGS_reg1_reg2(int reg1,
                                                                int reg2)

  Parameters:
    `reg1` -
    `reg2` -
  Returns:
    -

### oflag_nef_CMPXCHG_O32_FLAGS_reg1_reg2

    public static boolean oflag_nef_CMPXCHG_O32_FLAGS_reg1_reg2(int reg1,
                                                                int reg2)

  Parameters:
    `reg1` -
    `reg2` -
  Returns:
    -

### pflag_nef_CMPXCHG_O32_FLAGS_reg1_reg2

    public static boolean pflag_nef_CMPXCHG_O32_FLAGS_reg1_reg2(int reg1,
                                                                int reg2)

  Parameters:
    `reg1` -
    `reg2` -
  Returns:
    -

### sflag_nef_CMPXCHG_O32_FLAGS_reg1_reg2

    public static boolean sflag_nef_CMPXCHG_O32_FLAGS_reg1_reg2(int reg1,
                                                                int reg2)

  Parameters:
    `reg1` -
    `reg2` -
  Returns:
    -

### zflag_nef_CMPXCHG_O32_FLAGS_reg1_reg2

    public static boolean zflag_nef_CMPXCHG_O32_FLAGS_reg1_reg2(int reg1,
                                                                int reg2)

  Parameters:
    `reg1` -
    `reg2` -
  Returns:
    -

### edi_nef_STOSB_A16_edi_dflag

    public static int edi_nef_STOSB_A16_edi_dflag(int edi,
                                                  boolean dflag)

  Parameters:
    `edi` -
    `dflag` -
  Returns:
    -

### memorywrite_hef_STOSB_A16_es_reg0_edi

    public static void memorywrite_hef_STOSB_A16_es_reg0_edi(Segment es,
                                                             int reg0,
                                                             int edi)

  Parameters:
    `es` -
    `reg0` -
    `edi` -

### edi_nef_STOSB_A32_edi_dflag

    public static int edi_nef_STOSB_A32_edi_dflag(int edi,
                                                  boolean dflag)

  Parameters:
    `edi` -
    `dflag` -
  Returns:
    -

### memorywrite_hef_STOSB_A32_es_reg0_edi

    public static void memorywrite_hef_STOSB_A32_es_reg0_edi(Segment es,
                                                             int reg0,
                                                             int edi)

  Parameters:
    `es` -
    `reg0` -
    `edi` -

### edi_nef_STOSW_A16_edi_dflag

    public static int edi_nef_STOSW_A16_edi_dflag(int edi,
                                                  boolean dflag)

  Parameters:
    `edi` -
    `dflag` -
  Returns:
    -

### memorywrite_hef_STOSW_A16_es_reg0_edi

    public static void memorywrite_hef_STOSW_A16_es_reg0_edi(Segment es,
                                                             int reg0,
                                                             int edi)

  Parameters:
    `es` -
    `reg0` -
    `edi` -

### edi_nef_STOSW_A32_edi_dflag

    public static int edi_nef_STOSW_A32_edi_dflag(int edi,
                                                  boolean dflag)

  Parameters:
    `edi` -
    `dflag` -
  Returns:
    -

### memorywrite_hef_STOSW_A32_es_reg0_edi

    public static void memorywrite_hef_STOSW_A32_es_reg0_edi(Segment es,
                                                             int reg0,
                                                             int edi)

  Parameters:
    `es` -
    `reg0` -
    `edi` -

### edi_nef_STOSD_A16_edi_dflag

    public static int edi_nef_STOSD_A16_edi_dflag(int edi,
                                                  boolean dflag)

  Parameters:
    `edi` -
    `dflag` -
  Returns:
    -

### memorywrite_hef_STOSD_A16_es_reg0_edi

    public static void memorywrite_hef_STOSD_A16_es_reg0_edi(Segment es,
                                                             int reg0,
                                                             int edi)

  Parameters:
    `es` -
    `reg0` -
    `edi` -

### edi_nef_STOSD_A32_edi_dflag

    public static int edi_nef_STOSD_A32_edi_dflag(int edi,
                                                  boolean dflag)

  Parameters:
    `edi` -
    `dflag` -
  Returns:
    -

### memorywrite_hef_STOSD_A32_es_reg0_edi

    public static void memorywrite_hef_STOSD_A32_es_reg0_edi(Segment es,
                                                             int reg0,
                                                             int edi)

  Parameters:
    `es` -
    `reg0` -
    `edi` -

### cflag_nef_CLC

    public static boolean cflag_nef_CLC()

  Returns:
    -

### dflag_nef_CLD

    public static boolean dflag_nef_CLD()

  Returns:
    -

### iflag_nef_CLI

    public static boolean iflag_nef_CLI()

  Returns:
    -

### cflag_nef_STC

    public static boolean cflag_nef_STC()

  Returns:
    -

### dflag_nef_STD

    public static boolean dflag_nef_STD()

  Returns:
    -

### iflag_nef_STI

    public static boolean iflag_nef_STI()

  Returns:
    -

### cflag_nef_CMC_cflag

    public static boolean cflag_nef_CMC_cflag(boolean cflag)

  Parameters:
    `cflag` -
  Returns:
    -

### eip_nef_CALL_O32_A32_cs_eip_reg0

    public static int eip_nef_CALL_O32_A32_cs_eip_reg0(Segment cs,
                                                       int eip,
                                                       int reg0)
                                                throws ProcessorException

  Parameters:
    `cs` -
    `eip` -
    `reg0` -
  Returns:
    -
  Throws:
    `ProcessorException`

### esp_nef_CALL_O32_A32_ss_esp

    public static int esp_nef_CALL_O32_A32_ss_esp(Segment ss,
                                                  int esp)

  Parameters:
    `ss` -
    `esp` -
  Returns:
    -

### memorywrite_hef_CALL_O32_A32_ss_esp_eip

    public static void memorywrite_hef_CALL_O32_A32_ss_esp_eip(Segment ss,
                                                               int esp,
                                                               int eip)

  Parameters:
    `ss` -
    `esp` -
    `eip` -

### eip_nef_CALL_ABS_O32_A32_cs_reg0

    public static int eip_nef_CALL_ABS_O32_A32_cs_reg0(Segment cs,
                                                       int reg0)
                                                throws ProcessorException

  Parameters:
    `cs` -
    `reg0` -
  Returns:
    -
  Throws:
    `ProcessorException`

### esp_nef_CALL_ABS_O32_A32_ss_esp

    public static int esp_nef_CALL_ABS_O32_A32_ss_esp(Segment ss,
                                                      int esp)

  Parameters:
    `ss` -
    `esp` -
  Returns:
    -

### memorywrite_hef_CALL_ABS_O32_A32_ss_esp_eip

    public static void memorywrite_hef_CALL_ABS_O32_A32_ss_esp_eip(Segment ss,
                                                                   int esp,
                                                                   int eip)

  Parameters:
    `ss` -
    `esp` -
    `eip` -

### eip_hef_RET_O32_A32_ss_esp

    public static int eip_hef_RET_O32_A32_ss_esp(Segment ss,
                                                 int esp)

  Parameters:
    `ss` -
    `esp` -
  Returns:
    -

### esp_nef_RET_O32_A32_ss_esp

    public static int esp_nef_RET_O32_A32_ss_esp(Segment ss,
                                                 int esp)

  Parameters:
    `ss` -
    `esp` -
  Returns:
    -

### eip_hef_RET_IW_O32_A32_ss_esp

    public static int eip_hef_RET_IW_O32_A32_ss_esp(Segment ss,
                                                    int esp)

  Parameters:
    `ss` -
    `esp` -
  Returns:
    -

### esp_nef_RET_IW_O32_A32_ss_esp_reg0

    public static int esp_nef_RET_IW_O32_A32_ss_esp_reg0(Segment ss,
                                                         int esp,
                                                         int reg0)

  Parameters:
    `ss` -
    `esp` -
    `reg0` -
  Returns:
    -

### esp_nef_LEAVE_O32_A32_ss_ebp_esp

    public static int esp_nef_LEAVE_O32_A32_ss_ebp_esp(Segment ss,
                                                       int ebp,
                                                       int esp)
                                                throws ProcessorException

  Parameters:
    `ss` -
    `ebp` -
    `esp` -
  Returns:
    -
  Throws:
    `ProcessorException`

### ebp_hef_LEAVE_O32_A32_ss_ebp

    public static int ebp_hef_LEAVE_O32_A32_ss_ebp(Segment ss,
                                                   int ebp)

  Parameters:
    `ss` -
    `ebp` -
  Returns:
    -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD